Virtual Pro-Wrestling 2 freem Edition | Changelog
=================================================

================================================================================
2024/06/15 (June 15, 2024)
================================================================================
[Geeneral Update Notes]
Protip: Use the mouse wheel or page up/down keys to scroll through the document.

IMPORTANT NOTICE!
-----------------
This is the last release that is compatible with regular VPW2 Controller Pak data.
Future versions will ask you to create a new Controller Pak note for VPW2 freem Edition.

Project Progress Report
-----------------------
The July 30, 2023 release was estimated to be 80% complete. This was a big jump
from the January 28, 2021 release, which claimed to be 45-50% done.
However, some tasks still remain before I can call this hack "100% complete".

Previously, I've split the two end points into "99%" and "100%".
This was a bit optimistic, largely because I was pessimistic about 100% even
being possible:

	It is highly unlikely the "100%" version will ever be created or released,
	as a full game disassembly would be required.
	Therefore, the "99%" version is considered the target goal.
	- 2020/01/28 (January 28, 2020) update notes

Given how things have changed since then, it seems more reasonable to label
these two milestones as "90%" and "100%".

The remaining 20% is split up into two parts:
1) Everything I've been putting off that can be achieved with the current tools.
   (e.g. translating and fixing the end-of-match quotes, making the graphics
   for the Round number messages, correcting errors, among other tasks)

2) Everything that "requires a decomp".
   This is where most of the interesting work becomes possible.
   The downside is that I need to remake the entire hack using the decomp as
   a base. It will also result in breaking changes to save data, both on-cart
   and Controller Pak.

The goals for this release were to clear up everything in category #1 and
polish anything that needed a touch-up.

With that (mostly) done, the hack stands at 90% complete. This represents as far
as I want to go using the current hacking methods (i.e. VPW Studio and a hex editor).

In order to get this hack to the "final 10%", work will have to be restarted
using the VPW2 decomp as a base. Luckily, I've been working on some tools that
let me do just that.

Hope to see you on the other side.

re: "Recompilation: An Incredible New Way to Keep N64 Games Alive"
------------------------------------------------------------------
Between versions of the hack, a video was released about N64 static recompilation.
Since I've had to explain my viewpoint multiple times, I've made a page about it:
https://vpw.ajworld.net/recomp.html

In short: the N64Recomp tool is not the magic bullet the video makes it out to be.
This is through no fault of the developers, of course.

================================================================================
[Default Costume Updates]
In order for the Default Costume changes to show up in an existing save file,
please reset the Costume data for the following characters in Edit Mode:

---------------------+------------+
Wrestler             | Costume(s) |
---------------------+------------+
Randy Savage         | 2, 4       |
Hulk Hogan           | All        |
---------------------+------------+

================================================================================
[Wrestler Data Updates]
This section contains changes to moves, parameters, and logic for the default
wrestlers. You do not need to do anything to access these changes.

--------------------------------------------------------------------------------
[Moves]
A few requested small fixes, and a change based on another comment.

At this point, it seems like the movesets are pretty much agreeable, aside from
moves not currently in the game. There have been some seemingly arbitrary change
requests as well, but those remain ignored unless there's a really good reason
to implement them.

That being said, I do request that if you have any issues with the existing
movesets, it's best to let me know *now*, before the hack is restarted with
the decomp.

Scott Steiner
-------------
Fixing up a small mistake.

--------------------------+-----------------------+-----------------------
Move Slot                 | Old Move              | New Move
--------------------------+-----------------------+-----------------------
Front Strong Grapple A+Up | Lift Up Shoulder Slam | Lift Up Drop
--------------------------+-----------------------+-----------------------

Chris Benoit
------------
Replacing the stand-in for the Wild Bomb. It would probably be best served
as a unique animation, but I'm not at that point yet with hacking.

----------------------+---------------------+-----------------------
Move Slot             | Old Move            | New Move
----------------------+---------------------+-----------------------
Front Special Grapple | Jackknife Powerbomb | Big Crunch Powerbomb (Vader Bomb)
----------------------+---------------------+-----------------------

AKI man
-------
Fixing up a small mistake.

------------------------------------+---------------------+-----------------------
Move Slot                           | Old Move            | New Move
------------------------------------+---------------------+-----------------------
Special Turnbuckle Attack to Ground | Rolling Senton      | Phoenix Splash
------------------------------------+---------------------+-----------------------

DDP
---
Send all complaints about this change to /dev/null.

--------------------------+---------------------+-----------------------
Move Slot                 | Old Move            | New Move
--------------------------+---------------------+-----------------------
Double Team Front Grapple | Double Suplex       | Movement Crash
--------------------------+---------------------+-----------------------

--------------------------------------------------------------------------------
[Parameters and Logic]
No changes this time around.

As stated in the Moves section, if you have any issues with params and logic,
it's best to let me know *now*, before the hack is restarted with the decomp.

================================================================================
[Changelog Items]
Grouped by general category.

Default Costume Data
--------------------
- [Hulk Hogan] Changes to all costumes:
  All Costumes) Set head shape to "Tall".
  Costumes 1, 3) Changed default wristband color.

- [Randy Savage] Costumes 2 and 4 use the new Randy Savage Glasses.

Wrestler Textures, Models (Faces, Masks, Costume Items)
-------------------------------------------------------
- [Costume Items] New costume items added:
  * Face Accessory 25 - Randy Savage Glasses (ported from WCW/nWo Revenge)

- [Faces] Face texture updates:
  * 017 - Hulk Hogan (updated by freem)
  * 023 - Satoru Sayama (updated by freem)
  * 029 - Dan Severn (updated by freem)
  * 042 - Tajiri (updated by freem)
  * 043 - William Regal (updated by freem)
  * 051 - X-Pac (updated by KWG/Saga; sent to freem just after 2023/07/30 went live)
  * 056 - Hawk (updated by freem)
  * 069 - Ric Flair (updated by freem)
  * 077 - Karl Gotch (updated by freem)
  * 097 - Kota Ibushi (updated by freem)
  * 101 - Steve Corino (updated by freem)
  * 102 - Lou Thesz (updated by freem)
  * 104 - Doug Furnas (updated by freem)
  * 105 - Phil Lafon (updated by freem)
  * 106 - Jake Roberts (updated by freem)
  * 107 - Takeshi Rikio (updated by freem)
  * 108 - Kazuyuki Fujita (updated by freem)
  * 109 - Kazunari Murakami (updated by freem)

- [Costume Items] Fixed an issue where tattoos displayed over Upper Body B26 - LIJ T-Shirt.

- [Costume Items] Fixed a sleeve texture issue with a few costume items:
  * Upper Body B14 - DX T-Shirt
  * Upper Body B17 - EC F'N W

- [Masks] Re-shaded AKI man's skin to be more consistent with other masks.

- [Masks] Updated Spider-Man's ripped mask texture.

- [Ring Attire] Added anti-aliasing to "Hollywood" text on Hogan tights.

- [Ring Attire] Changed default primary color of Ring Attire A19 from white to black.

- [Boots] Changed name of A2 - "Kimala" to "Star".

- [Faces] Tweaked facepaint vertical displacement for the following faces:
  * 003 - Steve Austin
  * 018 - Randy Savage
  * 019 - Kevin Nash
  * 020 - Scott Hall
  * 023 - Satoru Sayama
  * 025 - Katsuyori Shibata
  * 041 - Raven
  * 043 - William Regal
  * 050 - HHH
  * 051 - X-Pac
  * 052 - AJ Styles
  * 061 - Big Show
  * 065 - Samoa Joe
  * 077 - Karl Gotch
  * 086 - Undertaker
  * 088 - Dean Malenko
  * 090 - Kazuchika Okada
  * 093 - Shinsuke Nakamura
  * 094 - Dusty Rhodes
  * 095 - Josh Barnett
  * 097 - Kota Ibushi
  * 100 - Bam Bam Bigelow
  * 101 - Steve Corino
  * 102 - Lou Thesz
  * 103 - Ted Dibiase
  * 104 - Doug Furnas
  * 107 - Takeshi Rikio

- [Faces] Tweaked facial hair vertical displacement for the following faces:
  * 010 - Rikidozan
  * 049 - Chris Benoit
  * 062 - Minoru Suzuki
  * 069 - Ric Flair
  * 088 - Dean Malenko
  * 094 - Dusty Rhodes
  * 100 - Bam Bam Bigelow
  * 102 - Lou Thesz
  * 105 - Phil Lafon
  * 108 - Kazuyuki Fujita
  * 109 - Kazunari Murakami

- [Facial Hair] Tweaked vertical displacement for Facial Hair 5.

- [Face Accessory] Tweaked vertical displacement for the following items:
  * Accessory 20 - Kishin Liger
  * Accessory 29 - Blue Meanie

Arenas
------
- [Budokan] Ring mat design has been rotated to respect the red/blue corners.
  Mat text and the ring skirts have been re-adjusted to match this change.

- Small updates to AKI Hall and Stadium ring mat textures.

- [Dome] Updated the corner concrete textures.

- [Dome] Changed ringside fans by repurposing some unused VPW2 textures.

Menus/User Interface
--------------------
- A few items have been given a makeover:
 - In-match timer
 - Pause menu headers and buttons
 - Demo/Replay labels

- [Spirit Meter] Small tweaks to the "MAXIMUM!" texture.

- [Elimination] Made the red/blue numbers more consistent with the League numbers.

- [Large Font] Modified the 'w' and 'y' characters.

- [Large Font] Small changes to some letters.

Translation
-----------
- After over 5 years, the Round messages are finally translated.

- Post-match messages are now fully translated.

- Championship lineage strings are now translated.

- Translated "Title Match" text when wagering belt.

- Translated "Elimination Match Number" text.

- Translated some Event attendance-related strings.

- Translated the remaining taunt sound names, or at least attempted to.
  (If it were up to me (and it is), I'd keep most of them in Japanese.
  However, I'm the type of person who changes Fire Pro Wrestling World's
  language to Japanese whenever I need to find certain voice lines, and most
  of you aren't.)

General/Miscellaneous
---------------------
- Reverted the Event Mode attendance bugfix from the last release, as it was
  causing issues in certain arenas.

- Fixed a number of post-match messages going off-screen.

- [Belts] Fixed a texture display issue with the "Ring" belt design.

- [Move Names] Fixed the "Top Rop Cross Armbar" typo.

- A few more changes to the game intro. Still not final.

- Probably some other changes which I forgot to mention.
  (One change is intentionally unlisted; see if you can find it!)

================================================================================
2023/07/30 (July 30, 2023)
================================================================================
--------------------------------------------------------------------------------
Quick Note: As of this release, the changelog will no longer be re-printed in
the manual. Apologies, but reformatting the changes to HTML for the manual is
one of the more time-consuming parts of releasing an update.
--------------------------------------------------------------------------------

[General Update Notes]
"break in case of freem-ergency" - original note for this version before work resumed
(As you might imagine, the glass pane with this phrase printed on it has been broken.)

This is my third attempt at writing the introduction for this version's changelog.

The first attempt was in March 2022, when development on the hack had started
to pick up again. Work continued until December 2022, when another focus shift
occurred.

The second attempt was in mid-May 2023, when I had started to realize that
the amount of work left on this hack would be too much for me to handle alone.
I had originally planned a two-phase concept to defray development "costs",
but was considering abandoning it by this point.

However, during this time, someone submitted a pull request to the VPW2 decomp
Git repository. This pull request would be the beginning of C support in the
decomp, meaning people wouldn't have to deal with MIPS assembly to make changes.
Granted, it's possibly using a different compiler than what I assume AKI used,
but any progress in this field is good progress.

That leaves me in a weird position: semi-burnt out, but also semi-excited
to continue working.

I didn't originally plan for this update to take so long to get released.
Time passes, plans change (and change again), and sometimes it takes a while
for things to settle down.

Given that the previous release of the hack was on January 28th, 2021,
I've been sitting on some of these changes for over a year now.

The 2021/01/28 version of the hack didn't have an explicit "Preview" label,
though I didn't consider it "complete" by any means. The reasoning for this
is that some people would ignore the hack until it was "finished", or a
non-Preview version was available. Not helping matters is the Internet's "main"
ROM hacking hub, romhacking.net, only wanting "finished" projects submitted.
Therefore, visibility of incomplete-yet-functional hacks is limited.
It's disappointing, but there's not much I can do about it.

Suffice to say this version of the hack isn't "complete" either, but
more on that after explaining what I've been doing between releases.

The previous release also marked the start of a hiatus for the project, as my
attention needed to be focused elsewhere. To keep things relevant, I will only
cover the AKI wrestling game-related projects here:
- VPW Studio
- "WWF? Some Mercy", a hack of WWF No Mercy
- the Virtual Pro-Wrestling 2 decompilation project

VPW Studio
----------
The first item on the list is familiar to a number of you, despite it not being
generally available yet. In case you aren't familiar with it, VPW Studio is a
program focused on hacking AKI Corporation's N64 wrestling games.
VPW2 freem Edition is a direct result of the program's development, and vice versa.

I am still not sure when the program will be publicly available.

Even though it's still very incomplete, I am considering cutting my losses
and just releasing it as is, just so people stop asking me about it.

I do get the feeling that the people who are asking for it are not going to be
happy with the program in its current state. In my mind, most people are expecting
something that makes editing the games drop-dead simple.

Currently, VPW Studio is only useful to people who already have some idea how
to hack using the older methods. Yes, textures and palettes can be changed,
but you have to learn the details that are normally ignored when making emulator
plugin-based texture replacements. Nothing is as straightforward as it would
seem, especially compared to modifying modern games.

You have to put in effort to figure out how the games work and how to work
around various issues that *will* come up. It's not for the faint of heart,
nor is it for people who aren't comfortable with using hex editors.

The other main issue with the program is that it only has a single developer.
Releasing the program as open source has been suggested, but the reality is,
the AKI hacking community has very few programmers. Any help on the program
would likely have to come from outside the existing community.

My focus needed to be here because the program still needs work.
There was only one reasonable way to force the progress to be made...

WWF? Some Mercy
---------------
I had previously said that I didn't want to hack WWF No Mercy.

The truth is, I had tried multiple times to hack the game, but each time,
I found myself wishing I could hack Virtual Pro-Wrestling 2 instead.

"WWF? Some Mercy" was (hopefully) going to be the time I actually went through
with it.

In the beginning, things were going decently well. Progress was being made on
texturing and hacking, resulting in some VPW Studio updates. In fact, this was
the best part of the hack, as the updates would help anyone else hacking No Mercy.

However, things started to go south for a few reasons.

DMX and New Jack were to be included in the hack, but they both passed away
during development. I started to think that Some Mercy was "bad mojo".
I also found myself not really wanting to work on the project in general
after some time.

"WWF? Some Mercy" was canceled after a short development period of a few months.
It was the furthest I've ever got in hacking No Mercy, but I don't think I'm
going to try again. It would just take effort away from more important things
I could be doing.

VPW2 Decomp Project
-------------------
Of the three AKI-related projects I worked on while the hack was dormant,
this is easily the most important one.

"The decomp", as I tend to call it, is what would make various "impossible" tasks
possible. Within the context of the hack, this would include:
- Adding items (e.g. wrestlers, arenas, moves, costume parts) instead of
  replacing existing items.
- Creating new things that require reworking the game code
  (e.g. the Boxing fighting style)

As long as this still targets the N64, though, we are bound by its limitations.

When I wrote the first draft of update notes in March 2022, this is where I had
been spending a large amount of my time.

Unfortunately, the work is nowhere near complete, and as I'm largely the only
person working on it, work stops when I do other things. Most of the "big name"
N64 decomp projects have a decently-sized team behind them; this one doesn't.

I've already touched on this in this update's introduction, but a recent pull
request has now allowed us to start converting MIPS assembly to C. This is a
major step forward.

Another aspect of decomp projects is porting the game to other platforms.
The topic of "decomp means eventual PC port" comes up time and time again,
but the truth is, it takes a lot of work to get a N64 decomp project ported
to the PC.

I don't think I'm capable of doing that particular work myself, nor am I
100% committed to the idea (for various reasons I won't go into here).

Project Progress Report
-----------------------
Back to dealing with VPW2 freem Edition.

Throughout the past 5 years of development of this hack, I've been burnt out
multiple times for multiple reasons. Eventually, I get back up and start
developing again, but the most recent burnout had me re-considering what I
want to do with the next few years of my life (or even the rest of it,
since whatever I work on will expand to fill the available time anyways).

Perfectionism can be a hell of a drug, and sometimes you need to step back and
ask if what you've got is "good enough". I don't feel I'm there yet, but this
release represents a good step towards it.

I was previously considering splitting this project into two development
"phases", but decided against it for now. The amount of work that's needed for
the few things I consider "missing" from the hack is a lot more than I'd like
to take on at the moment.

For example, a commonly asked question involves adding moves.
Adding a move to the game requires multiple elements:
- the move animations
- move data (e.g. "Toki 1", "Toki 2", etc.)
- the overall move database
- menu data, because you want to be able to select the move in Edit Mode.
- moveset data, since sometimes adding moves would expand internal structures...

For various other types of data (wrestlers, arenas, costume items, etc.), it's
similar. Various in-game data needs to be updated to support the new range,
as well as changing any code that assumes things about the old range.

Once you factor in the SRAM/save data, things get tricky, since not everything
has been documented.

I feel like I need to move on from this project, even if it's not 100% complete
in terms of what I personally wanted. This isn't a "final" release either,
but I don't see myself coming back to it for a few years at the very least.

If you've been waiting for a "final" version, your choices are to either use this
version, or continue waiting (an indeterminate amount of time) for another update.

If I end up updating it again later, great. If not, oh well.

This release's estimated completion rate is 80%. There are still various
smaller issues to take care of, but I feel like this is a very solid release.
(It better be, given the amount of time between releases!)

Known Issues
------------
An inexhaustive list of known issues for this release is as follows:

- Events using the Dome Road arena will bug out after the event starts,
  resulting in the fight taking place in nothingness (a.k.a. "Arena Zero").
  This issue was only discovered after release.

- The big "Round" messages (Martial Arts rules) are still in Japanese.

- A significant amount of post-match messages are still in Japanese.

- Some translated post-match messages run off the edges of the screen.

- Some post-match move names are still in Japanese.

- Some translated post-match move names could use reformatting.

- Various RRS/Challenge mode related strings are still in Japanese.

- A small amount of other untranslated Japanese text in various places.

- Incomplete/unfinished textures (as usual).

- Attempting to use certain Entrance Attires with the Raven "skirt" causes issues.
  There is currently no known fix.

- Remaining issues with the intro:
  (Not counting smaller "perfectionist" issues, which will be ironed out later)

  - Finding a replacement for the Hogan/Kawada corner lariat and
    Hogan/Savage double team sequences.

  - The Sabu/Hayabusa double team segment is a haphazard replacement.

  - Misawa/Austin double team Tiger Driver still needs replacing.

  - Mitsuharu Misawa blinks in during a few parts near the end.

  - Bret Hart should be doing the second rope front elbow drop.
    (Animation timing issues are hard to work out at the moment)

There are likely other issues as well; these are just the ones I wrote down.

Controller Pak Saves
--------------------
Currently, this hack accepts Controller Pak saves from unhacked versions of
Virtual Pro-Wrestling 2 (game code NA2J). This behavior is intentional, allowing
you to import your edit wrestlers and belts from your original VPW2 cartridge
and/or save file (despite any differences).

Future versions of the hack will save Controller Pak data to a unique, non-VPW2
file. More specifically, this is being targeted for the first release of the
decomp-based version of the hack (whenever that happens).

re: Requesting Projects
-----------------------
Over the years, some people have come to me to request projects to be made.
In general, I decline these requests because I have too much to handle already.

I can only work on so many things at one time, and I'm already spreading myself
thin with this hack, VPW Studio, and the VPW2 decompilation project. This doesn't
even cover the non-AKI hacking responsibilities I have, nor does it include future
plans that aren't ready to be revealed.

Given the amount of work it takes to create a total conversion project, I am not
looking forward to doing it again, especially if it's not something I care about.

In short: please do not suggest or request any projects from me.

re: Default Costumes
--------------------
While a lot of the default wrestler costumes are subjective,
I only want to change them in two specific situations:

1. Relevant costume items were fixed or added.

2. There's a legit accuracy error on one of the existing costumes,
   and you can provide visual proof.

   Please note: if you're going to do this, ensure the fix is actually possible
   with the currently available costume items. If it requires new textures
   and/or models, we are currently limited by having to replace existing items.

Otherwise, you're meant to change the costumes on *your* copy, and leave me
alone about it. It's literally what we did as players when the original games
were new. The real old school VPW2 fans will know of "SHIIMA's VPW2 Edits!" costume
edit text file. Go forth and make your own VPW2 freem Edition recostuming guides.

Default costume explanations are meant to appear in the Character Guide,
which is currently postponed indefinitely. I realize that helps no one, but
I would only like to have to make everything once, without having to change
movesets, images, etc. for every update.

================================================================================
[Default Costume Updates]
In order for the Default Costume changes to show up in an existing save file,
please reset the Costume data for the following characters in Edit Mode:

---------------------+------------+
Wrestler             | Costume(s) |
---------------------+------------+
Scott Steiner        | 1, 2, 4    |
Hulk Hogan           | All        |
Sting                | All        |
DDP                  | All        |
Rick Steiner         | 1, 2, 3    |
Steve Austin         | 3          |
Bret Hart            | 1, 2, 3    |
Ultimo Dragon        | 3          |
Randy Savage         | 2, 3, 4    |
Jumbo Tsuruta        | 2          |
Kensuke Sasaki       | 1          |
Steven Regal         | 3          |
Scott Hall           | 2          |
Kevin Nash           | All        |
Tajiri               | 1, 2       |
X-Pac                | 1, 2, 4    |
Eddie Guerrero       | 1, 3       |
Raven                | All        |
Great Muta           | 1,2,3      |
Yuji Nagata          | 3          |
Tiger Mask           | 3          |
Road Warriors        | All        |
TAKA Michinoku       | 4          |
---------------------+------------+

The specific steps required to reset a wrestler's appearance:
1) Select "Edit Mode" on the main menu.
2) Select the wrestler who needs updating. If necessary, switch the selected
   costume with C-Left and C-Right (during wrestler selection and in the
   selected wrestler edit menu) or the L and R buttons (selected wrestler edit
   menu only).
3) Select the "Reset to Default" option.
4) Move to the "Profile" option and press the A button to uncheck it
   (unless told otherwise in the changelog).
   This way, any name, theme, voice, height, and weight changes you've made
   won't be overwritten.
5) Select "Accept", and the updated costume should appear.

Repeat these steps for all the wrestlers and costumes listed above.

================================================================================
[Wrestler Data Updates]
This section contains changes to moves, parameters, and logic for the default
wrestlers. You do not need to do anything to access these changes.

--------------------------------------------------------------------------------
[Moves]
Starting with this version of the hack, the philosophy behind movesets in this
project has been slightly modified.

The previous moveset philosophy can be summed up with this quote:
	"The original intent was to port the characters from the games they appeared in,
	with minimal changes to reduce duplication, and to handle newer move slots that
	didn't exist (for wrestlers ported from older games)."

As before, "de-duplication" is a strong design point. Wrestlers ported from
other games may have the same move in multiple slots. Sometimes, this is
intentional, while other times, the slots in question didn't exist in the game
the wrestler is being ported from. In VPW2 freem Edition, both of these
situations are problems that should be fixed. Giving the player more options
allows for deeper fight strategies.

Where possible, moves that "fit" the wrestler are used.
Given the moves available in the game, this may not be a perfect match.

----

If you've combed through AKI's original movesets at any point, you may have
noticed that some slots tend to contain a certain move or class of moves.
For example, most wrestlers have a bodyslam on front weak grapple A+Down,
and some sort of suplex on front weak grapple B+Up.

During development of this version of the hack, the default wrestlers in WM2K,
VPW2, and No Mercy were studied in order to find "common ground" for certain
move slots. While most of the new and/or ported movesets followed the general
patterns AKI had laid out, there were a few places the expected patterns didn't
match. This version of the hack focuses on fixing these discrepancies, at the
expense of "slot-for-slot" moveset accuracy (for the ported wrestlers).

For each specific case, reference data is given for the original version of
VPW2. The numbers refer to the number of wrestlers who have that move in a
specific slot.

The overall moveset frequency research will be made available at
https://vpw.ajworld.net/ in the future.

----

Another issue being tackled in this version is moves marked as "favorite" (or in
some cases, a lack of). Through watching the game, we noticed that some wrestlers
would gravitate towards using "favorite" moves at a somewhat alarming rate.
Special thanks to @NateIsARudo's CPU vs. CPU tournament streams circa July 2022,
as this is where we noticed it.

In addition, some wrestlers had few or no favorite moves set at all. Most of the
time, this was a freem Edition-specific problem, but I did note that Shawn Michaels
has no moves set as favorite in WM2K.

Some research was done on the favorited moves for the VPW2 default wrestlers,
though not as deep as the move slot frequency research.

External resources for favorite/trademark moves were also used:
- Cagematch: https://www.cagematch.net/
- Puroresu System wiki: https://puroresusystem.fandom.com/wiki/
- Wrestlingdata.com: https://www.wrestlingdata.com/

----

Moveset change requests can stem from multiple possibilities:

1) Residual leftovers from replacing other wrestlers.
   This largely manifested itself in Cactus Jack, who replaced Dragon Kid.

   Requests to fix these errors are always welcome. I'm really hoping that
   none of these are still in the hack at this point.

2) Weird changes I introduced without remembering why.
   One of the better examples of this is when I changed HHH to have the
   Thesz Press with Punches as an Irish Whip Grapple. Why?? I still don't know.

   Hopefully, there are no such examples left of this in the hack.

3) Small-scale replacement.
   The reasons for these changes can vary wildly. Sometimes, it's as small as
   changing a Ducking Attack to make a wrestler less heel-ish. Another example
   is "[Wrestler X] never did this move in [Y position]".

   Both this and the next type fall under a case-by-case basis.

4) Large-scale replacement.
   "Large-scale" is classified as replacing half or more of an existing moveset.
   This type of situation really depends on the wrestler in question.

   Characters who fall into this category:
   - John Cena (2023/07/30 release)
   - Bret Hart, Dynamite Kid (2021/01/28 release)
   - Scott Hall (2020/08/06 release)

   Of these four, John Cena is the only one not from an AKI-developed game.
   As such, I had little disagreement when kikrusher99 came to me with a
   large-scale moveset change request, especially considering I wasn't really
   putting forth my best effort on the original moveset.

These may not be the only possibilities, but they have been the most prominent
ones throughout the hack's development.

Eventually, I'd like the movesets to stabilize and not require changes. However,
for some wrestlers, that requires importing existing moves or creating new moves.

I'm hoping that these moveset changes will be some of the last ones "required"
before moving to the decomp-based version of the hack.

----

Ric Flair
---------
Back Strong Grapple A: Sleeperhold - 12 | Atomic Drop - 0
Back Strong Grapple B: Atomic Drop - 2  | Sleeperhold - 3

Corner Running Strike and Irish Whip Strong Grapple are de-duplication changes.

----------------------------------+----------------------+-----------------------
Move Slot                         | Old Move             | New Move
----------------------------------+----------------------+-----------------------
Back Strong Grapple A             | Atomic Drop          | Sleeperhold
Back Strong Grapple B             | Sleeperhold          | Atomic Drop
----------------------------------+----------------------+-----------------------
Corner Running Strike B           | Jumping Kneebutt     | Shoulder Block
Irish Whip Strong Grapple A+Dir   | Spinebuster          | Drop Toe Hold
----------------------------------+----------------------+-----------------------

The following moves have been marked as Favorite:
- Weak Punch B+Dir - Horizontal Chop
- Corner Strike B+Dir - Horizontal Chop
- Ducking Strike - Low Blow
- Front Strong Grapple B+Up - Stalling Suplex
- Irish Whip Weak Grapple A - Back Body Drop
- Downed Strike (Face Up) - Stalling Elbow Drop

Steven Regal
------------
Front Weak Grapple B+Left/Right: Arm Wrench with Elbow - 23 | Gutwrench Suplex - 0
Front Weak Grapple B+Down: Gutwrench Suplex - 2 | Arm Wrench with Elbow - 0

Changes to the following slots are de-duplication related:
- Weak Punch B+Dir
- Strong Strike B+Dir
- Strong Running Strike A+B
- Corner Running Strike A+B
- Counter Punch (Special)
- Corner Weak Grapple B
- Sitting Head Submission (Face Up)

-----------------------------------+------------------------------+-----------------------
Move Slot                          | Old Move                     | New Move
-----------------------------------+------------------------------+-----------------------
Front Weak Grapple B+Left/Right    | Gutwrench Suplex             | Arm Wrench with Elbow
Front Weak Grapple B+Down          | Arm Wrench with Elbow        | Gutwrench Suplex
-----------------------------------+------------------------------+-----------------------
Weak Punch B+Direction             | Neck Chop                    | Elbow
Strong Strike B+Direction          | Thrust Kick                  | Orthodox Punch
Weak Running Strike A+B            | Shoulder Block               | Kitchen Sink
Strong Running Strike A+B          | Running High Angle Dropkick  | Running Dynamite Knee
Corner Running Strike A+B          | Back Elbow                   | Jumping Elbow
Counter Punch (Special)            | Shoulder Arm Breaker         | Armbar
Corner Weak Grapple B              | Shoulder Tackle              | Hard Chop
Corner Strong Grapple B            | Top Rope Samoan Drop         | Top Rope Double Arm Suplex
Corner Stolen Special Grapple      | Top Rope Death Valley Driver | Top Rope Double Arm Suplex
Downed Head Submission (Face Down) | Camel Clutch                 | Armbar
Sitting Head Submission (Face Up)  | Sleeperhold                  | Surfboard Stretch
Running Downed Strike (Face Up)    | Stomping                     | Jumping Senton
-----------------------------------+------------------------------+-----------------------

The following moves have been marked as Favorite:
- Weak Punch B+Dir - Elbow
- Strong Running Strike A+B - Running Dynamite Knee
- Front Weak Grapple A - European Uppercut
- Front Strong Grapple A+Left/Right - Exploder
- Front Strong Grapple B+Left/Right - Tiger Driver Whip
- Corner Strong Grapple B - Top Rope Double Arm Suplex
- Downed Strike (Face Up) - Kneedrop

Rikidozan
---------
Back Weak Grapple A: Side Backdrop - 1  | Elbow to Back - 1
Back Weak Grapple B: Elbow to Back - 47 | Side Backdrop - 0

The remaining changes are de-duplication related.

----------------------------------+----------------------+-----------------------
Move Slot                         | Old Move             | New Move
----------------------------------+----------------------+-----------------------
Back Weak Grapple A               | Elbow to Back        | Side Backdrop
Back Weak Grapple B               | Side Backdrop        | Elbow to Back
----------------------------------+----------------------+-----------------------
Weak Running Strike A+B           | Shoulder Block       | Back Elbow
Strong Running Strike A+B         | Axe Bomber           | Kitchen Sink
Corner Running Strike A+B         | Shoulder Block       | Kitchen Sink
Front Strong Grapple A+Left/Right | Repeated Chops       | Cradling Front Neck Lock
----------------------------------+----------------------+-----------------------

The following moves have been marked as Favorite:
- Weak Punch B+Dir - Kesagiri Chop
- Strong Strike B - Mongolian Chop
- Weak Running Strike B - Shoulder Block
- Front Weak Grapple A+Down - Bodyslam
- Front Strong Grapple A - Repeated Chops
- Combination Strike B+Right - Kesagiri Chop (Right)
- Front Special Grapple - Pulling Piledriver
- Irish Whip Weak Grapple A+Dir - Hip Toss

Destroyer
---------
Back Weak Grapple B: Side Buster - 3 | Bulldog - 0
Back Weak Grapple B+Dir: Bulldog - 5 | Side Buster - 1
--------------------------
Back Strong Grapple A: School Boy - 20 | Abdominal Stretch - 12 | Atomic Drop - 0 | Torture Abdominal Stretch - 1
Back Strong Grapple A+Dir: Abdominal Stretch - 24 | School Boy - 10 | Torture Abdominal Stretch - 4
Back Strong Grapple B: Atomic Drop - 2 | Abdominal Stretch - 1 | School Boy - 0 | Torture Abdominal Stretch - 0 (ended up here via process of elimination)
Back Strong Grapple B+Dir: Atomic Drop - 3 | School Boy - 0 | Abdominal Stretch - 1 | Torture Abdominal Stretch - 0

----------------------------------+---------------------------+-----------------------
Move Slot                         | Old Move                  | New Move
----------------------------------+---------------------------+-----------------------
Back Weak Grapple B               | Bulldog                   | Side Buster
Back Weak Grapple B+Direction     | Side Buster               | Bulldog
----------------------------------+---------------------------+-----------------------
Back Strong Grapple A             | Atomic Drop               | School Boy
Back Strong Grapple A+Direction   | School Boy                | Abdominal Stretch
Back Strong Grapple B             | Abdominal Stretch         | Torture Abdominal Stretch
Back Strong Grapple B+Direction   | Torture Abdominal Stretch | Atomic Drop
----------------------------------+---------------------------+-----------------------
Weak Running Strike A+B           | Shoulder Block            | Kitchen Sink
Strong Running Strike A+B         | Back Elbow                | Running Heavy Dropkick
Corner Running Strike A+B         | Back Elbow                | Running Heavy Dropkick
Back Special Grapple              | Ground Abdominal Stretch  | Argentine Backbreaker
Irish Whip Special Grapple        | (none)                    | Flying Body Scissors
Corner Weak Grapple B             | Shoulder Tackle           | Hard Chop
Sitting Legs Submission (Face Up) | Figure 4 Leg Lock         | Standing Kneedrop
----------------------------------+---------------------------+-----------------------

The following moves have been marked as Favorite:
- Strong Strike B+Dir - Heavyweight Dropkick
- Back Special Grapple - Argentine Backbreaker
- Irish Whip Special Grapple - Flying Body Scissors
- Downed Legs Submission (Face Up) - Figure 4 Leg Lock

Road Warriors
-------------
Back Weak Grapple A: Atomic Drop - 4 | Elbow to Back - 1
Back Weak Grapple B: Elbow to Back - 47 | Atomic Drop - 2

Sitting Head/Legs Submission, Counter Kick, and Corner Weak Grapple changes
are de-duplication related.

----------------------------------+----------------------+-----------------------
Move Slot                         | Old Move             | New Move
----------------------------------+----------------------+-----------------------
Back Weak Grapple A               | Elbow to Back        | Atomic Drop
Back Weak Grapple B               | Atomic Drop          | Elbow to Back
----------------------------------+----------------------+-----------------------
Apron Strike [to Outside]         | Junior Kick          | Heavyweight Kick
Counter Kick B                    | Elbow Drop           | Lariat
Front Strong Grapple A+Up         | Stalling Suplex      | Lift Up Slam
Front Strong Grapple B+Down       | Powerbomb Pin        | Powerbomb
Front Special Grapple             | Reverse Ipponzeoi    | High Angle Bodyslam
Corner Weak Grapple               | Hard Chop            | Corner Lariat Rush
Sitting Head Submission (Face Up) | Sleeperhold          | Dragon Sleeper
Sitting Legs Submission (Face Up) | Scorpion Deathlock   | STF
----------------------------------+----------------------+-----------------------

The following moves have been marked as Favorite:
- Weak Running Strike B - Flying Shoulder Attack
- Front Special Grapple - High Angle Bodyslam
- Irish Whip Strong Grapple A+Dir - Lift Up Slam
- Downed Strike (Face Up) - Fist Drop

Bret Hart
---------
Back Strong Grapple A+Dir: School Boy - 10 | German Suplex - 5
Back Strong Grapple B: German Suplex - 18 | School Boy - 0

----------------------------------+----------------------+-----------------------
Move Slot                         | Old Move             | New Move
----------------------------------+----------------------+-----------------------
Back Strong Grapple A+Direction   | German Suplex        | School Boy
Back Strong Grapple B             | School Boy           | German Suplex
----------------------------------+----------------------+-----------------------

The following moves have been marked as Favorite:
- Front Weak Grapple B+Down - Jumping Piledriver
- Front Special Grapple - Sidewalk Slam to Leg Submission
- Back Weak Grapple B+Dir - Pendulum Backbreaker
- Corner Strong Grapple A - Superplex

Hulk Hogan
----------
Front Weak Grapple A+Left/Right: Dynamic Kneelift - 5 | Bodyslam - 0 | Double Axe Handle - 0
Front Weak Grapple A+Up: Double Axe Handle - 4 | Bodyslam - 0 | Dynamic Kneelift - 0
Front Weak Grapple A+Down: Bodyslam - 57 | Double Axe Handle - 0 | Dynamic Kneelift - 0
--------------------------
Front Weak Grapple B+Left/Right: Arm Wrench with Elbow - 23 | Schmidt Backbreaker - 5
Front Weak Grapple B+Up: Schmidt Backbreaker - 0 | Arm Wrench with Elbow - 0

Also FINALLY replacing that terrible Front Special Grapple with something more reasonable.

----------------------------------+-----------------------+-----------------------
Move Slot                         | Old Move              | New Move
----------------------------------+-----------------------+-----------------------
Front Weak Grapple A+Left/Right   | Double Axe Handle     | Dynamic Kneelift
Front Weak Grapple A+Up           | Bodyslam              | Double Axe Handle
Front Weak Grapple A+Down         | Dynamic Kneelift      | Bodyslam
----------------------------------+-----------------------+-----------------------
Front Weak Grapple B+Left/Right   | Schmidt Backbreaker   | Arm Wrench with Elbow
Front Weak Grapple B+Up           | Arm Wrench with Elbow | Schmidt Backbreaker
----------------------------------+-----------------------+-----------------------
Ducking Strike                    | Low Blow              | Lariat
Front Special Grapple             | Joking Down           | Canadian Backbreaker
----------------------------------+-----------------------+-----------------------

The following moves have been marked as Favorite:
- Corner Running Strike A+B - Original Ax Bomber
- Front Strong Grapple B+Down - Powerslam/Oklahoma Stampede

Randy Savage
------------
Front Weak Grapple B: Headlock Takedown - 43 | Shoulder Neckbreaker - 0
Front Weak Grapple B+Down: Shoulder Neckbreaker - 0 | Headlock Takedown - 0

----------------------------------+----------------------+-----------------------
Move Slot                         | Old Move             | New Move
----------------------------------+----------------------+-----------------------
Front Weak Grapple B              | Shoulder Neckbreaker | Headlock Takedown
Front Weak Grapple B+Down         | Headlock Takedown    | Shoulder Neckbreaker
----------------------------------+----------------------+-----------------------
Ducking Strike                    | Low Blow             | Lariat
Counter Punch (Special)           | Strong Attack B+Dir  | Front Grapple Special
----------------------------------+----------------------+-----------------------

The following moves have been marked as Favorite:
- Weak Front Grapple A+Down - Bodyslam
- Strong Front Grapple B+Down - Jumping Piledriver

Sting
-----
Front Weak Grapple A+L/R: Fireman Carry - 6 | Face Punch - 0
Front Weak Grapple A+Up: Face Punch - 1 | Fireman Carry - 3

Running strike changes are de-duplication.

----------------------------------+----------------------+-----------------------
Move Slot                         | Old Move             | New Move
----------------------------------+----------------------+-----------------------
Front Weak Grapple A+Left/Right   | Face Punch           | Fireman's Carry
Front Weak Grapple A+Up           | Fireman's Carry      | Face Punch
----------------------------------+----------------------+-----------------------
Weak Running Strike A+B           | Kenka Kick           | Flying Body Attack
Strong Running Strike A+B         | Power Lariat         | Jumping Lariat
Corner Running Strike A+B         | Stinger Splash       | Kenka Kick
Counter Punch (Special)           | Strong Attack B+Dir  | Front Grapple Special
Counter Kick (Special)            | Lariat               | Reversal to Back Special Grapple
----------------------------------+----------------------+-----------------------

The following moves have been marked as Favorite:
- Strong Strike B - High Angle Dropkick
- Weak Running Strike A+B - Flying Body Attack
- Back Weak Grapple A+Dir - Bulldog

Booker T
--------
Front Weak Grapple A+L/R: Snap Mare - 38  | Club to Neck - 3
Front Weak Grapple A+Up: Club to Neck - 7 | Snap Mare - 9

The High Angle Uranage is a stand-in for the Book End.

----------------------------------+----------------------+-----------------------
Move Slot                         | Old Move             | New Move
----------------------------------+----------------------+-----------------------
Front Weak Grapple A+Left/Right   | Club to Neck         | Snap Mare
Front Weak Grapple A+Up           | Snap Mare            | Club to Neck
----------------------------------+----------------------+-----------------------
Counter Punch (Special)           | Strong Attack B      | Front Grapple Special
Front Maximum Grapple             | (none)               | High Angle Uranage
----------------------------------+----------------------+-----------------------

The following moves have been marked as Favorite:
- Strong Strike A+B - Jumping Heel Kick
- Irish Whip Strong Grapple A - Spinebuster
- Strong Grapple from Apron - Sunset Flip Pin
- Turnbuckle Attack to Standing - Diving Missile Dropkick
- Turnbuckle Attack to Ground - Diving Rolling Legdrop (Harlem Hangover)

Scott Hall
----------
Front Strong Grapple B+L/R: Short Range Lariat - 14 | Waterwheel Drop - 0
Front Strong Grapple B+Down: Waterwheel Drop - 0 | Short Range Lariat - 0

----------------------------------+----------------------+-----------------------
Move Slot                         | Old Move             | New Move
----------------------------------+----------------------+-----------------------
Front Strong Grapple B+Left/Right | Waterwheel Drop      | Short Range Lariat
Front Strong Grapple B+Down       | Short Range Lariat   | Waterwheel Drop
----------------------------------+----------------------+-----------------------

The following moves have been marked as Favorite:
- Back Strong Grapple B+Dir - Bulldog

Brock Lesnar
------------
Front Strong Grapple B+L/R: Body Stamp - 0 | Powerbomb Pin - 1
Front Strong Grapple B+Down: Powerbomb Pin - 12 | Body Stamp - 0

Of course, when you decide to remove the Powerbomb Pin in favor of a Powerslam,
does it really matter?

----------------------------------+------------------------------+-----------------------------------
Move Slot                         | Old Move                     | New Move
----------------------------------+------------------------------+-----------------------------------
Front Strong Grapple B+Left/Right | Powerbomb Pin                | Body Stamp
Front Strong Grapple B+Down       | Body Stamp                   | Powerslam
----------------------------------+------------------------------+-----------------------------------
Front Weak Grapple B              | Machinegun Knee Lift (Front) | Machinegun Knee Lift (High Speed)
Back Strong Grapple B             | Enzui Lariat                 | Rear Naked Choke
Back Reversal (Weak)              | Back Elbow                   | Russian Leg Sweep
Back Reversal (Strong)            | Russian Leg Sweep            | Armbar
----------------------------------+------------------------------+-----------------------------------

The following moves have been marked as Favorite:
- Front Weak Grapple B - Machinegun Knee Lift (High Speed)
- Front Strong Grapple A+Up - Overhead Front Suplex
- Corner Weak Grapple B - Knee Thrust to Body

AJ Styles
---------
AJ Styles had a few changes resulting from the move/slot frequency research...

Front Weak Grapple B: Headlock Takedown - 43 | Jawbreaker - 0
Front Weak Grapple B+Down: Jawbreaker - 3 | Headlock Takedown - 0
--------------------------
Back Weak Grapple A: Pendulum Backbreaker - 14 | Backdrop - 13 | Elbow to Back - 1
Back Weak Grapple A+Dir: Backdrop - 34 | Pendulum Backbreaker - 0 | Elbow to Back - 0
Back Weak Grapple B: Elbow to Back - 47 | Backdrop - 1 | Pendulum Backbreaker - 3

----------------------------------+----------------------+-----------------------
Move Slot                         | Old Move             | New Move
----------------------------------+----------------------+-----------------------
Front Weak Grapple B              | Jawbreaker           | Headlock Takedown
Front Weak Grapple B+Down         | Headlock Takedown    | Jawbreaker
----------------------------------+----------------------+-----------------------
Back Weak Grapple A               | Backdrop             | Pendulum Backbreaker
Back Weak Grapple A+Direction     | Elbow to Back        | Backdrop
Back Weak Grapple B               | Pendulum Backbreaker | Elbow to Back
----------------------------------+----------------------+-----------------------
Corner Strong Grapple B           | Top Rope DDT         | Tornado DDT
Front Running Grapple             | Jumping Tornado DDT  | Swinging Neckbreaker
----------------------------------+----------------------+-----------------------

The following moves have been marked as Favorite:
- Strong Strike B - High Angle Dropkick
- Front Strong Grapple A+Up - Snap Suplex
- Irish Whip Special Grapple - Frankensteiner Whip
- Front Running Grapple - Swinging Neckbreaker

Samoa Joe
---------
Front Weak Grapple A+L/R: Dynamic Kneelift - 5 | European Uppercut - 0
Front Weak Grapple A+Up: European Uppercut - 7 | Dynamic Kneelift - 0

Simple change; the old moves were never used in those slots in VPW2's default characters.

----------------------------------+---------------------------+-----------------------
Move Slot                         | Old Move                  | New Move
----------------------------------+---------------------------+-----------------------
Front Weak Grapple A+Left/Right   | European Uppercut         | Dynamic Kneelift
Front Weak Grapple A+Up           | Dynamic Kneelift          | European Uppercut
----------------------------------+---------------------------+-----------------------
Corner Special Grapple            | Top Rope Fisherman Buster | Top Rope Death Valley Driver
----------------------------------+---------------------------+-----------------------

The following moves have been marked as Favorite:
- Strong Strike A+B - Enzuigiri
- Strong Running Strike B - Lariat (Left)
- Corner Weak Grapple A - Machine Gun Chops
- Running Tope A+Dir - Elbow Suicida

Katsuyori Shibata
-----------------
Back Weak Grapple B: Elbow to Back - 47 | Backdrop - 1
Back Weak Grapple B+Dir: Backdrop - 1 | Elbow to Back - 11

Even though Elbow to Back has 11 instances of being in Back Weak Grapple B+Dir,
it's more at home with the directionless Back Weak Grapple B.

----------------------------------+---------------------------+-----------------------
Move Slot                         | Old Move                  | New Move
----------------------------------+---------------------------+-----------------------
Back Weak Grapple B               | Backdrop                  | Backdrop
Back Weak Grapple B+Direction     | Elbow to Back             | Elbow to Back
----------------------------------+---------------------------+-----------------------
Front Strong Grapple A+Left/Right | Shoulder Thrusts          | Pedigree
Back Strong Grapple A+Direction   | Torture Abdominal Stretch | Manjigatame
----------------------------------+---------------------------+-----------------------

The following moves have been marked as Favorite:
- Front Strong Grapple A+Left/Right - Pedigree (Double underhook facebuster)
- Back Strong Grapple A+Dir - Manjigatame
- Back Special Grapple - Fainting Choke Sleeper (PK setup)

Dynamite Kid
------------
Front Weak Grapple A+Up: Club to Neck - 7 | Snap Mare - 9
Front Weak Grapple A+Down: Snap Mare - 8 | Club to Neck - 0

This one may seem odd based on the numbers, since Snap Mare has a higher
value in Front Weak Grapple A+Up than Front Weak Grapple A+Down. However,
Club to Neck has a 0 in Front Weak Grapple A+Down, making the Snap Mare
a more "natural" choice in Front Weak Grapple A+Down.

-----------------------------------+----------------------+-----------------------
Move Slot                          | Old Move             | New Move
-----------------------------------+----------------------+-----------------------
Front Weak Grapple A+Up            | Snap Mare            | Club to Neck
Front Weak Grapple A+Down          | Club to Neck         | Snap Mare
-----------------------------------+----------------------+-----------------------
Counter Kick B                     | Low Blow A           | Leg Trip
Front Weak Grapple A+Left/Right    | Headlock Punch       | European Uppercut
Downed Legs Submission (Face Down) | Knee Stomp           | Indian Death Lock
-----------------------------------+----------------------+-----------------------

The following moves have been marked as Favorite:
- Strong Strike B+Dir - Jumping Dropkick
- Front Weak Grapple A+Left/Right - European Uppercut
- Front Special Grapple - Cradle Kneeling Tombstone Piledriver
- Corner Strong Grapple A - Superplex
- Special Turnbuckle Attack to Ground - Diving Headbutt

Sabu
----
The following moves have been marked as Favorite:
- Corner Running Strike A+B - Flying Kneel Kick
- Special Turnbuckle Attack to Ground - Diving Legdrop
- Apron Dive - La Quebrada
- Springboard (Grounded) - Springboard Leg Drop
- Taunt 1 (Up) - Point to Sky (Sabu)

Karl Gotch
----------
A decent amount of de-duplication, as well as adding Running Grapples.

-----------------------------------+----------------------+-----------------------
Move Slot                          | Old Move             | New Move
-----------------------------------+----------------------+-----------------------
Corner Running Strike B            | Jumping Kneebutt     | Running Heavy Dropkick
Counter Punch (Special)            | Twisting Wrist Throw | Front Strong Grapple B+Down
Counter Kick (Special)             | Dragon Screw         | Reversal to Back Special Grapple
Back Reversal (Strong)             | Snap Mare Reversal   | Armbar Reversal
Front Running Grapple              | (none)               | Uranage
Back Running Grapple               | (none)               | Release German Suplex
Corner Weak Grapple B              | Shoulder Tackle      | Knee Thrust to Body
Corner Strong Grapple A            | Top Rope Uranage     | Top Rope Front Suplex
Downed Head Submission (Face Up)   | Sleeperhold          | Cross Armbar
Downed Legs Submission (Face Up)   | Boston Crab          | Cross Kneebar
-----------------------------------+----------------------+-----------------------

The following moves have been marked as Favorite:
- Front Weak Grapple B+Left/Right - Double Underhook Suplex with Knee
- Front Strong Grapple B+Down - Cradle Piledriver
- Back Strong Grapple A+Dir - Chickenwing Facelock

Curt Hennig
-----------
Another bit of de-duplication.

-----------------------------------+----------------------+-----------------------
Move Slot                          | Old Move             | New Move
-----------------------------------+----------------------+-----------------------
Downed Legs Submission (Face Up)   | Headbutt to Groin    | Figure 4 Leg Lock
-----------------------------------+----------------------+-----------------------

The following moves have been marked as Favorite:
- Strong Strike B - Side Dropkick
- Front Weak Grapple A+Down - Dynamic Kneelift
- Back Strong Grapple B - Atomic Drop
- Downed Legs Submission (Face Up) - Figure 4 Leg Lock

Raven
-----
The following moves have been marked as Favorite:
- Back Weak Grapple B+Dir - Bulldog
- Back Strong Grapple A+Dir - Sleeperhold
- Irish Whip Weak Grapple A - Drop Toe Hold

Rick Steiner
------------
-----------------------------------+--------------------------+-----------------------
Move Slot                          | Old Move                 | New Move
-----------------------------------+--------------------------+-----------------------
Counter Punch (Special)            | Strong Attack B          | Front Grapple Special
Front Strong Grapple A+Up          | Corner Oklahoma Stampede | Powerslam
Front Strong Grapple A+Down        | Manhattan Drop           | Tiger Driver Whip
Downed Legs Submission (Face Up)   | Achilles Hold            | STF
Sitting Legs Submission (Face Up)  | Half Boston Crab         | Achilles Hold
-----------------------------------+--------------------------+-----------------------

The following moves have been marked as Favorite:
- Strong Running Strike B - Lariat (Right)
- Front Strong Grapple A+Down - Tiger Driver Whip
- Front Strong Grapple B - Followthrough Front Suplex
- Back Weak Grapple A - Bulldog
- Back Special Grapple - High Speed German Suplex
- Back Running Grapple - Bulldog
- Corner Strong Grapple A - Top Rope Front Suplex
- Downed Legs Submission (Face Up) - STF

Scott Steiner
-------------
Two sets of changes based off of suggestions from KidKash22, one of which was
slightly modified.
--------------------------------------+-------------------+---------------------+
Move Slot                             | Old Move          | New Move            |
--------------------------------------+-------------------+---------------------+
Front Strong Grapple B+Left/Right     | Frankensteiner    | Fallaway Slam       |
--------------------------------------+-------------------+---------------------+
Irish Whip Weak Grapple A+Direction   | Lift Up Slam      | Hip Toss            |
Irish Whip Strong Grapple A+Direction | Frankensteiner    | Lift Up Slam        |
Irish Whip Special Grapple            | (none)            | Frankensteiner Whip |
--------------------------------------+-------------------+---------------------+

The following moves have been marked as Favorite:
- Strong Running Strike B - Power Lariat
- Irish Whip Special Grapple - Frankensteiner Whip

Kevin Nash
----------
Corner Strong Grapple B was de-duplicated from Corner Weak Grapple B.

------------------------+---------------------+-----------------------+
Move Slot               | Old Move            | New Move              |
------------------------+---------------------+-----------------------+
Counter Punch (Special) | Strong Attack B     | Front Grapple Special |
Corner Strong Grapple B | Knee Thrust to Body | Hard Chop             |
------------------------+---------------------+-----------------------+

The following moves have been marked as Favorite:
- Strong Strike B - Big Boot
- Irish Whip Attack - Walking Big Boot
- Front Strong Grapple A+Up - Snake Eyes
- Back Special Grapple - Swinging Side Buster
- Corner Weak Grapple B - Knee Thrust to Body
- Special Grapple from Apron - Apron Powerbomb

Rey Mysterio Jr.
----------------
-----------------------------------+----------------------+-----------------------
Move Slot                          | Old Move             | New Move
-----------------------------------+----------------------+-----------------------
Springboard (Grounded)             | Springboard Leg Drop | Springboard Tope Atomico
-----------------------------------+----------------------+-----------------------

The following moves have been marked as Favorite:
- Front Strong Grapple B+Up - Frankensteiner
- Irish Whip Special Grapple - Frankensteiner
- Corner Special Grapple - Top Rope Dragonsteiner
- Special Turnbuckle Attack to Ground - Frog Splash
- Springboard (Standing) - Springboard Dropkick

L.A. Park/La Parka
------------------
The following moves have been marked as Favorite:
- Strong Strike B - Enzuigiri
- Turnbuckle Attack to Standing - Diving Corkscrew Attack

Rick Rude
---------
-----------------------------------+----------------------+-----------------------
Move Slot                          | Old Move             | New Move
-----------------------------------+----------------------+-----------------------
Front Strong Grapple A+Up          | Lift Up Slam         | Canadian Backbreaker
-----------------------------------+----------------------+-----------------------

The following moves have been marked as Favorite:
- Front Strong Grapple A+Up - Canadian Backbreaker
- Downed Legs Submission (Face Up) - Figure 4 Leg Lock

Daniel Bryan
------------
-----------------------------------+----------------------+-----------------------
Move Slot                          | Old Move             | New Move
-----------------------------------+----------------------+-----------------------
Corner Strike B                    | Middle Kick          | Elbow
-----------------------------------+----------------------+-----------------------

The following moves have been marked as Favorite:
- Strong Strike B+Dir - Rolling Elbow
- Strong Running Strike A+B - Jumping Knee Attack
- Front Weak Grapple A - European Uppercut
- Back Strong Grapple B - Dragon Suplex
- Turnbuckle Attack to Ground - Diving Headbutt

Tajiri
------
The following moves have been marked as Favorite:
- Strong Strike B+Dir - Thrust Kick
- Corner Running Strike A+B - Handspring Back Elbow
- Front Strong Grapple B+Up - Brainbuster
- Front Special Grapple - Poison Mist
- Back Strong Grapple A - Manjigatame
- Back Special Grapple - Dragon Suplex
- Plancha - Alien Quebrada

Dan Severn
----------
------------------------------------+----------------------+-----------------------
Move Slot                           | Old Move             | New Move
------------------------------------+----------------------+-----------------------
Corner Running Strike A+B           | Body Splash          | Spear
Back Reversal (Weak)                | Back Elbow Reversal  | Armbar Reversal
Downed Head Submission (Face Down)  | Mount Choke Sleeper  | Armbar
Sitting Head Submission (Face Down) | Camel Clutch         | Mount Choke Sleeper
------------------------------------+----------------------+-----------------------

The following moves have been marked as Favorite:
- Front Strong Grapple A+Up - Overhead Front Suplex
- Front Strong Grapple B - Cradling Front Neck Lock

The following move is no longer marked as Favorite:
- Back Strong Grapple B+Dir - Repeating German Suplex

DDP
---
A few de-duplication related changes.

--------------------------------------+----------------------+-----------------------
Move Slot                             | Old Move             | New Move
--------------------------------------+----------------------+-----------------------
Front Strong Grapple A+Left/Right     | Shoulder Thrusts     | Russian Leg Sweep
Irish Whip Weak Grapple A+Direction   | Back Body Drop       | Manhattan Drop
Irish Whip Strong Grapple A+Direction | Tilt-a-whirl Slam    | Spinebuster
--------------------------------------+----------------------+-----------------------

The following moves have been marked as Favorite:
- Strong Running Strike A+B - Lariat (Left)
- Front Weak Grapple B+Up - Swinging Neckbreaker
- Front Strong Grapple A - Belly to Back Suplex
- Front Strong Grapple B - Jumping DDT
- Front Special Grapple - Diamond Cutter
- Back Weak Grapple A+Dir - Side Buster
- Irish Whip Special Grapple - Lift Up Ace Crusher
- Front Running Grapple - Swinging Neckbreaker
- Corner Special Grapple - Top Rope Ace Crusher
- Downed Strike (Face Up) - Elbow Drop (Hansen)

Goldberg
--------
----------------------------------+----------------------+-----------------------
Move Slot                         | Old Move             | New Move
----------------------------------+----------------------+-----------------------
Counter Punch (Special)           | Strong Attack B+Dir  | Front Grapple Special
----------------------------------+----------------------+-----------------------

The following moves have been marked as Favorite:
- Corner Running Strike A+B - Spear
- Irish Whip Attack - Big Boot
- Front Strong Grapple A+Up - Lift Up Shoulder Slam
- Back Strong Grapple B - Full Nelson Buster
- Back Special Grapple - Viagra Driver (falling Pump Handle Slam)
- Irish Whip Strong Grapple A - Lift Up Slam

AKI man
-------
The following moves have been marked as Favorite:
- Front Weak Grapple A+Up - Jumping Kick
- Front Weak Grapple B+Down - Machinegun Knee Lift (Front)
- Front Special Grapple - Double Dragon Screw
- Back Strong Grapple A+Dir - Dangerous German Suplex
- Back Special Grapple - Tiger Suplex
- Front Running Grapple - Satellite Headscissors
- Downed Head Submission (Face Up) - Ultimate Punching
- Turnbuckle Attack to Ground - Shooting Star Press

Spider-Man
----------
------------------------+-----------------------+-----------------------
Move Slot               | Old Move              | New Move
------------------------+-----------------------+-----------------------
Back Reversal (Strong)  | Back Grapple Reversal | Backflip Reversal
------------------------+-----------------------+-----------------------

The following moves have been marked as Favorite:
- Strong Strike B+Dir - High Angle Dropkick
- Strong Running Strike B - Flying Kneel Kick (Shinya)
- Corner Running Strike B - Flying Kneel Kick (Shinya)
- Front Special Grapple - Reverse Rolling DDT
- Back Strong Grapple B+Dir - Manjigatame
- Back Special Grapple - Delfin Rana
- Irish Whip Special Grapple - Frankensteiner
- Special Turnbuckle Attack to Standing - Diving Tope Con Hilo (Sasuke)
- Special Turnbuckle Attack to Ground - Rounding Body Press

Dr. Death
---------
Small requested change for the ducking strike.
Oddly enough, the Football Tackle isn't available in Ducking Strike.

------------------------+-----------------------+-----------------------
Move Slot               | Old Move              | New Move
------------------------+-----------------------+-----------------------
Ducking Strike          | Low Blow              | Leg Tackle
------------------------+-----------------------+-----------------------

John Cena
---------
Cena's moveset has been largely re-done with suggestions from kikrusher99.
Considering that the original moveset was mostly made up by me without much
regard for accuracy or reality, this is probably a welcome change.

I did sneak a few extra changes in, though... this time, with at least some
regard for accuracy.

--------------------------------------+----------------------------------+-----------------------
Move Slot                             | Old Move                         | New Move
--------------------------------------+----------------------------------+-----------------------
Weak Punch B                          | Horizontal Chop                  | Vader Hammer
Weak Punch B+Direction                | Elbow                            | Hook Palm Strike
Strong Strike B+Direction             | Step Jab                         | Step Jab (Y. Ogawa)
Weak Running Strike B                 | Push Kick                        | Shoulder Block
Strong Running Strike A+B             | Spear                            | Choshu Lariat
Corner Strike B                       | Elbow                            | Punch
Corner Strike B+Direction             | Step Kick                        | Body Blow
Corner Running Strike B               | Lariat (Right)                   | Choshu Lariat
Corner Running Strike A+B             | Flying Shoulder Attack           | Power Lariat
Apron Strike [to Ring]                | Middle Kick                      | Elbow
Irish Whip Attack                     | Orthodox Punch                   | Step Punch (Y. Ogawa)
Counter Punch                         | Guard Counter Strong Attack B    | Guard Counter Strong Attack B+Dir
Counter Kick A                        | Push Chest                       | Manhattan Drop
Counter Kick B                        | Sidewalk Slam                    | Lariat
Front Weak Grapple A                  | Elbow                            | Face Punch
Front Weak Grapple B+Left/Right       | Gutwrench Suplex                 | Swinging Neckbreaker
Front Weak Grapple B+Down             | Schmidt Backbreaker              | Shoulder Buster
Front Strong Grapple A+Left/Right     | Belly to Belly Suplex            | Followthrough Front Suplex
Front Strong Grapple A+Up             | Stalling Suplex                  | Fisherman Suplex
Front Strong Grapple B+Left/Right     | Michinoku Driver 2               | Fisherman Buster
Front Strong Grapple B+Up             | Fisherman Buster                 | Stalling Brainbuster
Front Maximum Grapple                 | (none)                           | Emerald Flowsion
Back Weak Grapple A                   | Backdrop                         | High Angle Backdrop
Back Weak Grapple B+Direction         | Knee Crusher                     | Pendulum Backbreaker
Back Strong Grapple A+Direction       | Reverse Facebuster               | Face Crusher
Back Strong Grapple B                 | Release German Suplex            | High Speed German Suplex
Back Strong Grapple B+Direction       | Cannonball Buster                | German Suplex
Back Special Grapple                  | Shoulder Lift Facebuster         | Blue Thunder
Back Maximum Grapple                  | (none)                           | Monster German Suplex
Back Stolen Special Grapple           | Shoulder Lift Facebuster         | Blue Thunder
Back Reversal (Weak)                  | Back Elbow Reversal              | Back Grapple Reversal
Back Reversal (Strong)                | Russian Leg Sweep Reversal       | German to Strong Running Strike A+B
Irish Whip Weak Grapple A+Direction   | Drop Toe Hold                    | Back Body Drop
Irish Whip Strong Grapple A           | Lift Up Slam                     | Powerslam
Irish Whip Strong Grapple A+Direction | Powerslam                        | Frankensteiner Whip
Irish Whip Special Grapple            | (none)                           | Thesz Press with Punches
Front Running Grapple                 | DDT                              | Swinging Neckbreaker
Back Running Grapple                  | Face Crusher                     | Bulldog
Corner Strong Grapple B               | Tornado DDT                      | Top Rope Front Suplex
Weak Grapple from Apron               | Rope-assisted Armbreaker         | Sunset Flip Pin
Strong Grapple from Apron             | Suplex to Outside                | Rope-assisted Guillotine
Double Impact Reversal (Back)         | Punch Reversal                   | Roll Forward Pin
Downed Strike (Face Down)             | Stomping                         | Elbow Drop
Running Downed Strike (Face Down)     | Stomping                         | King Kong Kneedrop
Sitting Strike (Face Up)              | Elbowdrop (Hansen)               | Fist Drop
Turnbuckle Attack to Standing         | Diving Body Attack               | Diving Shoulder Attack
Turnbuckle Attack to Ground           | Diving Front Elbowdrop           | Diving Legdrop
Special Turnbuckle Attack to Ground   | Diving Kneedrop                  | (none)
Turnbuckle Attack to Outside Ground   | Diving Body Press                | Diving Front Elbowdrop
Plancha                               | (none)                           | Plancha
Rope Rebound Attack                   | Rebound Elbow                    | (none)
Ducking Taunt (Down)                  | Hitting Head                     | Waiting to Strike!
Victory Taunt                         | Victory Guts Pose                | Perfect "Oh!"
--------------------------------------+----------------------------------+-----------------------

The following moves have been marked as Favorite:
- Front Strong Grapple B+Left/Right - Fisherman Buster
- Back Weak Grapple A - High Angle Backdrop
- Back Strong Grapple A+Dir - Face Crusher
- Back Special Grapple - Blue Thunder
- Irish Whip Special Grapple - Thesz Press with Punches
- Back Running Grapple - Bulldog
- Corner Special Grapple - Top Rope Death Valley Driver
- Turnbuckle Attack to Ground - Diving Legdrop

Terry Funk
----------
Added Fireball as Front Maximum Grapple.

----------------------+----------+----------+
Move Slot             | Old Move | New Move |
----------------------+----------+----------+
Front Maximum Grapple | (none)   | Fireball |
----------------------+----------+----------+

Kane
----
Small bit of de-duplication.

--------------------------+--------------+------------------+
Move Slot                 | Old Move     | New Move         |
--------------------------+--------------+------------------+
Back Strong Grapple B+Dir | Enzui Lariat | Reverse DDT Drop |
--------------------------+--------------+------------------+

Hayabusa
--------
Changed the Front Maximum Special to the Steiner Screwdriver as a throwback
to VPW PS1, as suggested by RagDas.

----------------------+------------------+---------------------+
Move Slot             | Old Move         | New Move            |
----------------------+------------------+---------------------+
Front Maximum Grapple | Tiger Driver '91 | Steiner Screwdriver |
----------------------+------------------+---------------------+

--------------------------------------------------------------------------------
[Parameters]
A general pass was made over the wrestlers ported from WM2K and No Mercy,
just to make sure things are reasonably correct.

Chris Benoit
------------
[REDACTED] man didn't really need any more boosts, but this is what No Mercy has for him.
----------------+------+------+
Parameter       | Old  | New  |
----------------+------+------+
Downed Recovery | Slow | Fast |
----------------+------+------+

Eddie Guerrero
--------------
It should be noted that No Mercy has Eddie's Bloody Spirit Recovery and Downed
Recovery at the weakest values.
-----------------------+--------+--------+
Parameter              | Old    | New    |
-----------------------+--------+--------+
Walk Speed             | Normal | Fast   |
Bloody Spirit Recovery | Fast   | Normal |
Downed Recovery        | Fast   | Normal |
Preferred Weapon       | Chair  | Random |
-----------------------+--------+--------+

Dean Malenko
------------
-----------------+-------+--------+
Parameter        | Old   | New    |
-----------------+-------+--------+
Preferred Weapon | Chair | Random |
-----------------+-------+--------+

Steve Austin
------------
----------------+-------+--------+
Parameter       | Old   | New    |
----------------+-------+--------+
Bleeding        | Often | Rarely |
Downed Recovery | Slow  | Fast   |
----------------+-------+--------+

The Rock
--------
-----------------------+-----------+------+
Parameter              | Old       | New  |
-----------------------+-----------+------+
Leapfrog Style         | Drop Down | Both |
Bloody Spirit Recovery | Fast      | Slow |
-----------------------+-----------+------+
Defense - Legs         | 1         | 2    |
-----------------------+-----------+------+

Triple H
--------
----------------+-------+--------+
Parameter       | Old   | New    |
----------------+-------+--------+
Bleeding        | Often | Rarely |
Downed Recovery | Slow  | Fast   |
----------------+-------+--------+

Shawn Michaels
--------------
----------------+-------+-----------+
Parameter       | Old   | New       |
----------------+-------+-----------+
Leapfrog Style  | Both  | Drop Down |
Bleeding        | Often | Rarely    |
Downed Recovery | Slow  | Fast      |
----------------+-------+-----------+

Undertaker
----------
----------------+------+--------+
Parameter       | Old  | New    |
----------------+------+--------+
Walk Speed      | Slow | Normal |
Recovery Rate   | Fast | Normal |
Downed Recovery | Slow | Fast   |
----------------+------+--------+

Kane
----
----------------+-------+--------+
Parameter       | Old   | New    |
----------------+-------+--------+
Bleeding        | Often | Rarely |
Downed Recovery | Slow  | Fast   |
----------------+-------+--------+

X-Pac
-----
---------------+------+------+
Parameter      | Old  | New  |
---------------+------+------+
Leapfrog Style | Jump | Both |
---------------+------+------+

Tazz
----
---------------+-----------+------+
Parameter      | Old       | New  |
---------------+-----------+------+
Leapfrog Style | Drop Down | Both |
---------------+-----------+------+

Perry Saturn
------------
-----------------------+--------+--------+
Parameter              | Old    | New    |
-----------------------+--------+--------+
Bloody Spirit Recovery | Normal | Slow   |
Downed Recovery        | Normal | Slow   |
Preferred Weapon       | Chair  | Random |
-----------------------+--------+--------+

Kurt Angle
----------
-----------------------+-------+--------+
Parameter              | Old   | New    |
-----------------------+-------+--------+
Bloody Spirit Recovery | Fast  | Slow   |
Preferred Weapon       | Chair | Random |
-----------------------+-------+--------+

Big Show
--------
This is going to be one of the more controversial sets of parameter changes,
as Big Show's extant data in the final No Mercy ROM was referenced. Unless a
pre-release version of No Mercy with Big Show is dumped, I can't be 100% sure
these are fully "accurate" values.
------------------+-----------+--------+
Parameter         | Old       | New    |
------------------+-----------+--------+
Submission Skills | Normal    | Weak   |
Leapfrog Style    | Drop Down | None   |
Recovery Rate     | Fast      | Slow   |
Downed Recovery   | Slow      | Fast   |
Jumping Distance  | Shortest  | Short  |
------------------+-----------+--------+
Offense - Head    | 3         | 4      |
Offense - Arms    | 2         | 4      |
Offense - Flying  | 2         | 3      |
------------------+-----------+--------+
Defense - Head    | 3         | 2      |
Defense - Body    | 4         | 3      |
Defense - Flying  | 4         | 3      |
------------------+-----------+--------+

Ken Shamrock
------------
-----------------------+-----------+--------+
Parameter              | Old       | New    |
-----------------------+-----------+--------+
Leapfrog Style         | Drop Down | Both   |
Bleeding               | Often     | Rarely |
Bloody Spirit Recovery | Slow      | Fast   |
-----------------------+-----------+--------+

Bret Hart
---------
You might have heard about this one.

----------+-----------+----------+
Parameter | Old       | New      |
----------+-----------+----------+
Rival 1   | HBK       | Goldberg |
Rival 2   | Austin    | None     |
----------+-----------+----------+

Spider-Man
----------
I played some matches with Spider-Man, and it felt wrong for him to not have
the longest possible jump distance.

-----------------+------+---------+
Parameter        | Old  | New     |
-----------------+------+---------+
Jumping Distance | Long | Longest |
-----------------+------+---------+

--------------------------------------------------------------------------------
[Logic]
With the Type value now visible and editable, various wrestlers have been updated.
This is in addition to the re-checking of values from No Mercy and WM2K mentioned
in the Parameters section.

Type changes are made under the assumption that the setting is functional,
and plays a non-trivial role. This may not be the case, as it was removed from
the final version of VPW2.

There are still questions about how much the Type value actually plays into the
computer AI's behavior; these have yet to be definitively answered, though
Melonbread has made some progress.

(More discussion on Logic Type can be found in the VPW2 freem Edition manual.)

Chris Benoit
------------
---------+---------------+---------------+
Category | Old Value     | New Value     |
---------+---------------+---------------+
Type     | Single Minded | Power         |
---------+---------------+---------------+

Eddie Guerrero
--------------
Downed Opponent Late is different from what it would be in No Mercy ("Pick Up").
I do not plan to change it from Flying unless there is a good reason.

-----------------------+-----------+------------+
Category               | Old Value | New Value  |
-----------------------+-----------+------------+
Type                   | Power     | Technique  |
Standing Opponent Late | Grappling | Striking   |
Downed Opponent Early  | Striking  | Submission |
Attack Strategy        | Grapples  | Balanced   |
Offensive Balance      | Balanced  | Attack     |
-----------------------+-----------+------------+

Undertaker
----------
----------------------+------------+-----------+
Category              | Old Value  | New Value |
----------------------+------------+-----------+
Downed Opponent Early | Submission | Pick Up   |
----------------------+------------+-----------+

X-Pac
-----
----------------+---------------+-------------------------------+
Category        | Old Value     | New Value                     |
----------------+---------------+-------------------------------+
Finisher        | Bronco Buster | X-Factor/High Jump Facebuster |
Strike Reaction | Normal        | Fast                          |
----------------+---------------+-------------------------------+

Tazz
----
---------+------------+-----------+
Category | Old Value  | New Value |
---------+------------+-----------+
Type     | Striking   | Power     |
---------+------------+-----------+

Perry Saturn
------------
----------+------------+-----------+
Category  | Old Value  | New Value |
----------+------------+-----------+
Type      | Rough      | Power     |
----------+------------+-----------+

Kurt Angle
----------
----------+------------+-----------+
Category  | Old Value  | New Value |
----------+------------+-----------+
Type      | Striking   | Technique |
----------+------------+-----------+

Big Show
--------
(see comment in Big Show's Parameters entry)

----------------------+-----------------+------------+
Category              | Old Value       | New Value  |
----------------------+-----------------+------------+
Downed Opponent Early | Striking        | Submission |
Attack Strategy       | Mainly Grapples | Balanced   |
Offensive Balance     | Mainly Attack   | Defend     |
Strike Reaction       | Normal          | Slow       |
----------------------+-----------------+------------+

Chris Jericho
-------------
---------+-----------+-----------+
Category | Old Value | New Value |
---------+-----------+-----------+
Type     | Striking  | Flying    |
---------+-----------+-----------+

Cactus Jack
-----------
Another hold-over from Dragon Kid. Hopefully the last one.

---------+-----------+-----------+
Category | Old Value | New Value |
---------+-----------+-----------+
Type     | Flying    | Rough     |
---------+-----------+-----------+

Destroyer
---------
Changed the finisher to Figure 4 Leg Lock and modified the Downed Opponent Late
logic to work towards it.

---------------------+-----------------------+----------------------------------+
Category             | Old Value             | New Value                        |
---------------------+-----------------------+----------------------------------+
Type                 | Single-Minded         | Technique                        |
Downed Opponent Late | Pick Up               | Submission                       |
Finisher             | Front Special Grapple | Downed Legs Submission (Face Up) |
---------------------+-----------------------+----------------------------------+

Dynamite Kid
------------
Changed the finisher to Diving Headbutt.

---------------------+-----------------------------+-------------------------------------+
Category             | Old Value                   | New Value                           |
---------------------+-----------------------------+-------------------------------------+
Finisher             | Turnbuckle Attack to Ground | Special Turnbuckle Attack to Ground |
---------------------+-----------------------------+-------------------------------------+

Rikidozan
---------
Changed finisher to Pulling Piledriver.
The previous finisher was likely a holdover from Takao Omori.

---------------------+---------------------------+-----------------------+
Category             | Old Value                 | New Value             |
---------------------+---------------------------+-----------------------+
Type                 | Single-Minded             | Striking              |
Finisher             | Strong Running Strike A+B | Front Special Grapple |
---------------------+---------------------------+-----------------------+

Road Warriors
-------------
---------+-----------+-----------+
Category | Old Value | New Value |
---------+-----------+-----------+
Type     | Technique | Power     |
---------+-----------+-----------+

Bret Hart
---------
---------+-----------+-----------+
Category | Old Value | New Value |
---------+-----------+-----------+
Type     | Rough     | Technique |
---------+-----------+-----------+

Sabu
----
---------+-----------+-----------+
Category | Old Value | New Value |
---------+-----------+-----------+
Type     | Technique | Flying    |
---------+-----------+-----------+

Sting
-----
---------+------------+-----------+
Category | Old Value  | New Value |
---------+------------+-----------+
Type     | Striking   | Technique |
---------+------------+-----------+

Curt Hennig
-----------
---------+---------------+-----------+
Category | Old Value     | New Value |
---------+---------------+-----------+
Type     | Single Minded | Technique |
---------+---------------+-----------+

Rey Mysterio Jr.
----------------
---------+------------+-----------+
Category | Old Value  | New Value |
---------+------------+-----------+
Type     | Technique  | Flying    |
---------+------------+-----------+

Kevin Nash
----------
---------+---------------+-----------+
Category | Old Value     | New Value |
---------+---------------+-----------+
Type     | Single Minded | Power     |
---------+---------------+-----------+

Scott Steiner
-------------
---------+---------------+-----------+
Category | Old Value     | New Value |
---------+---------------+-----------+
Type     | Single Minded | Power     |
---------+---------------+-----------+

Rick Rude
---------
----------+------------+-----------+
Category  | Old Value  | New Value |
----------+------------+-----------+
Type      | Striking   | Technique |
----------+------------+-----------+

Karl Gotch
----------
----------+------------+-----------+
Category  | Old Value  | New Value |
----------+------------+-----------+
Type      | Power      | Technique |
----------+------------+-----------+

Rick Steiner
------------
---------+---------------+-----------+
Category | Old Value     | New Value |
---------+---------------+-----------+
Type     | Single Minded | Power     |
---------+---------------+-----------+

Booker T
--------
----------+------------+-----------+
Category  | Old Value  | New Value |
----------+------------+-----------+
Type      | Flying     | Technique |
----------+------------+-----------+

AKI man
-------
----------+------------+-----------+
Category  | Old Value  | New Value |
----------+------------+-----------+
Type      | Striking   | Technique |
----------+------------+-----------+

Brock Lesnar
------------
----------+------------+-----------+
Category  | Old Value  | New Value |
----------+------------+-----------+
Type      | Technique  | Power     |
----------+------------+-----------+

AJ Styles
---------
----------+------------+-----------+
Category  | Old Value  | New Value |
----------+------------+-----------+
Type      | Striking   | Technique |
----------+------------+-----------+

Dan Severn
----------
----------+------------+-----------+
Category  | Old Value  | New Value |
----------+------------+-----------+
Type      | Striking   | Technique |
----------+------------+-----------+

================================================================================
[Changelog Items]
Starting with this release, changes will be grouped by their general type.

Default Costume Data
--------------------
- [Scott Steiner] Implemented front hair goatee hack on costumes 1, 2, and 4.

- [Hulk Hogan] Changes to all costumes:
  Costume 1) Added Hogan Bandana, changed hair, added Entrance Hogan Shirt.
  Costumes 2, 4) Changed facial hair to new Hollywood Hogan-specific texture.
  Costume 3) Added black gown as Entrance Attire.
  * Implemented front hair mustache hack on all costumes.
  * Swapped sunglasses between costumes 2 and 4.
  Costume 2) Added nWo Sleeveless Entrance Attire.

- [Sting] Changes to all costumes:
  * Added Bat as Entrance Weapon for costumes 1, 2, and 4.
  * Changed Entrance Attire for costume 3 to use new Sting (1990s) item.
  * Changed boots on costume 3 to be more accurate.
  * Updated costumes 1 and 2 to account for new tights.

- [DDP] Added DDP tattoo to all costumes.
  (Not that you can really see it on costume 4, but that's besides the point.)

- [Rick Steiner] Changes to multiple costumes:
  Costume 3) Changed to Varsity Club-style outfit.
  Costumes 1-3) Added new Tattoo 5.

- [Steve Austin - Costume 3] A few changes:
  * Added white wristbands
  * Added Entrance Attire D1 - Leather Vest

- [Bret Hart] Changes to multiple costumes:
  Costumes 1-3) Added Entrance Attire A6 - Bret Hart
  Costume 2) Change Ring Attire secondary color to light pink (19)
  Costume 3) Removed sunglasses

- [Ultimo Dragon - Costume 3] Fixed color inconsistency on Upper Body.

- [Randy Savage] Changes to multiple costumes:
  Costume 2) Added sleeveless top, in order to better differentiate it from the
  first costume.
  Costume 3) Changed facial hair.
  Costume 4) Changed top to nWo Sleeveless.

- [Jumbo Tsuruta - Costume 2] Changed to red, to differentiate from costume 1.

- [Kensuke Sasaki - Costume 1] Actually *use* the Kensuke Sasaki trunks I spent
  a decent amount of work on.

- [Steven Regal - Costume 3] Changed boots to A11 - Vader. Not perfect, but closer.

- [Scott Hall - Costume 2] Fixed Upper Body colors to deal with the old placeholder.

- [Kevin Nash] Added new Tattoo 2 to all costumes.

- [Tajiri] Changes to the first two costumes:
  Costume 1) Fixed pants color.
  Costume 2) Changed pants color in an attempt to make costumes 1 and 2
  look different for gameplay purposes (i.e. being able to tell people apart
  in a Battle Royal).

- [X-Pac] Changes to multiple costumes:
  Costumes 1, 2) Changed Entrance Attire to DX T-Shirt
  Costume 4) Changed Upper Body to DX T-Shirt

- [Eddie Guerrero] Changes to a few costumes:
  Costume 1) Changed Ring Attire to new Eddie (No Mercy) pants.
  Costume 3) Changed mask to new Black Tiger 2 mask.

- [Raven] Added tattoo to all costumes.

- [Great Muta] Changes to a few costumes:
  Costume 1) Changed to red design. (Modified pants, boots, wristband.)
  Costume 2) Changed entrance attire to nWo Sleeveless.
  Costume 3) Updated colors for new ring attire item.

- [Yuji Nagata - Costume 3] Added wristbands, changed colors of gloves and boots.

- [Tiger Mask - Costume 3] Changed pants to a stand-in for what he wore as
  Super Tiger versus Mach Hayato (UWF Pankration Road - 1985/02/18)

- [Road Warriors] Changed all costumes, some more obviously than others...
  Costume 2) Changed facepaint to "Hawk 2".
  Costumes 3 and 4) Changed head shape.
  Costume 3) Changed facepaint to "Animal 2".

- [TAKA Michinoku] Updated costume 4 to not use the new Upper Attire B26.

Wrestler Textures, Models (Faces, Masks, Costume Items)
-------------------------------------------------------
- [Costume Items] New costume items added:
  * Facial Hair 28 - Hollywood Hogan (there was an attempt)
  * Face Accessory 5 - Hogan Bandana
  * Tattoo 7 - DDP (Revenge port, slightly modified)
  * Upper Body B17 - EC F'N W
  * Entrance Attire A6 - Bret Hart
  * Entrance Attire A2 - Sting (1990s)
  * Ring Attire F4 - Executioner (Revenge port)
  * Tattoo 5 - Rick Steiner (Revenge port)
  * Upper Body B14 - DX T-Shirt
  * Bangs/Front Hair 070 (Hogan mustache hack)
  * Bangs/Front Hair 035 (Scott Steiner facial hair hack; texture by RagDas)
  * Upper Body B3 - nWo Sleeveless
  * Upper Body B2 - EC F'N W Sleeveless
  * Tattoo 2 - Kevin Nash (Revenge port)
  * Entrance Attire C3 - DX T-Shirt
  * Entrance Attire C7 - Hogan Shirt
  * Tattoo 3 - Raven (Revenge port)
  * Entrance Attire C4 - nWo Sleeveless
  * Ring Attire D15 - Eddie (No Mercy)
  * Facepaint 30 - Hawk 2
  * Facepaint 31 - Animal 2
  * Ring Attire D16 - Great Muta (1990s)
  * Ring Attire C13 - Great Muta (2002)
  * Upper Body B26 - LIJ T-Shirt

- [Faces] Some face textures were updated:
  * 018 - Randy Savage (new texture by RagDas)
  * 037 - Eddie Guerrero (updated texture by KWG/Saga)
  * 049 - Chris Benoit (updated texture by KWG/Saga)
  * 051 - X-Pac (updated texture by KWG/Saga)
  * 073 - Booker T (updated texture by KWG/Saga)

- [Masks] New masks added:
  * 14 - Executioner (ported from WCW/nWo Revenge by freem)
  * 22 - Black Tiger 2 (mask by freem, face by KWG/Saga)

- [Masks] Some mask textures were updated:
  * 18 - Spider-Man
  * 19 - Giant Machine (ripped face changed to Andre the Giant; face texture by KWG/Saga)

- [Masks] No, really this time, Edited Mask 7 - Pegasus Kid with new face
  texture from KWG/Saga. (This was listed in the previous version's changelog,
  but I never got around to actually changing the textures.)

- [Costume Items] Fixed a sleeve texture issue with a few costume items:
  * Upper Body B13 - Funk FMW
  * Upper Body B25 - Funk U

- [Costume Items] Re-did nWo logo on Upper Body B18 - nWo T-Shirt.

- [Costume Items] Re-made Ring Attire D21 - Booker T.
  It's a different design than the one from WCW/nWo Revenge, but this one
  should play nicer with color changes.

- [Facepaint] Facepaint 07 - Hawk: Tweaked black paint location on the viewer's left side.

- [Boots] Changed name of A26 - "Fangs Shoes" to "Funk".

- [Costume Items] Two changes to Upper Body B15 - Rey Jr. 2:
  * The upper back texture was previously set up wrong. This has been fixed.
  * Attempted to fix texture mapping issues endemic to Revenge -> VPW2 texture ports.

- [Costume Items] Re-made two of Sting's Crow costume items:
  * Ring Attire C19 - Sting 2
  * Upper Body A11 - Sting
  This is a different design than the one featured in WCW/nWo Revenge.

- [Faces] Tweaked facepaint vertical displacement for Face 56 - Hawk.

- [Faces] Tweaked facial hair vertical displacement for the following faces:
  * 018 - Randy Savage
  * 019 - Kevin Nash
  * 021 - Rick Steiner
  * 036 - Perry Saturn
  * 038 - Chris Jericho
  * 043 - William Regal
  * 048 - Dynamite Kid
  * 058 - Tazz
  * 063 - John Cena
  * 065 - Samoa Joe
  * 066 - Daniel Bryan
  * 086 - Undertaker

- [Costume Items] Added spikes to Entrance Attire D5 - Road Warriors.
  This was one of the "bucket list" items for the hack, so I'm glad to have it
  finally implemented.

- [Costume Items] Added small red flame to upper left leg of Ring Attire D12 - Tajiri.

- [Costume Items] Added knot to Ring Attire F5 - Raven.

- [Tattoos] Adjusted darker skin tone palettes for Tattoo 8 - Saturn.

- [Costume Items] Fixed stomach tattoo issue with Ring Attire E3 - Kurt Angle.
  (at the loss of some detail, due to rules on how transparency works on certain
  items in VPW2)

- [Costume Items] Updated Upper Body B16 - Tiger King.

- [Facepaint] Updated GI Bro facepaint to be darker on the black/gray portions.

- [Facepaint] Re-converted Dr. Frank facepaint; shading has improved.

- [Costume Items] Attempted to fix a texture issue on the back of HBK's entrance attire.

- [Facepaint] Added eyes (from RagDas) to a few items:
  - Facepaint 3 - nWo Muta
  - Facepaint 20 - Muta (white)
  - Accessory 26 - Paint 4

Arenas
------
- Enabled mirroring on some ring skirt and outside mat textures that didn't
  have it set. This should hopefully get rid of awkward texture transitions.

- [Dome Road] Added rotated "V.P.W." mat logos in the corners.

- [Budokan] Added blue and red "Virtual Pro-Wrestling" text on the mat edges.

- [AKI Hall] Minor graphical touch-ups on balcony banner.

Menus/User Interface
--------------------
- [Edit Mode - Costume] Put a space between "Copy To" and the target part.
  (Elbow Pad and Knee Pad use this.)

- [Date Input] Expanded button text for Year and Month.
  (They were previously "Ye" and "Mo", respectively)

- [Options] Changed "B&W" text to "Monochrome".

- [Edit Mode - Logic] Re-enabled "Type" option.
  Thanks to S.K. Stylez for figuring it out after 20+ years.

- Replaced large number font (used for selecting the number of participants in
  Battle Royals, among other things) with the one from the cancelled "WWF? Some
  Mercy" project. (Might as well get *some* use out of it...)

- [Controller Setup] Changed player icons.

- [Battle Royal Results] Changed player stats backgrounds and player icons.

- [Taunt Category List] Added [Control Stick + Down] command text for Ducking Taunt.

- [Event Card/Match List] Adjusted gold/championship match background bar.

- [Player Selection] Updated item backgrounds for regular and "Watch" options.

- [Elimination Mode] New numbers for entries 1-5.

- New numbers for Tournament and League entries (1-16).

- [Event Mode] New textures for Event slots.

- [Event Mode] Fixed issue where "New Match" text wouldn't appear.

- [Pause Menu] Replaced button graphics.

- [Martial Arts ruleset] New textures for in-game points meters.

- [Font] New designs for the English characters in the large and small fonts.
  (There are still some minor character width issues to take care of later on.)

- [Stable Bar] Primary color is now orange, among other small changes.

Move Names
----------
(Changes not related to Translation)

- [Front Strong Grapple] "Front Suplex" changed to "Overhead Front Suplex".

- [Front Strong Grapple] "Oklahoma Stampede" renamed to "Powerslam/Oklahoma Stampede".

Translation
-----------
- [Time Input] Translated Time Input Help text.
  Not sure how this escaped translation for so long...

- [Edit Mode] Translated Boots D4 in Edit Mode.
  It took a long time to find a good translation for this one.

- [Edit Mode] Translated some more move and taunt names.

- [Match Results Screen] Translated some move names.

- [Wrestler Data] Translated the "Note" portion of the Copy help text.

- [Tag Team Name] Two changes to tag team name display:
  - Removed Kanji ("組") after team name.
  - Replaced "＆" with " & ", as WM2000 has it. (Note the encoding and spacing differences.)

- [Month Input] Imported WrestleMania 2000's values for Month Input.

- [Battle Royal Team Menu] Translated text in the bottom-most panel.

- [Time Input] Removed the kanji from the choices and added another "0" to
  the "0 minutes" choice. (Having to make the spacing look "proper" made these
  take longer than they should've.)

- [Quick Match Help] Finally translated the last line in both variants of
  the Quick Match help text.

- [Mic Appeal] Translated the remaining phrases.
  If you need to update the phrases on your copy, please see the Manual.

Challenge Mode
--------------
This version of the hack has the first "real" changes to Challenge Mode.
Previous versions of the hack only modified the available tag teams and
default champions.

More information can be found in the Manual.

Special thanks to Melonbread for finding out various bits of information
for RRS/KRS mode.

- Singles and Tag Team rosters have been updated.

- "Surprise" Battle Royal entrant has been replaced.
  Granted, the surprise entrant only shows up if they haven't been unlocked,
  and the game comes fully unlocked as-is...

- Enabled Blood in all RRS/KRS match rulesets.

General/Miscellaneous
---------------------
- [Options] Added note to Referee help about Johnny H's slower pin count.

- [Textures] Enabled horizontal and vertical mirroring on a number of textures
  in an attempt to fix minor display glitches.

- [Wrestler Themes] Extended the amount of backstage time tied to Liger's theme.

- [Unlocks] Unlock status check routine modified to always return "unlocked"
  for all items. This should hopefully fix any issue with items being
  temporarily re-locked when resetting the cartridge data.

- [Match Rules] Enabled blood in the default Exhibition match rulesets.
  (This will only take effect on new or defaulted/reset save data.)

- [Event Mode] Fixed a bug regarding audience calculation in certain arenas.
  Thanks to Melonbread for finding the bug, and bugfixing my original bugfix.

- [Battle Royal] In "Random" mode, participants will now pick from all four
  costumes, instead of just the first two.

- [Match Rules] Enabled Blood in Demo Match rulesets.

- [Intro Sequence] A significant amount of changes to the intro.
  - changed camera angle for Andre the Giant's entrance.
  - Toshiaki Kawada Enzuigiri sequence changes:
    - replaced Kawada with Antonio Inoki.
    - replaced Enzuigiri with Inoki's version.
  - Yoshihiro Takayama knee sequence changes:
    - replaced Yoshihiro Takayama with Hiroyoshi Tenzan.
    - replaced Toshiaki Kawada with Gen'ichiro Tenryu.
    - replaced knee with Cradle Tombstone Piledriver.
    - fixed wrestlers blinking in during this sequence.
  - Rikidozan Axe Bomber sequence changes:
    - replaced Rikidozan with Satoshi Kojima.
    - replaced Akira Taue with Riki Choshu.
    - replaced Axe Bomber with Kojima's lariat.
  - No Fear tag team taunt sequence changes:
    - replaced Yoshihiro Takayama with Hiroyoshi Tenzan.
    - replaced Rikidozan with Satoshi Kojima.
    - replaced Akira Taue with Riki Choshu.
    - replaced Toshiaki Kawada with Gen'ichiro Tenryu.
  - moved The Rock to the viewer's left during the People's Elbow setup sequence.
  - Apron Sunset Flip sequence changes:
    - replaced Mitsuharu Misawa with Rey Mysterio Jr.
    - replaced HBK with Ultimo Dragon.
  - Lionsault sequence changes:
    - replaced Chris Jericho with Hayabusa.
    - replaced Steve Austin with Atsushi Onita.
  - Fixed Dan Severn and Ken Shamrock blinking in during the mounted taunt sequence.
  - HBK Sweet Chin Music sequence changes:
    - changed camera movement/action type.
    - re-positioned wrestlers for a better camera shot.
  - Scott Hall Arm Twist sequence changes:
    - replaced Scott Hall with Kensuke Sasaki.
    - replaced The Destroyer with Shinya Hashimoto.
    - replaced Arm Twist with Northern Lights Bomb.
  - Kevin Nash/Vader German Suplex sequence changes:
    - replaced Kevin Nash with Samoa Joe.
    - replaced Vader with AJ Styles.
  - replaced Kevin Nash with Samoa Joe during the first Kobashi lariat sequence.
  - replaced Mitsuharu Misawa with Rick Steiner during the second Kobashi lariat sequence.
  - replaced Toshiaki Kawada with HHH during the rotating Kobashi Burning Lariat sequence.
  - Steiners tag team sequence changes:
    - replaced HBK with Kevin Nash.
    - Rick Steiner now performs corner shoulder tackle.
    - moved Scott Steiner and Scott Hall away from the ropes.
  - Scott Hall British Fall sequence changed to Sting doing Scorpion Death Drop.
  - Hawaiian Crusher sequence changes:
    - replaced HBK with Brock Lesnar.
    - replaced Rikidozan with John Cena.
  - Akiyama/Hogan, Destroyer/Hall tag team sequence changes:
    - replaced The Destroyer with Masato Tanaka.
    - replaced Scott Hall with Chris Jericho.
    - replaced Tornado DDT with Diamond Dust.
    - replaced Jun Akiyama with Tajiri.
    - replaced Wrist Clutch Exploder with Tajiri's kicking combo.
	- slightly extended scene time.
  - replaced Takayama and Rikidozan with Masato Tanaka and Mike Awesome
    in double team powerbomb sequence.
  - replaced Kenta Kobashi with Great Muta during Moonsault sequence.
  - Sting STO sequence changes:
    - replaced Sting with Naoya Ogawa.
    - replaced Akira Taue with Akira Maeda.
    - replaced STO animation with the one Naoya Ogawa uses.
  - Fixed Pegasus Kid blinking into existence during the Liger top rope brainbuster.
  - Changes to the last three sequences before AKI man appears in the locker room:
   - replaced Vader with Jumbo Tsuruta.
   - replaced Everest German Suplex with Dangerous Backdrop.
   - replaced Jun Akiyama with Antonio Inoki.
   - replaced Vader Bomb with Norton Bomb.
   - replaced Akira Taue with Giant Baba.
   - replaced Vader's taunt with Jumbo Tsuruta's special taunt.
  - Changed the final four wrestlers. From left to right:
    - Akira Taue is now Eddie Guerrero.
    - Toshiaki Kawada is now Scott Norton.
    - Jun Akiyama is now Andre the Giant.
    - Kenta Kobashi is now Ultimo Dragon.

================================================================================
2021/01/28 (January 28, 2021)
================================================================================
[General Update Notes]
This is a bittersweet update, as I am taking an indefinite hiatus from working
on this hack after this version is released.

Proper development for this hack started back in 2018, and this release will
mark the full third year I've been developing this project. During that time,
I have started up many other projects that have been a bit neglected.
(Not to mention other projects from before 2018...)

The hack is not dead, and you shouldn't rule out future updates, but it seems
very unlikely to happen for some time. I'll still be around, but my primary
focus needs to be elsewhere.

I am optimistic about the future of AKI wrestling game hacking projects, but
there's still a lot of ground to cover, as well as new solutions to old problems
waiting to be discovered and/or developed.

Project Progress Report
-----------------------
This version should be around 45 to 50% complete.
A lot of tasks remain, with a number of them being more difficult to deal with.

As mentioned above, I will be changing my primary focus away from this hack,
so there is no timeframe for completion of any of the remaining tasks.

The perpetual projects:
* Continue wrestler editing process (moves, params, logic)
* Fix up accuracy on costumes and costume items
* Work on remaining costume items (including faces, masks, entrance attire)
* Continue work on arenas
* Continue work on the intro sequence
* Translate remaining Japanese text

The not so simple one-offs:
* Attempt to debug and fix a crash involving playing as a manager in 1v1 matches

Other stuff:
* Import certain moves (Angle Slam... others?) from WWF No Mercy, if possible
* Figure out what to do with Challenge mode (even if it's only editing RRS slightly)
* Fix up the in-match music (if even possible?)
* Fix smaller details (primarily menu stuff)

(This does not include the final 1% of work, which is a misleadingly
small percentage for what needs to be done.)

It is recommended to read the article "None of this is easy",
or "Why anything 'interesting' takes time", available here:
https://vpw.ajworld.net/vpw2freem/requires_decomp.html

================================================================================
[Default Costume Updates]
In order for the Default Costume changes to show up in an existing save file,
please reset the Costume data for the following characters in Edit Mode:

---------------------+------------+
Wrestler             | Costume(s) |
---------------------+------------+
Atsushi Onita        | 4          |
Sabu                 | 1, 3, 4    |
Mike Awesome         | 4          |
Shin'ya Hashimoto    | 1, 2       |
Daniel Bryan         | 1, 2       |
Great Sasuke         | 1          |
Bret Hart            | 1, 2, 3    |
Naoya Ogawa          | 3          |
Steve Austin         | 4          |
Dynamite Kid         | 1, 2       |
Booker T             | 2, 3       |
Yuji Nagata          | 1, 2, 4    |
Raven                | All        |
Shawn Michaels       | 1, 2       |
Jyushin Liger        | 2          |
Curt Hennig          | 1, 2, 3    |
Undertaker           | 3          |
Ric Flair            | 1, 2, 3    |
Sting                | 3          |
Hulk Hogan           | 2, 4       |
---------------------+------------+

The specific steps required to reset a wrestler's appearance:
1) Select "Edit Mode" on the main menu.
2) Select the wrestler who needs updating. If necessary, switch the selected
   costume with C-Left and C-Right (during wrestler selection and in the
   selected wrestler edit menu) or the L and R buttons (selected wrestler edit
   menu only).
3) Select the "Reset to Default" option.
4) Move to the "Profile" option and press the A button to uncheck it.
   (This way, any name, theme, voice, height, and weight changes you've made
   won't be overwritten.)
5) Select "Accept", and the updated costume should appear.

Repeat these steps for all the wrestlers and costumes listed above.

================================================================================
[Wrestler Data Updates]
This section contains changes to moves, parameters, and logic for the default
wrestlers. You do not need to do anything to access these changes.

--------------------------------------------------------------------------------
[Moves]
A few words on "de-duplication":
In the original AKI games, wrestlers often had the same move for back grapple on
both the solo button press and button press with direction pad. This also manifests
itself with ports of wrestlers from World Tour, VPW64, and Revenge, where the
Left/Right front grapple slots are the same as the no direction grapple.

In VPW2 freem Edition, this is seen as something to be fixed.

Where possible, moves that "fit" the wrestler are used.
If something seems off, or even outright wrong, please let me know once I have
publicly stated I will resume working on the hack. If you send it before then,
you run the risk of me misplacing or forgetting your feedback.

0508 - Cactus Jack
------------------
Cactus Jack (still!) had residual Dragon Kid leftovers.
Also a grapple change suggestion from GameGenie720.
--------------------------+-----------------+-----------------------
Move Slot                 | Old Move        | New Move
--------------------------+-----------------+-----------------------
Front Strong Grapple B+Up | Ace Crusher     | Kitchen Sink to Ropes
Ducking Taunt             | Finish Pose     | Hitting Head
Apron Taunt               | (Spinning Arms) | Clapping
--------------------------+-----------------+-----------------------

0305 - Bret Hart
----------------
Some de-duplication and move re-configuration with the help of BeBetterGamer.
Front Strong Grapple A+Down Russian Leg Sweep set to Favorite.
----------------------------------+----------------------+-----------------------
Move Slot                         | Old Move             | New Move
----------------------------------+----------------------+-----------------------
Weak Running Strike A+B           | Shoulder Block       | Kitchen Sink
Strong Running Strike A+B         | Power Lariat         | Flying Body Attack
Corner Running Strike A+B         | Lariat (Right)       | Flying Body Attack
Counter Kick B                    | Push Chest           | Sidewalk Slam
Front Weak Grapple A              | Two-handed Headbutt  | Face Punch
Front Weak Grapple A+Left/Right   | Two-handed Headbutt  | Headlock Punch
Front Weak Grapple A+Up           | Headlock Punch       | Snap Mare
Front Weak Grapple B+Left/Right   | Headlock Takedown    | Schmidt Backbreaker
Front Weak Grapple B+Down         | Russian Leg Sweep    | Jumping Piledriver
Front Strong Grapple A            | Neckbreaker          | Headlock
Front Strong Grapple A+Up         | Snake Eyes           | Sidewalk Slam
Front Strong Grapple A+Down       | Jumping Piledriver   | Russian Leg Sweep
Front Strong Grapple B+Left/Right | (Sroida)             | Backslide
Back Weak Grapple B+Direction     | Atomic Drop          | Pendulum Backbreaker
Back Strong Grapple A+Direction   | Forward Rolling Pin  | German Suplex
Back Strong Grapple B             | Pendulum Backbreaker | School Boy
Back Strong Grapple B+Direction   | Pendulum Backbreaker | Atomic Drop
Back Strong Special Grapple       | German Suplex        | Japanese Leg Roll Clutch
Back Reversal (Strong)            | Backflip Reversal    | Russian Leg Sweep Reversal
----------------------------------+----------------------+-----------------------

0103 - Hulk Hogan
-----------------
Some small de-duplication.
----------------------------------+----------------------+-----------------------
Move Slot                         | Old Move             | New Move
----------------------------------+----------------------+-----------------------
Weak Running Strike A+B           | Shoulder Block       | Kitchen Sink
Front Weak Grapple A+Left/Right   | Headlock Punch       | Double Axe Handle
Front Weak Grapple B+Left/Right   | Headlock Takedown    | Schmidt Backbreaker
Front Strong Grapple A            | Snake Eyes           | Headlock
Front Strong Grapple B            | Short Range Lariat   | Tiger Spin
----------------------------------+----------------------+-----------------------

0407 - Rey Mysterio Jr.
-----------------------
Some suggestions from KidKash22.
----------------------------------+----------------------+-----------------------
Move Slot                         | Old Move             | New Move
----------------------------------+----------------------+-----------------------
Front Strong Grapple B+Down       | Tiger Driver Whip    | Reverse Ipponzeoi
Corner Strong Grapple B           | Top Rope Uranage     | Top Rope Tornado DDT
----------------------------------+----------------------+-----------------------

0405 - Eddie Guerrero
---------------------
Some suggestions from KidKash22.
----------------------------------+---------------------------------+-----------------------
Move Slot                         | Old Move                        | New Move
----------------------------------+---------------------------------+-----------------------
Corner Special Grapple            | Dragonrana                      | Top Rope Brainbuster
Back Corner Special Grapple       | Top Rope Reverse Frankensteiner | (none)
----------------------------------+---------------------------------+-----------------------

0402 - Chris Benoit
-------------------
One grapple slot change request from KidKash22 and some other changes from freem.
-----------------------------------+----------------------+-----------------------
Move Slot                          | Old Move             | New Move
-----------------------------------+----------------------+-----------------------
Front Strong Grapple B+Up          | Brainbuster          | Front Suplex
Back Weak Grapple B+Direction      | Pendulum Backbreaker | Dragon Backbreaker
Downed Legs Submission (Face Down) | Knee Stomp           | Bow and Arrow Hold
Corner Splash Attack               | (none)               | Diving Legdrop
-----------------------------------+----------------------+-----------------------

0409 - Dynamite Kid
-------------------
Many suggestions from Smoke.
------------------------------------+---------------------------+-----------------------
Move Slot                           | Old Move                  | New Move
------------------------------------+---------------------------+-----------------------
Weak Punch B                        | Body Blow                 | Overhand Slap
Strong Strike B                     | Sobat                     | Knuckle Part
Weak Running Strike A+B             | Flying Shoulder Attack    | Running Jumping Dropkick
Strong Running Strike B             | Jump High Kick            | Crouching Lariat
Strong Running Strike A+B           | Running Jumping Dropkick  | Running Dynamite Knee
Corner Strike B                     | Body Blow                 | Horizontal Chop
Corner Running Strike B             | Back Elbow                | Running Jumping Dropkick
Running Tree of Woe Strike          | Jump High Kick            | Batting Lariat
Front Strong Grapple B+Down         | Cradle Kneeling Tombstone | Tombstone Piledriver
Front Special Grapple               | Steiner Screwdriver       | Cradle Kneeling Tombstone
Irish Whip Weak Grapple A+Dir       | Lift Up Drop              | Monkey Flip
Corner Weak Grapple B               | Ten Punch                 | Rope Face Rake
Turnbuckle Attack to Ground         | Diving Headbutt           | Diving Kneedrop
Special Turnbuckle Attack to Ground | (none)                    | Diving Headbutt
Plancha                             | Top Rope Plancha          | Plancha
Springboard (Standing)              | (none)                    | Springboard Shoulder Attack
Springboard (Standing Special)      | (none)                    | Springboard Dropkick
------------------------------------+---------------------------+-----------------------

Some de-duplication changes from freem made it in as well.
- Corner Running Strike A+B had to be de-duplicated after the above changes.
- The Front Suplex is being used as a stand-in for a Top Rope Gutwrench Suplex.
------------------------------------+---------------------------+-----------------------
Move Slot                           | Old Move                  | New Move
------------------------------------+---------------------------+-----------------------
Corner Running Strike A+B           | Running Jumping Dropkick  | Running Dynamite Knee
Corner Strong Grapple B             | Superplex                 | Top Rope Front Suplex
------------------------------------+---------------------------+-----------------------

0007 - The Rock
---------------
A ground move change suggestion from BlueCanti.
-----------------------------------+----------------------+-----------------------
Move Slot                          | Old Move             | New Move
-----------------------------------+----------------------+-----------------------
Downed Legs Submission (Face Up)   | Headbutt to Groin    | Scorpion Deathlock
-----------------------------------+----------------------+-----------------------

0702 - X-Pac
------------
Fix a taunt as reported by GameGenie720.
"I've been known to use the wrong WM2K stuff for people before" - freem
----------------------------------+-----------------------+-----------------------
Move Slot                         | Old Move              | New Move
----------------------------------+-----------------------+-----------------------
Introduction Taunt                | 4 Crotch Chop Barrage | Jumping Crotch Chop
----------------------------------+-----------------------+-----------------------

--------------------------------------------------------------------------------
[Parameters]

Cactus Jack
-----------
Fix a really old holdover from Dragon Kid (as that's who Cactus Jack replaced).
-------------+------+--------+
Parameter    | Old  | New    |
-------------+------+--------+
Corner Climb | Jump | Normal |
-------------+------+--------+

Eddie Guerrero
--------------
KWG/Saga suggested a parameter boost for Eddie's flying moves.
-----------------+-----+-----+
Parameter        | Old | New |
-----------------+-----+-----+
Offense - Flying |  4  |  5  |
-----------------+-----+-----+

--------------------------------------------------------------------------------
[Logic]

Rey Mysterio Jr.
----------------
Changed finisher to corner Special Dragonsteiner.
------------------------+-----------------------+------------------------+
Category                | Old Value             | New Value              |
------------------------+-----------------------+------------------------+
Finisher                | Front Special Grapple | Corner Special Grapple |
------------------------+-----------------------+------------------------+

Sabu
----
Changed finisher to the top rope Special legdrop.
------------------------+-----------------------+-------------------------------------+
Category                | Old Value             | New Value                           |
------------------------+-----------------------+-------------------------------------+
Finisher                | Front Special Grapple | Special Turnbuckle Attack to Ground |
------------------------+-----------------------+-------------------------------------+

Eddie Guerrero
--------------
Some suggestions from KWG/Saga to make Eddie perform better.
------------------------+------------------------+-----------------------------+
Category                | Old Value              | New Value                   |
------------------------+------------------------+-----------------------------+
Downed Opponent Late    | Pick Up                | Flying                      |
Finisher                | Corner Special Grapple | Turnbuckle Attack to Ground |
Offensive Balance       | Attack                 | Balanced                    |
------------------------+------------------------+-----------------------------+

Katsuyori Shibata
-----------------
Changed finisher to front grapple special kicking combo.
------------------------+-----------------------+-----------------------+
Category                | Old Value             | New Value             |
------------------------+-----------------------+-----------------------+
Finisher                | Back Special Grapple  | Front Special Grapple |
------------------------+-----------------------+-----------------------+

================================================================================
[Changelog Items]

- [Faces] Some faces were updated or replaced:
  * 2 - Steve Austin (updated by KWG/Saga)
  * 4 - Sting (updated by freem; small tweaks)
  * 18 - Randy Savage (updated by freem; small tweaks)
  * 23 - Satoru Sayama (updated by freem; small tweaks)
  * 25 - Eddie Guerrero (updated by KWG/Saga)
  * 28 - Curt Hennig (updated by KWG/Saga)
  * 29 - Dan Severn (updated by freem; small tweaks)
  * 36 - Saturn (updated by freem; small tweaks)
  * 37 - Eddie Guerrero (updated by KWG/Saga)
  * 38 - Chris Jericho (new texture by KWG/Saga)
  * 49 - Chris Benoit (updated by KWG/Saga)
  * 51 - X-Pac (updated by KWG/Saga)
  * 55 - Kurt Angle (updated by freem; small tweaks)
  * 63 - John Cena (updated by KWG/Saga)
  * 66 - Daniel Bryan (updated by KWG/Saga)
  * 69 - Ric Flair (updated by freem; small tweaks)
  * 85 - Andre the Giant (new texture by KWG/Saga)
  * 86 - Undertaker (updated by KWG/Saga)
  * 95 - Josh Barnett (updated by freem; small tweaks)
  * 96 - Ricochet (updated by freem; small tweaks)
  * 98 - Naomichi Marufuji (updated by freem; small tweaks)
  * 101 - Steve Corino (updated by freem; small tweaks)
  * 104 - Doug Furnas (updated by freem; small tweaks)
  * 105 - Phil Lafon (updated by freem; small tweaks)
  * 106 - Jake Roberts (updated by freem; small tweaks)
  * 107 - Takeshi Rikio (updated by freem; small tweaks)
  * 109 - Kazunari Murakami (updated by freem; small tweaks)

- [Masks] Edited Mask 7 - Pegasus Kid with new face texture from KWG/Saga.

- [Masks] Edited Mask 17 - Tiger Mask 2 to fix a palette issue.

- [Masks] Tweaks to Mask 20 - Han Zo Mon:
  * Added scarf texture to the neck.
  * Fourth color now modifies scarf color. Dot in center of headband was removed.

- [Masks] Added ripped mask textures:
  * 1 - Liger 1
  * 20 - Han Zo Mon

- [Masks] Default colors (0,0,0,0) changed for these masks:
  * 10 - Darkness Muta
  * 20 - Han Zo Mon

- [Costume Items] New costume items added:
  * Upper Attire A7 - Hennig (ported from Revenge)
  * Upper Attire B6 - Undertaker (ported from WM2K)
  * Upper Attire B12 - Steve Austin "Blood from a Stone" (ported from No Mercy)
  * Upper Attire C8 - MK Ninja Top
  * Upper Attire C9 - Liger (Black)
  * Ring Attire A23 - Kensuke Sasaki
  * Ring Attire A27 - Kota Ibushi (WIP, about 95% done)
  * Ring Attire B6 - Maya Inca Boy (ported from Revenge)
  * Ring Attire C31 - Union Jack (still WIP-ish)
  * Ring Attire D12 - Tajiri (still WIP)
  * Ring Attire D21 - Booker T (ported from Revenge)
  * Entrance Attire B7 - Ric Flair (still WIP)
  * Wristband 12 - HBK (ported from No Mercy)
  * Boots A20 - Booker T (ported from Revenge)
  * Facepaint 01 - Goldust (by RagDas)
  * Facepaint 04 - GI Bro
  * Face Accessory 01 - Eyebrow Piercing

- [Costume Items] Upper Attire C2 - Long Sleeves now allows changing sleeve colors.

- [Costume Items] Small sub-palette related changes to Upper Attire B13 - Funk FMW.

- [Costume Items] Changed positioning of M on Ring Attire C22 - Madness Tights.

- [Costume Items] Fixed sub-palette issue on Upper Attire A12 - Bret Hart.

- [Costume Items] Added flames to Ring Attire F3 - Bam Bam Bigelow.
  (Currently on first pass; more work to be done)

- [Costume Items] Changed Ring Attire C30 - HBK to white/red version of HBK's
   WWF No Mercy heart trunks.

- [Costume Items] Changed Knee Pads 7 - HBK to heart design from No Mercy.

- [Costume Items] Default colors (0,0) changed for the following items:
  * Upper Attire B13 - Funk FMW
  * Upper Attire C8 - MK Ninja Top
  * Upper Attire C9 - Liger (Black)
  * Ring Attire A27 - Kota Ibushi
  * Ring Attire B6 - Maya Inca Boy
  * Ring Attire C30 - HBK
  * Ring Attire D12 - Tajiri
  * Knee Pads 7 - HBK

- [Costume Items] Future costume item slot assignments made:
  * Upper Attire B17 - EC F'N W
  * Entrance Attire A2 - Sting (1990s)
  * Entrance Attire A6 - Bret Hart

- [Default Costumes] Various fixes/updates to default costume data:
  <Daniel Bryan>
  * Changed boots on first and second costumes.
  * Changed kneepads on second costume.

  <Dynamite Kid>
  * Changed first costume to use WIP Union Jack pants and shaved hair.
  * Changed second costume to early/mid-1980s NJPW era with longer hair.

  <Shinya Hashimoto>
  * Added entrance attire to first costume.
  * Added headband and entrance attire to second costume.

  <Yuji Nagata>
  * Changed first and fourth costumes to use Kobashi tights as a stand-in.
  * Added gloves to second costume; changed tights to VT Pants 5.

  <Booker T>
  * Changed second costume to match one of his WCW/nWo Revenge costumes.
  * Added G.I. Bro facepaint to third costume.

  <Shawn Michaels>
  * Changed wristbands on first and second costumes.

  <Raven>
  * Changed first and second costumes to use Ring Attire F5 - Raven.
  * Changed all costumes to use Accessory 1 - Eye Piercing.

  <Ric Flair>
  * Added WIP entrance attire B7 to the first three costumes.
  * Changed third costume to green instead of red with black kneepads and boots.

  <Others>
  * Added hand taping to Atsushi Onita's fourth costume.
  * Changed front hair on Sabu's first, third, and fourth costumes.
  * Changed Mike Awesome's fourth costume to use Funk FMW shirt.
  * Changed pants on Great Sasuke's first costume.
  * Changed boots on Bret Hart's first three costumes.
  * Changed Naoya Ogawa's third costume to be different from the first.
  * Changed Steve Austin's fourth costume to use new "Blood from a Stone" shirt.
  * Changed upper attire on Jyushin Liger's second costume.
  * Changed upper attire on Curt Hennig's first three costumes.
  * Added wristband to Undertaker's third costume to simulate longer gloves.
  * Added silver jumper to Sting's third costume.
  * Changed Hulk Hogan's skin tone on the second and fourth costumes.

- [Textures] Enabled horizontal and vertical mirroring on a number of textures
  in an attempt to fix minor display glitches.

- [Belts] Updated three belt textures in order to avoid texture mapping issues:
  * Octaglobe
  * Ring
  * Sport Accolade

- [Edit Mode] String order of "Copy to" (Elbow pad and Knee pad) text fixed.
  Spacing still missing.

- [Edit Mode] Positions of "KO", "Blood", and "Favorite" strings modified
  in moveset editor.

- [Edit Mode] Translated some more move and taunt names.
  Some translations are not literal, sorry in advance.
  (Some of these have been sitting unchanged for years at this point.)

- [General] Merged in some translations from Rise.

- [Intro Sequence] Replaced "Updates at" text with "Official HP:".

- [Intro Sequence] Various changes to the main portion of the intro:
  - Hulk Hogan no longer blinks into existence during the big boot to Andre.
  - Naoya Ogawa no longer blinks into existence during the taunt-off.
  - Toshiaki Kawada no longer blinks into existence during the high enzuigiri to Vader.
  - The Rock now performs the People's Elbow setup instead of the Giant Swing.
    (still needs work)
  - Chris Jericho performs the Lionsault instead of The Destroyer.
  - HBK now does the Sweet Chin Music instead of a turning leg kick.
    (still needs work)
  - Taz (previously, Jun Akiyama) performs the running Exploder on The Rock.
  - The Rock performs the Rock Bottom (previously, a Uranage) on Taz (previously, Akiyama).
  - Scott Steiner now performs the Steiner Screwdriver during the Steiners
    tag sequence.
  - Steiner Brothers now do their proper taunts after their double team sequence.
  - Top rope brainbuster sequence is now Liger -> Pegasus.
  - Enabled motion and zoom blur on the Ganso Bomb sequence (for fun).

  Some of these changes have caused issues in other portions of the intro,
  primarily because I am not yet equipped to easily handle slot changes.
  More information for the technically minded will be posted later.

- [Music] Jyushin "Thunder" Liger's theme replaces Yoshinari Ogawa's.
  Special thanks to randymanfoo for doing the conversion.
  You will need to reset Jyushin Liger's profile for this change to take effect.

- [Sound] Randy Savage "OOH YEAH!" from Revenge replaces Voice B "Kimala A".
  Special thanks to randymanfoo for doing the conversion.
  You will need to reset Randy Savage's profile for this change to take effect.

- [General] Various smaller changes without proper changelog entries.

================================================================================
2020/08/06 (August 6, 2020)
================================================================================
[General Update Notes]
I'm not sure how to even start the update notes for this version, given
all of the events that have happened between the last release and this one.

Stay safe out there.

Project Progress Report
-----------------------
By my estimations, this release is about 40-45% complete.
There's still lots to do, however.

The perpetual projects:
* Continue wrestler editing process (moves, params, logic)
* Fix up accuracy on costumes and costume items
* Work on remaining costume items (including faces, masks, entrance attire)
* Continue work on arenas
* Continue work on the intro sequence
* Translate remaining Japanese text

The not so simple one-offs:
* Attempt to debug and fix a crash involving playing as a manager in 1v1 matches
* Import the Macho Man "OOH YEAH" sound (over what sample?)
* Import [spoiler] theme over Yoshinari Ogawa's.
  (Originally meant for this release, but ran into some issues.)

Other stuff:
* Import certain moves (Angle Slam... others?) from WWF No Mercy, if possible
* Figure out what to do with Challenge mode (even if it's only editing RRS slightly)
* Fix up the in-match music (if even possible?)
* Fix smaller details (primarily menu stuff)

(This does not include the final 1% of work, which is a misleadingly
small percentage for what needs to be done.)

Why All the "Interesting" Changes Take Time/Effort
--------------------------------------------------
I spent some time between releases writing an article related to the work
required to change certain things in this project.

There have been requests for changes that are not relatively feasible without
a full decompilation of the game, and I wanted to try and explain that further.

The article is available at:
https://vpw.ajworld.net/vpw2freem/requires_decomp.html

re: Requesting Projects
-----------------------
Please do not suggest future projects to me, as any project you want is likely
less important than what I'm currently working on outside of this hack.
(I mean, you *do* want me to release VPW Studio, right? :p)

I can only work on so many things at one time, and I'm already spreading myself
thin with this hack and VPW Studio. This doesn't even cover the non-AKI hacking
responsibilities I have, nor does it include future plans that aren't ready
to be revealed.

So please, stop suggesting new projects for me to work on.
Disguising it as a request for other people I know to work on it counts
under this category as well.

I was hoping that the quoted paragraph in the last version's readme would have
done the trick with regards to these requests, but I guess I need to be a bit
more direct.

================================================================================
[Default Costume Updates]
In order for the Default Costume changes to show up in an existing save file,
please reset the Costume data for the following characters in Edit Mode:

---------------------+------------+
Wrestler             | Costume(s) |
---------------------+------------+
Antonio Inoki        | All        |
Bret Hart            | 1,2,3      |
Scott Hall           | 1,2        |
Kensuke Sasaki       | 3          |
Kane                 | 3          |
Steven Regal         | 4          |
Raven                | 1,4        |
DDP                  | All        |
Hulk Hogan           | 4          |
Undertaker           | 2          |
Perry Saturn         | All        |
Chris Jericho        | 1, 2, 4    |
HHH                  | All        |
Jyushin Liger        | 1, 2, 4    |
Scott Steiner        | 1, 2, 4    |
Minoru Suzuki        | 1, 4       |
Road Warriors        | All        |
Great Muta           | 2          |
Raven                | 2          |
---------------------+------------+

================================================================================
[Wrestler Data Updates]
This section contains changes to moves, parameters, and logic for the default
wrestlers. You do not need to do anything to access these changes.

--------------------------------------------------------------------------------
[Moves]
A few words on "de-duplication":
In the original AKI games, wrestlers often had the same move for back grapple on
both the solo button press and button press with direction pad. This also manifests
itself with ports of wrestlers from World Tour, VPW64, and Revenge, where the
Left/Right front grapple slots are the same as the no direction grapple.

In VPW2 freem Edition, this is seen as something to be fixed.

Where possible, moves that "fit" the wrestler are used.
If something seems off, or even outright wrong, please let me know.

010C - Rikidozan
----------------
Rikidozan was primarily updated to fix an issue with his Fighting Style.
I had run into this issue with AKI man and Goldberg during the development of
the last update, but those two were caught and fixed before release.
Not so for Rikidozan. Oops.

I also reverted a previous move change, since the Flying Headscissors was
already assigned to Front Weak Grapple B+Up. A "proper" replacement has not
yet been found.
---------------------------------+---------------------------+--------------------------
Move Slot                        | Old Move                  | New Move
---------------------------------+---------------------------+--------------------------
Front Strong Grapple A           | Flying Headscissors       | Repeated Chops
---------------------------------+---------------------------+--------------------------

000D - Ric Flair
----------------
Two small changes by freem:
---------------------------------+---------------------------+--------------------------
Move Slot                        | Old Move                  | New Move
---------------------------------+---------------------------+--------------------------
Ducking Strike                   | Lariat                    | Low Blow
Back Reversal (Strong)           | Back Grapple Reversal     | Groin Kick
---------------------------------+---------------------------+--------------------------

Other suggestions from GameGenie720:
-----------------------------------+---------------------------+--------------------------
Move Slot                          | Old Move                  | New Move
-----------------------------------+---------------------------+--------------------------
Strong Strike B+Direction          | Heavyweight Dropkick      | Knuckle Part
Strong Running Strike B            | Push Kick                 | Lariat (Right)
Front Strong Grapple Down+A        | Cradle Kneeling Tombstone | Jumping Piledriver
Sitting Strike (Face Up)           | Stalling Elbowdrop        | Double Axe Handle
Running Sitting Strike (Face Down) | Elbowdrop                 | Stomping
-----------------------------------+---------------------------+--------------------------

0703 - AJ Styles
----------------
Fixed the missing Turnbuckle to Ground attacks, finally.
------------------------------------+----------+--------------------------
Move Slot                           | Old Move | New Move
------------------------------------+----------+--------------------------
Turnbuckle Attack to Ground         | (none)   | Frog Splash
Special Turnbuckle Attack to Ground | (none)   | Firebird Splash
Turnbuckle Attack to Outside Ground | (none)   | Firebird Splash
------------------------------------+----------+--------------------------

0103 - Hulk Hogan
-----------------
Some de-duplication suggestions from mrpopsicleman.
---------------------------------+---------------------------+--------------------------
Move Slot                        | Old Move                  | New Move
---------------------------------+---------------------------+--------------------------
Strong Strike A+B                | Orthodox Punch            | Big Boot
Strong Running Strike A+B        | Original Ax Bomber        | Jumping Kneebutt
---------------------------------+---------------------------+--------------------------

0606 - Booker T
---------------
De-duplication suggestions from GameGenie720.
-----------------------------------+---------------------------+--------------------------
Move Slot                          | Old Move                  | New Move
-----------------------------------+---------------------------+--------------------------
Strong Strike A+B                  | Jumping Karate Kick       | Jumping Heel Kick
Running Downed Strike (Face Down)  | Elbowdrop                 | Stomping
Running Sitting Strike (Face Down) | Elbowdrop                 | Stomping
-----------------------------------+---------------------------+--------------------------

0305 - Bret Hart
----------------
Some suggestions from GameGenie720.
-----------------------------------+---------------------------+--------------------------
Move Slot                          | Old Move                  | New Move
-----------------------------------+---------------------------+--------------------------
Strong Strike B+Direction          | High Angle Dropkick       | Side Dropkick
Strong Strike A+B                  | High Angle Dropkick       | Diving Lariat
Running Downed Strike (Face Down)  | Elbowdrop                 | Stomping
Running Sitting Strike (Face Down) | Elbowdrop                 | Stomping
-----------------------------------+---------------------------+--------------------------

010A - Goldberg
---------------
Small changes suggested by GameGenie720.
-----------------------------------+---------------------------+--------------------------
Move Slot                          | Old Move                  | New Move
-----------------------------------+---------------------------+--------------------------
Front Strong Grapple A+Up          | Step Front Suplex         | Lift Up Shoulder Slam
Running Downed Strike (Face Down)  | Elbowdrop                 | Stomping
Running Sitting Strike (Face Down) | Elbowdrop                 | Stomping
-----------------------------------+---------------------------+--------------------------

0406 - Chris Jericho
--------------------
A change suggested by Dboy37.
---------------------------------+---------------------------+--------------------------
Move Slot                        | Old Move                  | New Move
---------------------------------+---------------------------+--------------------------
Strong Strike A+B                | Low Dropkick              | Reverse Rolling Elbow
---------------------------------+---------------------------+--------------------------

0802 - Brock Lesnar
-------------------
Some suggestions from GameGenie720.
------------------------------------+---------------------------+--------------------------
Move Slot                           | Old Move                  | New Move
------------------------------------+---------------------------+--------------------------
Strong Strike B+Direction           | Heavyweight Dropkick      | Jaw Punch
Downed Head Submission (Face Up)    | Mounted Punches           | Ultimate Punching
Sitting Legs Submission (Face Down) | Reverse Achilles Hold     | Deadlift German Suplex
------------------------------------+---------------------------+--------------------------

0402 - Chris Benoit
-------------------
Implemented a suggestion from GameGenie720 based on the fact that the original
strike wouldn't connect.
---------------+---------------------------+------------------------------------
Move Slot      | Old Move                  | New Move
---------------+---------------------------+------------------------------------
Counter Punch  | Counter Strong Attack B   | Counter Strong Attack B+Direction
---------------+---------------------------+------------------------------------

0502 - Sabu
-----------
Some suggestions from Smoke, and some re-arranging of other moves.
------------------------------------+---------------------------+--------------------------
Move Slot                           | Old Move                  | New Move
------------------------------------+---------------------------+--------------------------
Front Weak Grapple A+Left/Right     | Two-handed Headbutt       | Double Leg Tackle
Front Weak Grapple A+Up             | Club to Neck              | Two-handed Headbutt
Downed Legs Submission (Face Down)  | Boston Crab               | Half Boston Crab
Turnbuckle Attack to Ground         | Rounding Body Press       | Moonsault Press
Special Turnbuckle Attack to Ground | Moonsault Press           | Diving Legdrop
Turnbuckle Attack to Outside Ground | Rounding Body Press       | Diving Legdrop
------------------------------------+---------------------------+--------------------------

0902 - Kurt Angle
-----------------
A suggestion from KWG.
------------------------------------+----------+--------------------------
Move Slot                           | Old Move | New Move
------------------------------------+----------+--------------------------
Back Maximum Grapple                | (none)   | Repeating German Suplex
------------------------------------+----------+--------------------------

0407 - Rey Mysterio Jr.
-----------------------
Some suggestions from GameGenie720.
------------------------------------+-----------+--------------------------
Move Slot                           | Old Move  | New Move
------------------------------------+-----------+--------------------------
Special Turnbuckle Attack to Ground | (none)    | Frog Splash
Running Downed Strike (Face Up)     | Stomping  | Flipping Senton
Running Downed Strike (Face Down)   | Stomping  | Legdrop
Sitting Strike (Face Up)            | Elbowdrop | Jumping Dropkick
Running Sitting Strike (Face Down)  | Stomping  | Legdrop
------------------------------------+-----------+--------------------------

0701 - Triple H
---------------
A suggestion from GameGenie720 to fix a move that I don't even remember changing!
---------------------------+---------------------------+--------------------------
Move Slot                  | Old Move                  | New Move
---------------------------+---------------------------+--------------------------
Irish Whip Special Grapple | Thesz Press with Punches  | Spinebuster
---------------------------+---------------------------+--------------------------

0702 - X-Pac
------------
A suggestion from GameGenie720.
--------------+---------------------------+-----------------------------------
Move Slot     | Old Move                  | New Move
--------------+---------------------------+-----------------------------------
Counter Punch | Counter Strong Attack B   | Counter Strong Attack B+Direction
--------------+---------------------------+-----------------------------------

000A - Sting
------------
------------------------------------+---------------------------+--------------------------
Move Slot                           | Old Move                  | New Move
------------------------------------+---------------------------+--------------------------
Weak Running Strike A+B             | Kenka Kick                | Running High Angle Dropkick
Strong Running Strike A+B           | Power Lariat              | Flying Body Attack
Running Downed Strike (Face Down)   | Elbowdrop                 | Stomping
Running Sitting Strike (Face Down)  | Elbowdrop                 | Stomping
------------------------------------+---------------------------+--------------------------

0104 - Randy Savage
-------------------
Some changes to downed strikes.
-----------------------------------+---------------------------+--------------------------
Move Slot                          | Old Move                  | New Move
-----------------------------------+---------------------------+--------------------------
Running Downed Strike (Face Down)  | Elbowdrop                 | Stomping
Running Sitting Strike (Face Down) | Elbowdrop                 | Stomping
-----------------------------------+---------------------------+--------------------------

0303 - DDP
----------
Some changes to downed strikes.
-----------------------------------+--------------------+--------------------------
Move Slot                          | Old Move           | New Move
-----------------------------------+--------------------+--------------------------
Sitting Strike (Face Up)           | Elbowdrop (Hansen) | Double Axe Handle
Running Downed Strike (Face Down)  | Elbowdrop          | Stomping
Running Sitting Strike (Face Down) | Elbowdrop          | Stomping
-----------------------------------+--------------------+--------------------------

0208 - Curt Hennig
------------------
Some changes to downed strikes.
Also set Front Special Grapple as a Favorite move.
-----------------------------------+--------------------+--------------------------
Move Slot                          | Old Move           | New Move
-----------------------------------+--------------------+--------------------------
Running Downed Strike (Face Down)  | Elbowdrop          | Stomping
Running Sitting Strike (Face Down) | Elbowdrop          | Stomping
-----------------------------------+--------------------+--------------------------

0206 - Rick Rude
----------------
Small downed strike change.
-----------------------------------+--------------------+--------------------------
Move Slot                          | Old Move           | New Move
-----------------------------------+--------------------+--------------------------
Running Downed Strike (Face Down)  | Elbowdrop          | Stomping
-----------------------------------+--------------------+--------------------------

0505 - Raven
------------
Small downed strike change.
-----------------------------------+--------------------+--------------------------
Move Slot                          | Old Move           | New Move
-----------------------------------+--------------------+--------------------------
Running Downed Strike (Face Down)  | Elbowdrop          | Stomping
-----------------------------------+--------------------+--------------------------

0107 - Kevin Nash
-----------------
Small downed strike change.
-----------------------------------+--------------------+--------------------------
Move Slot                          | Old Move           | New Move
-----------------------------------+--------------------+--------------------------
Running Downed Strike (Face Down)  | Elbowdrop          | Stomping
-----------------------------------+--------------------+--------------------------

0105 - Rick Steiner
-------------------
Small downed strike changes.
-----------------------------------+--------------------+--------------------------
Move Slot                          | Old Move           | New Move
-----------------------------------+--------------------+--------------------------
Running Downed Strike (Face Down)  | Elbowdrop          | Stomping
Sitting Strike (Face Up)           | Jumping Elbowdrop  | Double Axe Handle
-----------------------------------+--------------------+--------------------------

0106 - Scott Steiner
--------------------
Small downed strike changes.
-----------------------------------+--------------------+--------------------------
Move Slot                          | Old Move           | New Move
-----------------------------------+--------------------+--------------------------
Running Downed Strike (Face Down)  | Elbowdrop          | Stomping
Running Sitting Strike (Face Down) | Elbowdrop          | Stomping
-----------------------------------+--------------------+--------------------------

0202 - Road Warriors
--------------------
Small downed strike changes.
-----------------------------------+--------------------+--------------------------
Move Slot                          | Old Move           | New Move
-----------------------------------+--------------------+--------------------------
Running Downed Strike (Face Down)  | Elbowdrop          | Stomping
Sitting Strike (Face Down)         | Stomping           | Angry Stomping
Running Sitting Strike (Face Down) | Elbowdrop          | Stomping
-----------------------------------+--------------------+--------------------------

0108 - Scott Hall
-----------------
Multiple people have requested non-trivial changes for Scott Hall's moveset.
Changes are a combination of...
1) suggestions from Gamegenie720
2) Joel the Cat's Scott Hall edit: http://jtc.yoll.net/hall.htm
3) BeBetterGamer's Scott Hall edit: https://www.youtube.com/watch?v=dRFbI9kXzqo
--------------------------------------+--------------------------+--------------------------
Move Slot                             | Old Move                 | New Move
--------------------------------------+--------------------------+--------------------------
Weak Punch B                          | Hammer Blow              | Body Blow
Weak Punch B+Direction                | Body Blow                | Elbow
Strong Strike B                       | Orthodox Punch           | Shake Punch (Rock)
Strong Strike B+Direction             | High Angle Dropkick      | Discus Punch
Strong Strike A+B                     | Low Dropkick             | Diving Lariat
Weak Running Strike A+B               | Flying Shoulder Attack   | Kitchen Sink
Strong Running Strike A+B             | Kitchen Sink             | Flying Elbow
Corner Running Strike B               | Lariat (Right)           | Jumping Elbow
Corner Running Strike A+B             | Back Elbow               | Flying Elbow
Irish Whip Attack                     | Thrust Kick              | Rolling Elbow
Counter Punch                         | Shoulder Arm Breaker     | Counter Strong Strike B
Counter Punch (Special)               | Front Strong Grapple B   | Front Grapple Special
Front Weak Grapple A                  | Dynamic Kneelift         | Eye Rake
Front Weak Grapple A+Left/Right       | Headlock Punch           | European Uppercut
Front Weak Grapple Up+A               | Face Punch               | Headlock Punch
Front Weak Grapple B+Up               | Shoulder Thrusts         | Suplex
Front Weak Grapple B+Down             | Jawbreaker               | Shoulder Thrusts
Front Strong Grapple A                | Manhattan Drop           | Russian Leg Sweep
Front Strong Grapple A+Left/Right     | Neckbreaker              | Ace Crusher
Front Strong Grapple A+Up             | Suplex                   | Snake Eyes
Front Strong Grapple A+Down           | Sidewalk Slam            | Manhattan Drop
Front Strong Grapple B+Left/Right     | Snake Eyes               | Waterwheel Drop
Front Strong Grapple B+Up             | Short Range Lariat       | Nodowa Otoshi
Front Strong Grapple B+Down           | Nodowa Otoshi            | Short Range Lariat
Back Weak Grapple A+Direction         | Pendulum Backbreaker     | Back Rake
Back Weak Grapple B+Direction         | Knee Crusher             | Atomic Drop
Back Strong Grapple A                 | Sleeperhold              | School Boy
Back Strong Grapple B                 | Atomic Drop              | Knee Crusher
Back Strong Grapple B+Direction       | German Suplex            | Bulldog
Back Special Grapple                  | High Speed German Suplex | Pumphandle Drop
Back Reversal (Strong)                | Groin Kick               | Back Grapple Reversal
Back Running Grapple                  | Face Crusher             | Bulldog
Irish Whip Weak Grapple A             | Back Body Drop           | Shoulder Toss (Side)
Irish Whip Weak Grapple A+Direction   | Hip Toss                 | Strong Powerslam
Irish Whip Strong Grapple A           | Sleeperhold              | Abdominal Stretch
Irish Whip Strong Grapple A+Direction | Samoan Drop              | Manhattan Drop
Corner Weak Grapple B                 | Ten Punch                | DX Ten Punch
Turnbuckle Grab Reversal (Front)      | Pull ropes               | Throw off
Double Team Sandwich Grapple          | Double Team Powerbomb    | Hijack Piledriver
Downed Strike (Face Up)               | Stomping                 | Elbow Drop (Hansen)
Downed Strike (Face Down)             | Elbow Drop (Hansen)      | Angry Stomping
Running Downed Strike (Face Down)     | Elbowdrop                | Stomping
Sitting Strike (Face Up)              | Elbowdrop (Hansen)       | Shin Kick
Running Sitting Strike (Face Up)      | Elbowdrop                | Stomping
Running Sitting Strike (Face Down)    | Elbowdrop                | Stomping
Sitting Legs Submission (Face Up)     | Headbutt to Groin        | Achilles Hold
Sitting Legs Submission (Face Down)   | Knee Stomp               | Boston Crab
Special Turnbuckle Attack to Standing | (none)                   | Diving Elbow Attack
Special Turnbuckle Attack to Ground   | (none)                   | Diving Kneedrop
Corner Splash Attack                  | Reverse Splash           | Diving Elbowdrop
--------------------------------------+--------------------------+--------------------------

--------------------------------------------------------------------------------
[Parameters]
No changes.

--------------------------------------------------------------------------------
[Logic]

Perry Saturn
------------------------+------------+---------------+
Category                | Old Value  | New Value     |
------------------------+------------+---------------+
Downed Opponent Early   | Submission | Pick Up       |
Downed Opponent Late    | Pick Up    | Submission    |
------------------------+------------+---------------+
Turns out I had these values swapped from what they were in WWF No Mercy...

================================================================================
[Changelog Items]

- [Faces] Some faces were updated or replaced:
  * 4 - Sting (updated by freem; small tweaks)
  * 17 - Hulk Hogan (updated by freem; small tweaks)
  * 18 - Randy Savage (updated by KWG/Saga)
  * 23 - Satoru Sayama (updated by freem)
  * 25 - Katsuyori Shibata (updated by KWG/Saga)
  * 26 - Rick Rude (updated by KWG/Saga)
  * 29 - Dan Severn (updated by freem; small tweaks)
  * 31 - DDP (updated by KWG/Saga)
  * 36 - Perry Saturn (updated by freem)
  * 37 - Eddie Guerrero (updated by KWG/Saga)
  * 40 - Sabu (updated by KWG/Saga)
  * 41 - Raven (updated by KWG/Saga)
  * 42 - Tajiri (updated by freem and KWG/Saga)
  * 48 - Dynamite Kid (new texture by RagDas)
  * 49 - Chris Benoit (updated by KWG/Saga)
  * 50 - HHH (updated by KWG/Saga)
  * 52 - AJ Styles (updated by KWG/Saga)
  * 55 - Kurt Angle (updated by KWG/Saga)
  * 58 - Tazz (updated by KWG/Saga)
  * 65 - Samoa Joe (updated by KWG/Saga)
  * 69 - Ric Flair (updated by freem)
  * 86 - Undertaker (updated by KWG/Saga)
  * 87 - Kane (updated by KWG/Saga)
  * 88 - Dean Malenko (updated by by KWG/Saga)
  * 93 - Shinsuke Nakamura (updated by KWG/Saga)
  * 94 - Dusty Rhodes (updated by KWG/Saga)
  * 95 - Josh Barnett (updated by freem)
  * 96 - Ricochet (updated by KWG/Saga)
  * 98 - Naomichi Marufuji (updated by freem)
  * 101 - Steve Corino (updated by freem)
  * 105 - Phil Lafon (updated by freem)
  * 107 - Takeshi Rikio (updated by freem)

- [Faces] Some new faces were added:
  * 56 - Hawk (new texture by RagDas, slight edits by freem; replaces older/modern Minoru Suzuki)
  * 104 - Doug Furnas (new texture by freem; still WIP, like most of the faces in this hack)
  * 106 - Jake Roberts (new texture by freem; still WIP)
  * 108 - Kazuyuki Fujita (new texture by freem; still WIP)
  * 109 - Kazunari Murakami (new texture by freem; still WIP)
  * 110 - Joe Bruiser (new texture by RagDas, edited by freem; still WIP)

- [Masks] New and/or replaced Masks:
  *  1 - Liger 1 (new texture by RagDas; no ripped texture yet)
  * 12 - Liger 2 (new texture by freem, based on VPW2 texture)
  * 13 - El Samurai (original VPW2 texture, by request of a few people)
  * 20 - Han Zo Mon (WIP; converted from Revenge and further edited by freem)

- [Masks] Small tweaks to a few masks:
  *  3 - Rey Mysterio Jr.
  *  7 - Pegasus Kid (fixed errant mask shadow under the nose on the ripped mask texture)
  *  8 - L.A. Park (added shading near bottom portion of ripped mask)
  * 10 - Darkness Muta
  * 11 - Tiger Mask 1 (updated face texture)
  * 17 - Tiger Mask 2

- [Masks] Added ripped mask textures:
  * 17 - Tiger Mask 2

- [Masks] Default colors (0,0,0,0) changed for these masks:
  * 20 - Han Zo Mon

- [Default Costumes] Various fixes/updates to default costume data:
  <DDP>
  * Changed head shape on first three costumes.
  * Changed first costume to use taped hands.
  * Changed hair and head shape on the fourth costume to represent modern day DDP.

  <Perry Saturn>
  * Added tattoo 8 to all costumes.
  Non-tattoo changes to the first costume:
    * Removed wristbands, replaced with taped hands.
    * Changed kneepads to 13 Pad/Supporter in red.

  <Chris Jericho>
  * Changed hair type of first and fourth costumes.
  * Added facial hair to first and fourth costumes.
  * Changed ring attire on first costume.
  * Added wristbands to first costume.
  * Changed body type on second costume.

  <Great Muta>
  Changes to second costume:
  * Switched pants accent color to red.
  * Switched wristband design.

  <Road Warriors>
  * Changed all Road Warrior costumes to use the new Hawk face texture.
  * Added WIP entrance attire D5 to all costumes.

  <Others>
  * Changed head shape on all of Antonio Inoki's costumes.
  * Added elbow pads and wristbands to Bret Hart's first three costumes.
  * Removed wristbands from Scott Hall's first two costumes.
  * Added WIP entrance attire D5 to Kensuke Sasaki's third costume.
  * Changed hair color on Kane's third costume.
  * Changed head shape on Steven Regal's fourth costume.
  * Added entrance attire A9 to Raven's first and fourth costumes.
  * Changed hair and bandana on Hulk Hogan's fourth costume.
  * Changed Undertaker's second costume to stand out more from the first.
    (Yes, this is using a lot of weird items as stand-ins.)
  * Changed head shape on all of HHH's costumes.
  * Modified the mask in Jyushin Liger's first, second, and fourth costumes.
  * Changed hair type of Scott Steiner's first, second, and fourth costumes.
  * Changed Minoru Suzuki's first and fourth costumes to use his VPW2 face.
  * Added WIP ring attire F5 to Raven's second costume.

- [Costume Items] New costume items added:
  * Ring Attire F3 - Bam Bam Bigelow (very early WIP)
  * Entrance Attire D5 - Road Warriors (early WIP)
  * Face Paint 19 - Chris Jericho
  * Tattoo 8 - Saturn (mostly finished WIP; slight texture mapping issues on upper chest)
  * Face Accessory 20 - Kishin Liger (texture by AshVPW)

- [Costume Items] Updated Front Hair - Bangs 17 to blend in better color-wise.

- [Costume Items] Future costume item slot assignments made:
  * Ring Attire D12 - Tajiri
  * Entrance Attire B7 - Ric Flair
  * Face Paint 4 - G.I. Bro

- [Costume Items] Default colors (0,0) changed for the following items:
  * Ring Attire A19 - Masato Tanaka
  * Ring Attire A23 - Kensuke Sasaki
  * Entrance Attire D5 - Road Warriors

- [Costume Items] Changed Upper Attire C7 - Dr. Frank:
  * Fixed a palette bug related to the undershirt on the chest.
  * Replaced gray shade on the jacket part of the chest with a darker red.

- [Costume Items] Fixed sub-palette issue with Boots A3 - AKI man.

- [Costume Items] Changed Ring Attire F1 - Boxer 1.
  The new design is meant to match one of the sets of boxing trunks from
  World Tour/VPW64.

- [Costume Items] Changed Upper Body A12 - Bret Hart.
  * Fixed an issue where the pink lines weren't connecting on the back.
  * Fixed stomach tattoo issue.

- [Costume Items] Changed Face Paint 11 - Sting (old).
  The new design is a port from WCW/nWo Revenge.

- [Costume Items] Changed Ring Attire C34 - L.A. Park.
  The pelvis texture was updated using a VPW2 costume item as a base.
  Sub-palette colors on the non-belt area were also darkened.

- [Costume Items] Changed Ring Attire F2 - Boxer 2.
  Now uses two colors.

- [Costume Items] Changed Ring Attire E3 - Kurt Angle.
  * Fixed chest tattoo issue.
  The Stomach tattoo issue still remains, and requires scaling back
  the number of colors used in the texture.

- [Costume Items] Added the "KORM" text on Ring Attire A29 - Okada.

- [Arenas] Made the Budokan outside mats less janky.
  They're still janky, but at least there's proper segments now.

- [General] Credits sequence wrestlers and animations have been changed.

- [General] Changed Steve Austin's name to "Steve Austic".
  (This is not a real change)

- [General] Various smaller changes without proper changelog entries.

================================================================================
2020/01/28 (January 28, 2020)
================================================================================
[General Update Notes]
After a somewhat long break spent dealing with other projects and issues,
Virtual Pro-Wrestling 2 freem Edition has been updated again.

This *was* going to be another "minor" update, like the first revision,
but a few things happened:
* I managed to put a new screen in the pre-intro sequence.
* Randymanfoo converted three WCW/nWo Revenge songs to use the VPW2 instruments.
* 30+ wrestlers had some of their moves changed.

20 YEARS VIRTUAL PRO-WRESTLING 2
--------------------------------
Much like the initial release, this version of the hack is being released
on the original game's release date (January 28th).

I can think of no better way to celebrate the game's birthday.
Long live Virtual Pro-Wrestling 2.

Note on "2019/02/22" Release
----------------------------
Previous versions of the changelog listed the 2019/02/22 release as being
released on that date. The truth has now been revealed: the patch was released
one day early, but was uploaded three days before the intended release.

Character Guide
---------------
I have decided that the VPW2 freem Edition Character Guide will only be finished
once the hack reaches the magical "99%" mark. This is explained further below.

The Future of Wrestling Games
-----------------------------
Based on the various stories going around lately, activity in the wrestling
video game scene is picking up. As I write this section (September 17th, 2019),
the following details are known:

Fire Pro Wrestling World continues to recieve new downloadable content,
which hopefully means the game will be sticking around for a while.

Yuke's wishes to make a wrestling game without the WWE license.
They've created some neat animation tech that they couldn't use for the WWE2K
games for whatever reason. Since a lot of my problems with Yuke's games are
related to the relatively quick turnaround of the WWE games, this can only be
a good thing.

2K has taken over primary development of the WWE2K series.
I don't know how this is going to play out, but in the long run, if 2K manages
to reach the same level of detail that they put into the NBA2K games, this could
be a good thing.
2019/11/08 edit: LMAOOOOOOOOOO holy shit wow, how can you fuck it up *THIS* badly

All Elite Wrestling have their eyes set on making a wrestling game, with more
information being released near the end of 2019. This is the primary point of
interest for AKI fans, as they've stated multiple times they'd like to bring
that style of game back.
2020/01/03 edit: lol hey where's that news, guys??
2020/01/11 edit: ok they at least acknowledged it, but it's still the waiting game

Various independently developed wrestling games are in development or have been
released recently, including, but not limited to:
* Gackdaw's Ultraviolent game
* RetroSoft Studios' RetroMania Wrestling
* the CHIKARA game
* Virtua Combat '96 by JamStubbs
* Spot Callerz
* and some others that I can't recall the names of at the moment. Sorry.

There's also this hack, of course, but it's not a commercial endeavor
and doesn't particularly belong in the above list.

On another note, can you believe it's been just over two years since
the Steam Early Access release of Fire Pro Wrestling World? Time flies.

The Future of AKI Hacking
-------------------------
The above section doesn't even begin to cover where the AKI hacking scene will
be going in both the near and far futures. I am not at liberty to fully discuss
what is happening at the moment, but rest assured, some pretty amazing things
are going down behind the scenes. If you're following the right people on
Twitter, you might just see what I'm talking about.

There is still a lot of work to be done with VPW Studio, both in terms of
features and bug fixing. This doesn't even get into the lack of documentation,
plus the various "gotchas" that need to be dealt with when importing graphics...
It's not fun for me, and it certainly won't be fun for people who aren't me.

Aside from myself, VPW Studio is currently in the hands of people I can trust
to follow instructions and ask relevant questions when needed. In turn, these
people have been providing valuable feedback and updates to the filetable
databases.

Some people are mad that I'm not spending all of my time on VPW Studio, which
includes making this hack. You see, VPW2 freem Edition is the initial proof of
concept for what VPW Studio is capable of, and therefore, was developed at the
same time as the tool. VPW Studio continues to grow to serve the hack's needs.

In other words, without this hack, there'd be no reasonable way to test and
develop the tool. (This also goes for the VPW64 English Translation project
that's been sidelined for the moment.)

My future plans are a bit more secretive than I'd like, though I have shared
information with a few trusted people. The primary reason for this is that the
projects will take a very long time to complete. (Think of how long this hack
took to create from its origin point of the year 2000, and you have some sort
of idea. I'd hope it would take less than 19 years this time around, though.)

If you keep your eyes peeled, you might be able to put two and two together...
But even hinting at what I'm doing is saying too much.

The Future of This Hack
-----------------------
Virtual Pro-Wrestling 2 freem Edition is an ongoing project.
There are a few milestones, particularly the "99%" and "100%" versions.

It is highly unlikely the "100%" version will ever be created or released,
as a full game disassembly would be required.
Therefore, the "99%" version is considered the target goal.

This release of the hack (2020/01/28) is about 35%-40% complete?
I haven't really quantified the amount of progress made, so I'm just guessing.

The next general steps seem to be as follows (in no particular order):
* Fix up accuracy on costumes and costume items
* Work on remaining costume items (including faces, masks, entrance attire)
* Continue work on arenas
* Continue work on the intro sequence
* Work on the ending sequence
* Continue wrestler editing process (moves, params, logic)
* Import certain moves (Angle Slam... others?) from WWF No Mercy, if possible
* Attempt to debug and fix a crash involving playing as a manager in 1v1 matches
* Figure out what to do with Challenge mode (even if it's only editing RRS slightly)
* Import the Macho Man "OOH YEAH" sound
* Import a theme over Yoshinari Ogawa's
* Fix up the music (?)
* Fix smaller details (primarily menu stuff)

Things that would be in the "100%" version, if it was viable:
* Joe Bruiser and the Boxing fighting style
* Hold Z on certain fighters to access alternate versions, a la VPW64
* More costume items
* More wrestlers (mainly people I removed from vanilla VPW2)
and probably some other things that I don't want to think about.

In any case, work will continue, though I can't give any estimated release date(s).

================================================================================
[Default Costume Updates]
In order for the Default Costume changes to show up in an existing save file,
please reset the Costume data for the following characters in Edit Mode:

---------------------+------------+
Wrestler             | Costume(s) |
---------------------+------------+
Kevin Nash           | 1,2,3      |
Undertaker           | 2          |
Perry Saturn         | All        |
Goldberg             | 1,2,4      |
Tiger Mask           | 2          |
Randy Savage         | 1,2        |
Don Frye             | 3          |
Yoshihiro Takayama   | 2,3        |
Jumbo Tsuruta        | 3          |
Satoshi Kojima       | 3          |
John Cena            | 2          |
Masakatsu Funaki     | 3,4        |
Dan Severn           | 2          |
Rick Steiner         | 3          |
Stan Hansen          | 3          |
Curt Hennig          | 2,3        |
Nobuhiko Takada      | 1,2        |
Kazushi Sakuraba     | 2          |
Brock Lesnar         | 1          |
TAKA Michinoku       | 1          |
Antonio Inoki        | 3          |
AJ Styles            | 1          |
---------------------+------------+

================================================================================
[Wrestler Data Updates]
This section contains changes to moves, parameters, and logic for the default
wrestlers. You do not need to do anything to access these changes.

--------------------------------------------------------------------------------
[Moves]
A few words on "de-duplicating" grapples:
In the original AKI games, wrestlers often had the same move for back grapple on
both the solo button press and button press with direction pad. This also manifests
itself with ports of wrestlers from World Tour, VPW64, and Revenge, where the
Left/Right front grapple slots are the same as the no direction grapple.

In VPW2 freem Edition, this is seen as something to be fixed.

Where possible, moves that "fit" the wrestler are used.
If something seems off, or even outright wrong, please let me know.

000A - Sting
------------
Grapple de-duplication.
Also set three moves to be Favorites:
* Stinger Splash (Corner Running Strike B)
* Sidewalk Slam to Leg Submission (Front Special Grapple)
* Scorpion Death Drop (Back Special Grapple)
----------------------------------+--------------------------+----------------------
Move Slot                         | Old Move                 | New Move
----------------------------------+--------------------------+----------------------
Front Weak Grapple A              | Face Punch               | Chop (Hiroshi Hase)
Front Weak Grapple B+Dir          | Headlock Takedown        | Arm Wrench with Elbow
Front Strong Grapple B+Left/Right | Jumping DDT              | Short Range Lariat
Back Weak Grapple A+Dir           | Face Crusher             | Bulldog
Back Weak Grapple B+Dir           | Side Backdrop            | Pendulum Backbreaker
Back Strong Grapple A+Dir         | German Suplex            | Abdominal Stretch
Back Strong Grapple B             | High Speed German Suplex | Enzui Lariat
----------------------------------+--------------------------+----------------------

0607 - Big Show
---------------
Back grapple de-duplication.
------------------------------+---------------------+-------------------
Move Slot                     | Old Move            | New Move
------------------------------+---------------------+-------------------
Back Weak Grapple A           | Knee Crusher        | Side Backdrop
Back Weak Grapple B           | Enzui Headbutts     | Elbow to Back
Back Strong Grapple A         | Surfboard Stretch   | Monster Uranage
Back Strong Grapple B         | Atomic Drop         | Enzui Lariat
------------------------------+---------------------+-------------------

0906 - Tazz
-----------
Back grapple de-duplication as an excuse to add more Tazplexes.
------------------------------+-----------------------+----------------------
Move Slot                     | Old Move              | New Move
------------------------------+-----------------------+----------------------
Back Weak Grapple A+Dir       | Backdrop              | Side Backdrop
Back Weak Grapple B           | Knee Crusher          | Elbow to Back
Back Strong Grapple A+Dir     | Pumphandle Slam       | Half Nelson Suplex
Back Strong Grapple B+Dir     | Release German Suplex | Release Dragon Suplex
------------------------------+-----------------------+----------------------

0702 - X-Pac
------------
Back grapple de-duplication.
------------------------------+---------------------+-------------------
Move Slot                     | Old Move            | New Move
------------------------------+---------------------+-------------------
Back Weak Grapple A+Dir       | Backdrop            | Face Crusher
Back Weak Grapple B           | Enzui Kneel Kick    | Elbow to Back
Back Strong Grapple A         | School Boy          | German Suplex
Back Strong Grapple B         | Rear Naked Choke    | Dragon Backbreaker
------------------------------+---------------------+-------------------

0404 - Perry Saturn
-------------------
Back grapple de-duplication.
------------------------------+----------------------------+----------------------
Move Slot                     | Old Move                   | New Move
------------------------------+----------------------------+----------------------
Back Weak Grapple A+Dir       | Backdrop                   | Knee Crusher
Back Weak Grapple B           | School Boy                 | Elbow to Back
Back Strong Grapple A+Dir     | German Suplex              | Release German Suplex
Back Strong Grapple B+Dir     | Argentine Neckbreaker Drop | Release Dragon Suplex
------------------------------+----------------------------+----------------------

0107 - Kevin Nash
-----------------
Quite a few changes, primarily of the de-duplication variety.
Also set two moves to be Favorites:
* Jackknife Powerbomb (Front Special Grapple)
* Top Rope Powerbomb (Corner Special Grapple)
--------------------------------+-----------------------+-------------------
Move Slot                       | Old Move              | New Move
--------------------------------+-----------------------+-------------------
Weak Running Strike A+B         | Shoulder Block        | Back Elbow (Hase)
Strong Running Strike A+B       | Lariat (Left)         | Big Boot
Corner Strike B+Dir             | Back Elbow            | Step Kick
Corner Running Strike B         | Jump High Kick        | Big Boot
Corner Running Strike B+Dir     | Jump High Kick        | Lariat (Left)
Running Tree of Woe Strike B    | Jump High Kick        | Big Boot
Front Weak Grapple A            | Elbow to Back of Head | Face Punch
Front Weak Grapple B+Left/Right | Headlock Takedown     | Shoulder Thrusts
Front Strong Grapple A          | Shoulder Neckbreaker  | Manhattan Drop
Front Strong Grapple B          | Short Range Lariat    | Shoulder Armbreaker
Back Weak Grapple A+Dir         | Elbow to Back         | Atomic Drop
Back Weak Grapple B             | Sleeperhold           | Backdrop
Back Strong Grapple A           | Pendulum Backbreaker  | Knee Crusher
Back Strong Grapple B+Dir       | Enzui Lariat          | Pumphandle Slam
--------------------------------+-----------------------+-------------------

000D - Ric Flair
----------------
Grapple and strike de-duplication.
The Sidewalk Slam was selected to make Figure 4 Leglock setups easier.
Also set Machine Gun Chops (Corner Special Grapple) to Favorite.
------------------------------+-------------------------+----------------------
Move Slot                     | Old Move                | New Move
------------------------------+-------------------------+----------------------
Strong Strike A+B             | Heavyweight Dropkick    | Burning Chop
Weak Running Strike A+B       | Shoulder Block          | Back Elbow
Strong Running Strike A+B     | Push Kick               | Kitchen Sink
Front Weak Grapple A          | Headlock Punch          | Eye Rake
Front Weak Grapple B          | Arm Wrench with Elbow   | Repeated Chops
Front Strong Grapple A        | Double Underhook Suplex | Sidewalk Slam
Front Strong Grapple B        | Backslide               | Headlock
Back Weak Grapple A           | Backdrop                | Back Rake
Back Weak Grapple B           | Knee Crusher            | Elbow to Back
Back Strong Grapple A+Dir     | Atomic Drop             | School Boy
Back Strong Grapple B         | Abdominal Stretch       | Sleeperhold
------------------------------+-------------------------+----------------------

0108 - Scott Hall
-----------------
Grapple de-duplication and some other edits.
----------------------------------+------------------------+----------------------
Move Slot                         | Old Move               | New Move
----------------------------------+------------------------+----------------------
Weak Running Strike A+B           | Shoulder Block         | Flying Shoulder Attack
Strong Running Strike A+B         | Lariat (Right)         | Kitchen Sink
Corner Running Strike A+B         | Lariat (Right)         | Back Elbow
Front Weak Grapple A+Dir          | Dynamic Kneelift       | Headlock Punch
Front Weak Grapple B+Dir          | Headlock Takedown      | Arm Wrench with Elbow
Front Strong Grapple A            | Neckbreaker            | Manhattan Drop
Front Strong Grapple B+Left/Right | Stalling Fallaway Slam | Snake Eyes
Back Weak Grapple A+Dir           | High Angle Backdrop    | Pendulum Backbreaker
Back Weak Grapple B+Dir           | Elbow to Back          | Knee Crusher
Back Strong Grapple A             | Abdominal Stretch      | Sleeperhold
Back Strong Grapple B+Dir         | Atomic Drop            | German Suplex
----------------------------------+------------------------+----------------------

0603 - Undertaker
-----------------
Back grapple de-duplication.
------------------------------+---------------------+----------------------
Move Slot                     | Old Move            | New Move
------------------------------+---------------------+----------------------
Back Weak Grapple A+Dir       | Backdrop            | Side Buster
Back Weak Grapple B+Dir       | Elbow to Back       | Atomic Drop
Back Strong Grapple A         | Abdominal Stretch   | Sleeperhold
Back Strong Grapple B+Dir     | Knee Crusher        | Enzui Lariat
------------------------------+---------------------+----------------------

0406 - Chris Jericho
--------------------
Mostly grapple de-duplication, with an important fix for Front Maximum Grapple.
Also set Lion Tamer (Downed Legs Submission (Face Up)) to Favorite.
------------------------------+-----------------------+--------------------------
Move Slot                     | Old Move              | New Move
------------------------------+-----------------------+--------------------------
Front Maximum Grapple         | Takedown to Head Sub. | Sidewalk Slam to Leg Sub.
Back Weak Grapple A           | Backdrop              | Side Buster
Back Weak Grapple B           | Pendulum Backbreaker  | Elbow to Back
Back Strong Grapple A+Dir     | German Suplex         | Dragon Suplex
Back Strong Grapple B+Dir     | Release German Suplex | Release Dragon Suplex
------------------------------+-----------------------+--------------------------

0403 - Dean Malenko
-------------------
Mainly back grapple de-duplication. Also added a Front Maximum Grapple move,
though it just links to the Texas Cloverleaf.
------------------------------+----------------------+--------------------------
Move Slot                     | Old Move             | New Move
------------------------------+----------------------+--------------------------
Front Maximum Grapple         | (none)               | Sidewalk Slam to Leg Sub.
Back Weak Grapple A           | Spinning Backdrop    | Backdrop
Back Weak Grapple B           | Pendulum Backbreaker | Elbow to Back
Back Strong Grapple A+Dir     | School Boy           | Abdominal Stretch
Back Strong Grapple B+Dir     | German Suplex        | Chickenwing Facelock
------------------------------+----------------------+--------------------------

010A - Goldberg
---------------
Some changes suggested by SuperkickSD:
-----------------------------------+-----------------------+--------------------------
Move Slot                          | Old Move              | New Move
-----------------------------------+-----------------------+--------------------------
Strong Strike B+Dir                | Sobat                 | Thrust Kick
Strong Strike A+B                  | Sobat                 | Stepping Thrust Kick
Strong Running Strike A+B          | Spear                 | Flying Shoulder Attack
Corner Running Strike B            | Spear                 | Power Lariat
Counter Kick A                     | Dragon Screw          | Lariat
Back Special Grapple               | Release Dragon Suplex | Viagra Driver
-----------------------------------+-----------------------+--------------------------

Other changes by freem:
------------------------------------+-----------------------+-----------------------------
Move Slot                           | Old Move              | New Move
------------------------------------+-----------------------+-----------------------------
Counter Kick B                      | Sidewalk Slam         | Dragon Screw
Irish Whip Attack/Counter           | Sobat                 | Big Boot
Irish Whip Weak Grapple A+Dir       | Hip Toss              | Back Body Drop
Irish Whip Strong Grapple A+Dir     | Samoan Drop           | Powerslam
Front Weak Grapple A                | Dynamic Kneelift      | Elbow
Front Weak Grapple B                | Swinging Neckbreaker  | Machinegun Knee Lift
Front Strong Grapple A              | Arm Trap Suplex       | Sroida
Back Weak Grapple A+Dir             | Side Buster           | Sleeperhold
Back Strong Grapple B               | Enzui Lariat          | Full Nelson Buster
Downed Head Submission (Face Up)    | Mounted Punches       | Cross Armbar
Downed Legs Submission (Face Down)  | Reverse Achilles Hold | Half Boston Crab
------------------------------------+-----------------------+--------------------------

0802 - Brock Lesnar
-------------------
Some changes suggested by SuperkickSD:
------------------------------------+-------------------------+-----------------------------
Move Slot                           | Old Move                | New Move
------------------------------------+-------------------------+-----------------------------
Strong Strike B                     | Football Tackle         | Jumping Knee Strike
Strong Strike A+B                   | Strong Hammer Punch     | Feint Lariat
Front Weak Grapple A+Left/Right     | Fireman's Carry         | Double Leg Tackle
Front Weak Grapple B                | Headlock Takedown       | Machinegun Knee Lift (Front)
Front Weak Grapple B+Left/Right     | Double Underhook Suplex | Fallaway Slam
Front Strong Grapple B+Up           | Uranage                 | Triple Powerbomb Pin
------------------------------------+-------------------------+-----------------------------

Other changes by freem:
------------------------------------+-------------------------+-----------------------------
Move Slot                           | Old Move                | New Move
------------------------------------+-------------------------+-----------------------------
Counter Kick B                      | Sidewalk Slam           | Lariat
Front Strong Grapple B+Left/Right   | Dynamic Bomb            | Powerbomb Pin
Downed Head Submission (Face Down)  | Camel Clutch            | Armbar
Sitting Head Submission (Face Down) | Camel Clutch            | Mount Choke Sleeper
Running Downed Strike (Face Up)     | Stomping                | Elbowdrop
------------------------------------+-------------------------+-----------------------------

0405 - Eddy Guerrero
---------------------
Back grapple de-duplication.
------------------------------+----------------------+--------------------------
Move Slot                     | Old Move             | New Move
------------------------------+----------------------+--------------------------
Back Weak Grapple A+Dir       | Side Backdrop        | Bulldog
Back Weak Grapple B           | Pendulum Backbreaker | Elbow to Back
Back Strong Grapple A+Dir     | School Boy           | German Suplex
Back Strong Grapple B         | Pumphandle Slam      | Tiger Suplex
------------------------------+----------------------+--------------------------

0002 - Steve Austin
-------------------
Mostly back grapple de-duplication, with a fix for a strong strike.
------------------------------+----------------------+--------------------------
Move Slot                     | Old Move             | New Move
------------------------------+----------------------+--------------------------
Strong Strike B+Dir           | Shake Punch          | Superstar's Punch
Back Weak Grapple A+Dir       | Backdrop             | Bulldog
Back Weak Grapple B+Dir       | Elbow to Back        | Atomic Drop
Back Strong Grapple A+Dir     | School Boy           | Reverse DDT
------------------------------+----------------------+--------------------------

0007 - The Rock
---------------
Back grapple de-duplication.
------------------------------+----------------------+--------------------------
Move Slot                     | Old Move             | New Move
------------------------------+----------------------+--------------------------
Back Weak Grapple A+Dir       | Backdrop             | Pendulum Backbreaker
Back Weak Grapple B           | Knee Crusher         | Elbow to Back
Back Strong Grapple A         | Surfboard Stretch    | Sleeperhold
Back Strong Grapple B         | Atomic Drop          | Side Buster
------------------------------+----------------------+--------------------------

0701 - Triple H
---------------
Back grapple de-duplication.
------------------------------+----------------------+--------------------------
Move Slot                     | Old Move             | New Move
------------------------------+----------------------+--------------------------
Back Weak Grapple A+Dir       | Backdrop             | Elbow to Back
Back Weak Grapple B+Dir       | Knee Crusher         | Side Buster
Back Strong Grapple A         | School Boy           | Sleeperhold
Back Strong Grapple B+Dir     | Spinning Backdrop    | Atomic Drop
------------------------------+----------------------+--------------------------

0008 - Shawn Michaels
---------------------
Back grapple de-duplication.
------------------------------+----------------------+--------------------------
Move Slot                     | Old Move             | New Move
------------------------------+----------------------+--------------------------
Back Weak Grapple A+Dir       | Backdrop             | Pendulum Backbreaker
Back Weak Grapple B+Dir       | Elbow to Back        | Bulldog
Back Strong Grapple A+Dir     | School Boy           | Atomic Drop
Back Strong Grapple B+Dir     | Sleeperhold          | Side Backdrop
------------------------------+----------------------+--------------------------

0104 - Randy Savage
-------------------
Striking and grapple de-duplication.
----------------------------------+-----------------------+--------------------------
Move Slot                         | Old Move              | New Move
----------------------------------+-----------------------+--------------------------
Strong Strike A+B                 | Pinpoint Jab          | Body Blow
Weak Running Strike A+B           | Shoulder Block        | Kitchen Sink
Strong Running Strike A+B         | Back Elbow (Hase)     | Batting Lariat
Corner Running Strike A+B         | Back Elbow (Hase)     | Batting Lariat
Front Weak Grapple A+Dir          | Headlock Punch        | Snap Mare
Front Weak Grapple B              | Arm Wrench with Elbow | Shoulder Neckbreaker
Front Strong Grapple A            | Gutwrench Suplex      | Headlock
Front Strong Grapple B+Left/Right | Manhattan Drop        | Sidewalk Slam
Back Weak Grapple A+Dir           | Backdrop              | Spinning Backdrop
Back Weak Grapple B               | Knee Crusher          | Elbow to Back
Back Strong Grapple A+Dir         | Sleeperhold           | Pendulum Backbreaker
Back Strong Grapple B+Dir         | Atomic Drop           | Bulldog
----------------------------------+-----------------------+--------------------------

0303 - DDP
----------
Striking and grapple de-duplication.
------------------------------+----------------------+--------------------------
Move Slot                     | Old Move             | New Move
------------------------------+----------------------+--------------------------
Weak Running Strike A+B       | Shoulder Block       | Kitchen Sink
Strong Running Strike A+B     | Whole Body Run.Elbow | Lariat (Left)
Corner Running Strike A+B     | Back Elbow           | Lariat (Left)
Back Weak Grapple A           | Backdrop             | Side Buster
Back Weak Grapple B           | Abdominal Stretch    | Elbow to Back
Back Strong Grapple A         | School Boy           | Sleeperhold
Back Strong Grapple B         | Pumphandle Slam      | Pendulum Backbreaker
------------------------------+----------------------+--------------------------

0606 - Booker T
---------------
Striking and grapple de-duplication.
------------------------------+----------------------+--------------------------
Move Slot                     | Old Move             | New Move
------------------------------+----------------------+--------------------------
Weak Running Strike A+B       | Back Elbow           | Shoulder Block
Strong Running Strike A+B     | Flying Elbow         | Jumping Karate Kick
Corner Running Strike A+B     | Back Elbow           | Jumping Karate Kick
Front Weak Grapple A          | Club to Neck         | Elbow
Front Weak Grapple B          | Arm Wrench/Heel Kick | Arm Wrench with Elbow
Front Strong Grapple A        | Gutwrench Suplex     | Shoulder Buster
Front Strong Grapple B        | Short Range Lariat   | Kitchen Sink to Ropes
Back Weak Grapple A           | High Angle Backdrop  | Side Backdrop
Back Weak Grapple B           | Pendulum Backbreaker | Elbow to Back
Back Strong Grapple A+Dir     | School Boy           | Sleeperhold
Back Strong Grapple B+Dir     | Atomic Drop          | Knee Crusher
------------------------------+----------------------+--------------------------

0208 - Curt Hennig
------------------
Striking and grapple de-duplication.
----------------------------------+----------------------+--------------------------
Move Slot                         | Old Move             | New Move
----------------------------------+----------------------+--------------------------
Strong Strike A+B                 | Orthodox Punch       | Step Jab
Weak Running Strike A+B           | Shoulder Block       | Flying Shoulder Attack
Strong Running Strike A+B         | Axe Bomber           | Kitchen Sink
Corner Running Strike A+B         | Lariat (Right)       | Axe Bomber
Front Weak Grapple A+Left/Right   | Face Punch           | European Uppercut
Front Weak Grapple B+Left/Right   | Headlock Takedown    | Arm Wrench with Elbow
Front Strong Grapple A            | Gutwrench Suplex     | Throwing Northern Lights Suplex
Front Strong Grapple B+Left/Right | Piledriver           | Neckbreaker
Back Weak Grapple A+Dir           | Backdrop             | High Angle Backdrop
Back Weak Grapple B+Dir           | Elbow to Back        | Knee Crusher
Back Strong Grapple A             | German Suplex        | Sleeperhold
Back Strong Grapple B+Dir         | Atomic Drop          | Pendulum Backbreaker
----------------------------------+----------------------+--------------------------

0505 - Raven
------------
Striking and grapple de-duplication.
----------------------------------+-----------------------------+--------------------------
Move Slot                         | Old Move                    | New Move
----------------------------------+-----------------------------+--------------------------
Strong Strike B+Dir               | Jumping Dropkick            | Step Jab (Y. Ogawa)
Weak Running Strike B             | Shoulder Block              | Kitchen Sink
Strong Running Strike B           | Jumping Kneebutt            | Lariat (Right)
Corner Running Strike A+B         | Running High Angle Dropkick | Back Elbow
Front Weak Grapple B              | Arm Wrench with Elbow       | Neckbreaker
Front Strong Grapple A            | Gutwrench Suplex            | Shoulder Buster
Front Strong Grapple B+Left/Right | Headlock                    | Snake Eyes
Back Weak Grapple A+Dir           | High Angle Backdrop         | Pendulum Backbreaker
Back Weak Grapple B               | Bulldog                     | Elbow to Back
Back Strong Grapple A+Dir         | School Boy                  | Sleeperhold
Back Strong Grapple B+Dir         | Release German Suplex       | Enzui Lariat
----------------------------------+-----------------------------+--------------------------

0902 - Kurt Angle
-----------------
Back grapple de-duplication.
------------------------------+----------------------+--------------------------
Move Slot                     | Old Move             | New Move
------------------------------+----------------------+--------------------------
Back Weak Grapple A+Dir       | Backdrop             | Side Backdrop
Back Weak Grapple B           | Pendulum Backbreaker | Elbow to Back
Back Strong Grapple A         | Rear Naked Choke     | Torture Abdominal Stretch
Back Strong Grapple B+Dir     | German Suplex        | Release German Suplex
------------------------------+----------------------+--------------------------

0105 - Rick Steiner
-------------------
Striking and grapple de-duplication.
----------------------------------+------------------------+--------------------------
Move Slot                         | Old Move               | New Move
----------------------------------+------------------------+--------------------------
Strong Strike A+B                 | Jumping Lariat         | Heavyweight Dropkick
Weak Running Strike A+B           | Flying Shoulder Attack | Kitchen Sink
Strong Running Strike A+B         | Lariat (Right)         | Body Splash
Corner Running Strike A+B         | Lariat (Right)         | Body Splash
Front Weak Grapple B+Left/Right   | Headlock Takedown      | Arm Wrench with Elbow
Front Strong Grapple A+Left/Right | Body Stamp             | Shoulder Armbreaker
Front Strong Grapple B+Left/Right | (#32) ? Suplex         | Canadian Backbreaker
Back Weak Grapple B+Dir           | Elbow to Back          | Knee Crusher
Back Strong Grapple B+Dir         | Atomic Drop            | Pendulum Backbreaker
----------------------------------+------------------------+--------------------------

0106 - Scott Steiner
--------------------
Striking and grapple de-duplication.
Also set Lift Up Shoulder Slam (Front Strong Grapple A+Up) to Favorite.
----------------------------------+----------------------+--------------------------
Move Slot                         | Old Move             | New Move
----------------------------------+----------------------+--------------------------
Strong Strike A+B                 | Football Tackle      | Step Punch (Y. Ogawa)
Weak Running Strike A+B           | Shoulder Block       | Kitchen Sink
Strong Running Strike A+B         | Power Lariat         | Jumping Kneebutt
Corner Running Strike A+B         | Lariat (Right)       | Jumping Kneebutt
Front Weak Grapple A+Left/Right   | Club to Neck         | Face Punch
Front Weak Grapple B              | High Speed Gutwrench | Machinegun Knee Lift
Front Strong Grapple A+Left/Right | Snake Eyes           | Short Range Lariat
Front Strong Grapple B+Left/Right | DDT                  | Frankensteiner
Back Weak Grapple A+Dir           | Side Backdrop        | Bulldog
Back Weak Grapple B+Dir           | Elbow to Back        | Sleeperhold
Back Strong Grapple B+Dir         | Pumphandle Slam      | Monster German Suplex
----------------------------------+----------------------+--------------------------

0407 - Rey Mysterio Jr.
-----------------------
Striking and grapple de-duplication.
----------------------------------+------------------------+--------------------------
Move Slot                         | Old Move               | New Move
----------------------------------+------------------------+--------------------------
Strong Strike A+B                 | High Angle Dropkick    | Orthodox Punch
Weak Running Strike A+B           | Flying Shoulder Attack | Flying Body Attack
Strong Running Strike A+B         | Flying Kneel Kick      | Flying Cross Chop
Corner Running Strike A+B         | High Angle Dropkick    | Flying Body Attack
Front Weak Grapple A+Left/Right   | Chest Chop             | Fireman's Carry
Front Weak Grapple B              | Arm Wrench with Elbow  | Arm Twist Throw
Front Strong Grapple A+Left/Right | Jumping DDT            | Climbing Enzui Kneel Kick
Back Weak Grapple B+Dir           | Face Crusher           | Bulldog
Back Strong Grapple A+Dir         | Forward Rolling Pin    | Sleeperhold
Back Strong Grapple B+Dir         | Mayan Suplex           | Japanese Leg Roll Clutch
----------------------------------+------------------------+--------------------------

0409 - Dynamite Kid
-------------------
Striking and grapple de-duplication.
----------------------------------+-----------------------+--------------------------
Move Slot                         | Old Move              | New Move
----------------------------------+-----------------------+--------------------------
Strong Strike A+B                 | Jumping Dropkick      | Low Dropkick
Weak Running Strike A+B           | Shoulder Block        | Flying Shoulder Attack
Strong Running Strike A+B         | Jump High Kick        | Running Jumping Dropkick
Corner Running Strike A+B         | Back Elbow            | Running Jumping Dropkick
Front Weak Grapple A+Left/Right   | Snap Mare             | Headlock Punch
Front Weak Grapple B              | Arm Wrench with Elbow | Shoulder Thrusts
Front Strong Grapple A+Left/Right | One Leg Headbutt      | Shoulder Armbreaker
Back Weak Grapple A               | Side Backdrop         | Side Buster
Back Weak Grapple B               | Pendulum Backbreaker  | Elbow to Back
Back Strong Grapple A+Dir         | Dangerous Backdrop    | Backdrop Hold
Back Strong Grapple B+Dir         | German Suplex         | Release German Suplex
----------------------------------+-----------------------+--------------------------

040A - L.A. Park
----------------
Mostly grapple and striking de-duplication, with an added move for good measure.
----------------------------------+------------------------+--------------------------
Move Slot                         | Old Move               | New Move
----------------------------------+------------------------+--------------------------
Strong Strike A+B                 | Diving Lariat          | Jumping Kneel Kick
Weak Running Strike A+B           | Flying Shoulder Attack | Kitchen Sink
Strong Running Strike A+B         | Flying Kneel Kick      | Lariat (Right)
Corner Running Strike A+B         | Lariat (Right)         | Body Splash
Front Weak Grapple B              | Arm Wrench with Elbow  | Headlock Takedown
Front Weak Grapple A+Left/Right   | Eye Rake               | Snap Mare
Front Strong Grapple A+Left/Right | Uranage                | Kitchen Sink to Ropes
Front Strong Grapple B            | Short Range Lariat     | Sroida
Back Weak Grapple A+Dir           | High Angle Backdrop    | Spinning Backdrop
Back Weak Grapple B+Dir           | Elbow to Back          | Face Crusher
Back Strong Grapple A+Dir         | German Suplex          | Side Buster
Back Strong Grapple B+Dir         | Atomic Drop            | Dragon Backbreaker
Springboard (Grounded)            | (none)                 | Tope Atomico
----------------------------------+------------------------+--------------------------

0904 - Ken Shamrock
-------------------
Back grapple de-duplication.
------------------------------+----------------------+--------------------------
Move Slot                     | Old Move             | New Move
------------------------------+----------------------+--------------------------
Back Weak Grapple A+Dir       | Backdrop             | Knee Crusher
Back Weak Grapple B           | Pendulum Backbreaker | Elbow to Back
Back Strong Grapple A+Dir     | Forward Rolling Pin  | Armbar
Back Strong Grapple B+Dir     | German Suplex        | Release German Suplex
------------------------------+----------------------+--------------------------

0A03 - Karl Gotch
-----------------
De-duplication and filling out more moves. Gotch was only in the PS1 games, after all.
------------------------------------+-----------------------+--------------------------
Move Slot                           | Old Move              | New Move
------------------------------------+-----------------------+--------------------------
Strong Strike B+Dir                 | Low Dropkick          | Stance Snap Punch
Strong Strike A+B                   | Low Dropkick          | Football Tackle
Weak Running Strike A+B             | Shoulder Block        | Push Kick
Strong Running Strike B             | Jumping Kneebutt      | Heavyweight Dropkick
Front Weak Grapple A+Left/Right     | European Uppercut     | Snap Mare
Front Weak Grapple B                | Double Underhook/Knee | Schmidt Backbreaker
Front Strong Grapple A+Left/Right   | (#32) ? Front Suplex  | Cradle Kneeling Tombstone Piledriver
Front Strong Grapple B              | (#32) ? Front Suplex  | Sweep Throw
Front Strong Grapple B+Left/Right   | (#32) ? Front Suplex  | Backslide
Front Strong Grapple B+Up           | Sambo Armbar          | Headlock Takedown
Front Strong Grapple B+Down         | Armbar                | Cradle Piledriver
Back Weak Grapple A+Dir             | Side Backdrop         | Knee Crusher
Back Weak Grapple B                 | Side Backdrop         | Elbow to Back
Back Weak Grapple B+Dir             | Side Backdrop         | Pendulum Backbreaker
Back Strong Grapple B               | Monster Uranage       | Torture Abdominal Stretch
Back Strong Grapple B+Dir           | Chickenwing Facelock  | Full Nelson Buster
Irish Whip Weak Grapple A           | Monkey Flip           | Drop Toe Hold
Irish Whip Strong Grapple A+Dir     | Sleeperhold           | Abdominal Stretch
Downed Legs Submission (Face Down)  | Half Boston Crab      | Bow and Arrow Hold
Sitting Legs Submission (Face Down) | Half Boston Crab      | Reverse Achilles Hold
------------------------------------+-----------------------+--------------------------

010C - Rikidozan
----------------
Mostly grapple and striking de-duplication, with a few other changes.
---------------------------------+---------------------------+--------------------------
Move Slot                        | Old Move                  | New Move
---------------------------------+---------------------------+--------------------------
Strong Strike A+B                | Jaw Punch                 | Burning Chop
Front Weak Grapple A+Left/Right  | Dynamic Kneelift          | Snap Mare
Front Weak Grapple B             | Russian Leg Sweep         | Shoulder Thrusts
Front Strong Grapple A           | Repeated Chops            | Flying Headscissors
Back Weak Grapple A+Dir          | Elbow to Back             | Enzui Headbutts
Back Weak Grapple B+Dir          | Side Backdrop             | Atomic Drop
Back Strong Grapple A            | Dragon Backbreaker        | High Angle Backdrop
Back Strong Grapple B            | Torture Abdominal Stretch | Sleeperhold
Corner Weak Grapple B            | Shoulder Tackle           | Machine Gun Chops
Downed Head Submission (Face Up) | Stretch Plum              | Face Rake
Sitting Strike (Face Up)         | Angry Stomping            | Neck Chop
---------------------------------+---------------------------+--------------------------

010D - The Destroyer
--------------------
Some grapple and striking de-duplication, along with other small changes.
----------------------------------+----------------------+--------------------------
Move Slot                         | Old Move             | New Move
----------------------------------+----------------------+--------------------------
Strong Strike A+B                 | Heavyweight Dropkick | Football Tackle
Front Weak Grapple B+Left/Right   | Headlock Takedown    | Sweep Throw
Front Strong Grapple A+Left/Right | Neckbreaker          | (#35) (? suplex)
Front Strong Grapple B            | Headlock             | Small Package
Back Weak Grapple A+Dir           | Backdrop             | Side Backdrop
Back Weak Grapple B+Dir           | Bulldog              | Side Buster
Back Strong Grapple A+Dir         | Atomic Drop          | School Boy
Back Strong Grapple B+Dir         | Abdominal Stretch    | Torture Abdominal Stretch
Irish Whip Strong Grapple A+Dir   | Manhattan Drop       | Abdominal Stretch
Taunt 3 (Right)                   | Touch Wrists         | One Arm Turn
----------------------------------+----------------------+--------------------------

0202 - Road Warriors
--------------------
Grapple and striking de-duplication.
------------------------------+------------------------+--------------------------
Move Slot                     | Old Move               | New Move
------------------------------+------------------------+--------------------------
Weak Running Strike A+B       | Flying Shoulder Attack | Jumping Elbow
Strong Running Strike A+B     | Power Lariat           | Big Boot
Front Weak Grapple A          | Dynamic Kneelift       | Double Axe Handle
Front Weak Grapple B          | Neckbreaker            | Gutwrench Suplex
Front Strong Grapple A        | Sroida                 | Throwing Northern Lights Suplex
Back Weak Grapple A+Dir       | Elbow to Back          | Side Backdrop
Back Weak Grapple B+Dir       | Atomic Drop            | Knee Crusher
Back Strong Grapple A+Dir     | Enzui Lariat           | Torture Abdominal Stretch
Back Strong Grapple B+Dir     | Pumphandle Slam        | Pendulum Backbreaker
------------------------------+------------------------+--------------------------

0B03 - AKI man
--------------
Striking and grapple de-duplication.
--------------------------------+----------------------+--------------------------
Move Slot                       | Old Move             | New Move
--------------------------------+----------------------+--------------------------
Weak Running Strike A+B         | Running Elbow        | Running Jumping Dropkick
Strong Running Strike A+B       | Flying Lariat        | Jumping Lariat
Corner Running Strike A+B       | High Angle Dropkick  | Running Abisegeri
Front Weak Grapple A+Left/Right | European Uppercut    | Snap Mare
Front Weak Grapple B            | Arm Twist Throw      | High Speed Gutwrench Suplex
Front Strong Grapple A          | Tiger Spin           | High Angle Uranage
Back Weak Grapple A+Dir         | Spinning Backdrop    | Dragon Backbreaker
Back Strong Grapple B+Dir       | Release Tiger Suplex | Release Dragon Suplex
--------------------------------+----------------------+--------------------------

0502 - Sabu
-----------
Two small changes.
--------------------------------+----------------------+--------------------------
Move Slot                       | Old Move             | New Move
--------------------------------+----------------------+--------------------------
Strong Strike B+Dir             | Mongolian Chop       | Jaw Punch
Front Running Grapple           | Neckbreaker Drop     | Jumping Tornado DDT
--------------------------------+----------------------+--------------------------

0209 - Dan Severn
-----------------
A small de-duplication.
--------------------------------+----------------------+--------------------------
Move Slot                       | Old Move             | New Move
--------------------------------+----------------------+--------------------------
Front Strong Grapple A+Down     | Waterwheel Drop      | Sidewalk Slam
--------------------------------+----------------------+--------------------------

--------------------------------------------------------------------------------
[Parameters]
No changes.

--------------------------------------------------------------------------------
[Logic]

Rikidozan Logic Changes
------------------------+------------+---------------+
Category                | Old Value  | New Value     |
------------------------+------------+---------------+
Standing Opponent Early | Grappling  | Striking      |
Attack Strategy         | Balanced   | Striking      |
------------------------+------------+---------------+
These changes were based on watching some Rikidozan matches and are *not* imported
from VPW64. If I ever figure out VPW64's logic data, these values may change.

================================================================================
[Changelog Items]

- [Text Entry] Added - and # characters to English text entry.
  These were being used in wrestler names (e.g. X-Pac, Spider-Man) and Mic Appeal
  phrases (e.g. "I am #1 wrestler"), but not available for use otherwise (or in
  the case of the -, easily available).

- [Faces] Some faces were updated or replaced:
  *  4 - Sting (updated by RagDas)
  * 25 - Katsuyori Shibata (updated by KWG/Saga)
  * 28 - Curt Hennig (updated by KWG/Saga)
  * 29 - Dan Severn (updated by freem; minor touch-ups)
  * 34 - Bret Hart (new texture by RagDas)
  * 36 - Perry Saturn (redone by freem)
  * 41 - Raven (updated by KWG/Saga)
  * 42 - Tajiri (updated by freem; minor touch-up)
  * 43 - Steven Regal (updated by KWG/Saga)
  * 52 - AJ Styles (new texture by RagDas)
  * 55 - Kurt Angle (joint update by freem and RagDas; minor touch-ups)
  * 56 - Minoru Suzuki (updated by freem; minor touch-up)
  * 58 - Tazz (updated by KWG/Saga)
  * 61 - Big Show (updated by KWG/Saga)
  * 63 - John Cena (updated by KWG/Saga)
  * 64 - Brock Lesnar (new texture by RagDas)
  * 65 - Samoa Joe (updated by KWG/Saga)
  * 66 - Daniel Bryan (updated by KWG/Saga)
  * 69 - Ric Flair (updated by RagDas)
  * 70 - Goldberg (updated Revenge port by RagDas)
  * 73 - Booker T (updated by KWG/Saga)
  * 87 - Kane (updated by KWG/Saga)
  * 89 - Hiroshi Tanahashi (updated by KWG/Saga)
  * 90 - Kazuchika Okada (new texture by RagDas)
  * 91 - Tetsuya Naito (updated by KWG/Saga)
  * 92 - Kenny Omega (new texture by RagDas)
  * 93 - Shinsuke Nakamura (updated by KWG/Saga)
  * 94 - Dusty Rhodes (updated by KWG/Saga)
  * 97 - Kota Ibushi (updated by KWG/Saga)
  * 98 - Naomichi Marufuji (updated by KWG/Saga)
  * 99 - KENTA (new texture by RagDas)

- [Faces] Some new faces were added:
  * 100 - Bam Bam Bigelow (new texture by freem)
  * 103 - Ted DiBiase (new texture by RagDas)
  * 105 - Phil Lafon (new texture by freem)
  * 107 - Takeshi Rikio (new texture by freem)

- [Faces] Future face slot assignments made:
  * 104 - Doug Furnas
  * Two wrestlers who shall remain unnamed for now.
  * One non-wrestler (but a fighter, and relevant to this hack).
  1 free face slot remains...

- [Default Costumes] Various fixes/updates to default costume data:
  <Kevin Nash>
  * First and second costumes changed to use Upper Body A13 - Nash.
  * Third costume tanktop secondary color changed to not conflict with outline.
  * Third costume pants color changed from 1 (black) to 0 (default).
  * Third costume boots changed to match first two costumes.

  <Randy Savage>
  * Changed ring attire colors for costumes 1 and 2.
  * Added Madness bandana to costume 2.

  <Don Frye>
  Third costume changed to represent June 2002 PRIDE match vs. Yoshihiro Takayama:
  * Changed tights to use new Ring Attire A26 - USA Flag.
  * Updated glove and wristband colors.
  * Changed kneepads.

  <Yoshihiro Takayama>
  * Second costume hair color changed to better differentiate it from the first.
  * Third costume changed to represent June 2002 PRIDE match vs. Don Frye:
    * Changed hair color to blonde.
    * Changed tights to A21 - VT Pants 2.
    * Changed wristband color.
    * Added open-finger gloves.
    * Changed boots to shorter style.

  <Masakatsu Funaki>
  * Moved fourth costume to third costume slot.
  * Changed fourth costume to a black suit and white tie.

  <Ring Attire A20 - VT Pants 1>
  A number of wrestlers needed to be changed due to making this costume item
  have two editable colors (costume numbers in parentheses):
  * Curt Hennig (2, 3)
  * Nobuhiko Takada (1, 2)
  * Kazushi Sakuraba (2)
  * Brock Lesnar (1)
  * TAKA Michinoku (1)
  * Antonio Inoki (3)

  <Others>
  * Fixed Undertaker's second costume entrance attire color.
  * Changed Facial Hair on all of Perry Saturn's costumes.
  * Changed Tattoo on Goldberg's 1st, 2nd, and 4th costumes.
  * Changed a mask accent color on Tiger Mask's 2nd costume.
  * Changed Jumbo Tsuruta's third costume to use new Dr. Frank jacket.
  * Changed Hiroyoshi Tenzan's third costume to use Ring Attire B2.
  * Changed Satoshi Kojima's third costume to use Ring Attire B11.
  * Changed John Cena's second costume to use black jean shorts.
  * Changed Dan Severn's second costume slightly.
  * Changed Rick Steiner's third costume slightly.
  * Changed Stan Hansen's third costume to represent appearance circa 1975 AJPW.
  * Changed AJ Styles' first costume with suggestions from RagDas.

- [Costume Items] New costume items added:
  * Ring Attire A22 - Naito (new textures by freem)
  * Ring Attire A26 - USA Flag (new textures by freem)
  * Ring Attire A29 - Okada (new textures by freem, still technically WIP)
  * Ring Attire C22 - Madness Tights (Randy Savage, WCW/nWo Revenge)
  * Ring Attire C25 - AJ Styles (new textures by RagDas)
  * Upper Attire A13 - Kevin Nash (adapted from Revenge by freem)
  * Upper Attire C7 - Dr. Frank (ported from Revenge, with some edits by freem)
  * Tattoo 9 - Goldberg (ported from Revenge)
  * Face Paint 20 - Muta (white) (new texture by RagDas)
  * Face Accessory 6 - Bam Bam Bigelow Head Tattoo (new texture by freem)

- [Costume Items] Future costume item slot assignments made:
  * Ring Attire A23 - Kensuke Sasaki
  * Ring Attire F5 - Raven
  * Upper Attire B26 - Kaientai (was previously marked without the WIP star)
  * Upper Attire C9 - Liger (Black) (to be made after perfecting Upper Attire C1)

- [Costume Items] Default colors (0,0) changed for the following items:
  * Ring Attire A26 - USA Flag
  * Ring Attire A29 - Okada
  * Ring Attire C3 - Tiger Mask 2
  * Ring Attire C22 - Madness Tights
  * Ring Attire C25 - AJ Styles
  * Upper Attire A13 - Nash
  * Upper Attire C1 - Liger

- [Costume Items] Edited L.A. Park tights:
  * Darkened pelvis area in default palette. Still not perfect, but slightly better.
  * Fixed sub-palette issue where the pelvis was using only one color.

- [Costume Items] Edited Tiger King top slightly.
  Trying to map out where those stripes go is a pain.

- [Costume Items] Subtle edit to Upper Body B13 - Funk Masters of Wrestling.

- [Costume Items] Subtle edit to Ring Attire A3 - Scott Hall.

- [Costume Items] Edited Ring Attire C18 - Sting 1:
  * Now uses VPW2 textures for the base elements.
  * Scorpion made brighter in sub-palette (custom colors).

- [Costume Items] Edited Upper Attire C3 - Liger.
  Made various texture changes in an attempt to make the costume more accurate.
  Still a work in progress, though.

- [Costume Items] Edited Ring Attire A19 - Masato Tanaka.
  Another "attempt to make accurate" edit, for varying values of "accurate".

- [Costume Items] Edited Ring Attire A20 - VT Pants 1.
  Texture now has two editable colors.

- [Masks] Mask 12 (Liger 2) updated by RagDas. (Torn mask texture unchanged for now.)

- [Battle Royal Results] Fixed issue where "Win" wouldn't show up properly.

- [Arenas] Started work on USA Dome textures.

- [Arenas] Changed ads on the Stadium.
  RagDas ported some sponsor logos from Tactics Formula; those are
  to the left of the scoreboard.
  freem is responsible for the blatant self-advertising to the right of it.
  Also, another AKI logo, because why not?

- [Intro] Added 20 Year Anniversary screen to introduction sequence.

- [Music] New match BGM songs imported:
  * 3 - Starrcade (WCW/nWo Revenge)
  * 4 - SuperBrawl (WCW/nWo Revenge)
  * 5 - Championship Match (WCW/nWo Revenge)
  Special thanks to randymanfoo for doing the conversions.

  Note: Some of these songs will sound different from the originals,
  because not every instrument from Revenge is in VPW2.

  Note 2: Starrcade does not loop properly. This is a known issue.

- [Pause Menu] Various changes to the in-game pause menu:
  * Translated the two remaining items on the menu footer.
  * Adjusted the positions of header and footer items.
  * Subtle tweak made to opening/closing animation.

- [Misc.] Some other small changes not worth mentioning.

- [Misc.] More unfinished work in progress material slipped in.
  This time, it should be a little easier to find...


================================================================================
2019/02/22 (February <del>22</del> <del>21</del> 19, 2019)
================================================================================
[General Update Notes]
This is the first update after the initial 2019/01/28 preview release.
There seems to be a warm reception to the hack, which makes me happy.
Thank you.

This is a "minor" update, the bulk of which is dedicated to costume changes.
There have been some changes to wrestler moves, parameters, and logic as well.

Costume Update Notes
--------------------
Lots of people submitted costume updates, and I found a few more as well.

Putting aside the known issues of Kane not having his correct top and Satoshi
Kojima having L.A. Park/La Parka's boots, the most common reported issue was
Goldberg's elbow pad on his WCW era costume. Another issue mentioned multiple
times were Sting's gloves.

One of the more important costume snafus to fix was X-Pac having two of the same
costume... Good luck telling each other apart in-game! DDP had a similar issue
with the first and fourth costumes as well.

Volk Han's third costume was changed to have long black trunks. Since Satoru
Sayama's face now occupies the slot the Road Warriors were using, Hawk and Animal
needed new faces. I took this opportunity to give Hawk a mustache as well.

Of course, other costume updates were made.
Please read the "Default Costume Updates" section below for information on
accessing/obtaining the new/updated costumes.

Translation Notes
-----------------
Thanks to brick9mm, a large amount of previously untranslated text is now in
English. I did have to take some liberties with some items (especially the
Mic Appeal phrases), but otherwise, it went well.

Not all translated phrases have been implemented yet; This is more of a
running change that will take multiple versions to complete.

The Mic Appeal phrases require special attention, since they can't be reset
without resetting the entire game save. Compounding the matters is the fact
that a non-standard character is used in one of the lines due to length limits.

The following phrases have been translated for this release:
--+------------------+------------------+
# | Line 1           | Line 2           |
--+------------------+------------------+
2 | This ends today. | Get ready!       |
3 | I'm #1 wrestler! | Come on!!        |
4 | Oi, look here.   | No fear!         |
5 | This is...       | This is AJPW!!   |
7 | My future begins | Thank you all!!  |
--+------------------+------------------+
Line 3 is the one that uses the nonstandard '#' character.

brick9mm provided the full translations for each line:
1. If you got any complaints.. bring it!
2. Today we'll finish this! Prepare yourself!
3. I am number one wrestler! Come on!
4. Oi, come over here. Look. No Fear!
5. This is... this is All Japan Pro Wrestling!
6. In my whole life... I am at my most happy now! Now!
7. I think that the future is beginning.. Thank you very much!
8. All Japan Pro Wrestling.. After this, please treat me well!

Character Guide
---------------
The Character Guide was originally meant to be finished a week or so after the
first patch was released. Due to various changes in costumes, moves, parameters,
and logic, the Character Guide was held back. I am currently not sure when the
Character Guide will be finished. Please be patient.

Everything Else
---------------
The Manual has been updated with various topics of interest, especially in the
Frequently Asked Questions section. Please check it out to see if one of your
questions has been answered.

================================================================================
[Default Costume Updates]
In order for the Default Costume changes to show up in an existing save file,
please reset the Costume data for the following characters in Edit Mode:

---------------------+------------+
Wrestler             | Costume(s) |
---------------------+------------+
Kane                 | 1, 2       |
Tiger Mask           | 2, 3       |
Sting                | All        |
Raven                | 2, 3, 4    |
Goldberg             | All        |
Hulk Hogan           | 2, 4       |
HHH                  | 2, 4       |
X-Pac                | 2          |
Road Warriors        | All        |
Rey Mysterio Jr.     | 1, 2, 3    |
Dan Severn           | 1          |
Antonio Inoki        | 1          |
Scott Hall           | 1, 3       |
Jyushin Liger        | 1, 2       |
Great Muta           | 1, 2       |
Volk Han             | 2, 3       |
DDP                  | 4          |
AJ Styles            | 1, 2, 4    |
Satoshi Kojima       | 1, 2       |
Scott Steiner        | 3          |
Chris Benoit         | 3          |
Bret Hart            | 3, 4       |
Randy Savage         | 3          |
Terry Funk           | 4          |
Steven/William Regal | 1, 2       |
Samoa Joe            | All        |
Spider-Man           | 1, 3, 4    |
Rick Steiner         | 2          |
Chris Jericho        | 2          |
Eddie Guerrero       | All        |
Ken Shamrock         | 1          |
Mitsuharu Misawa     | 3          |
Undertaker           | 1, 2, 4    |
---------------------+------------+

================================================================================
[Wrestler Data Updates]
This section contains changes to moves, parameters, and logic for the default
wrestlers. You do not need to do anything to access these changes.

--------------------------------------------------------------------------------
[Moves]
A few words on "de-duplicating" grapples:
In the original AKI games, wrestlers often had the same move for back grapple on
both the solo button press and button press with direction pad. This also manifests
itself with ports of wrestlers from World Tour, VPW64, and Revenge, where the
Left/Right grapple slots are the same as the no direction grapple.

In VPW2 freem Edition, this is seen as something to be fixed.

Where possible, moves that "fit" the wrestler are used. However, since this
update in particular is being done in a relatively short time frame,
100% accuracy can not be claimed for all changes made.

0103 - Hulk Hogan
-----------------
Back grapple de-duplication. There's been some discussion about giving Hogan
better Front and Back Grapple Special moves, since his current ones suck.
So far, no changes have been made on that front.
------------------------------+---------------------+-------------------
Move Slot                     | Old Move            | New Move
------------------------------+---------------------+-------------------
Back Weak Grapple A+Direction | Backdrop            | Side Buster
Back Weak Grapple B           | Back Rake           | Elbow to Back
Back Strong Grapple A         | School Boy          | Sleeperhold
Back Strong Grapple B         | Torture Abd.Stretch | Enzui Lariat
------------------------------+---------------------+-------------------

0305 - Bret Hart
----------------
The low blow is more for a heel Bret Hart, and most people tend to remember
Bret as a face in WWF... The high angle/flipping dropkick was also suggested,
but the Lariat was chosen instead. Some back grapple moves were also de-duplicated.
------------------------------+---------------------+-------------------
Move Slot                     | Old Move            | New Move
------------------------------+---------------------+-------------------
Ducking Strike                | Low Blow            | Lariat
Back Weak Grapple A+Direction | High Angle Backdrop | Bulldog
Back Weak Grapple B+Direction | Elbow to Back       | Atomic Drop
Back Strong Grapple A         | Forward Rolling Pin | Sleeperhold
------------------------------+---------------------+-------------------

0402 - Chris Benoit
-------------------
Back grapple de-duplication. Jackknife Powerbomb is a stand-in for Wild Bomb.
--------------------------------+----------------------+-------------------
Move Slot                       | Old Move             | New Move
--------------------------------+----------------------+-------------------
Front Special Grapple           | Fisherman Suplex     | Jackknife Powerbomb
Back Weak Grapple A             | High Angle Backdrop  | Knee Crusher
Back Weak Grapple B             | Pendulum Backbreaker | Elbow to Back
Back Strong Grapple A+Direction | Reverse Facebuster   | Dragon Suplex
Back Strong Grapple B+Direction | German Suplex        | Release German Suplex
--------------------------------+----------------------+-------------------

0503 - Tajiri
-------------
Some edits from freem.
------------------------------+----------------------+-------------------
Move Slot                     | Old Move             | New Move
------------------------------+----------------------+-------------------
Ducking Strike                | (sideways strike)    | Leg Sweep
Springboard (Standing)        | Springboard Dropkick | Springboard Missile Dropkick
Springboard (Grounded)        | None                 | Springboard Tope Atomico
------------------------------+----------------------+-------------------

0504 - Steven/William Regal
---------------------------
Updated with some suggestions from KWG/Saga, and some other edits from freem.
------------------------------------+-------------------------+-------------------
Move Slot                           | Old Move                | New Move
------------------------------------+-------------------------+-------------------
Front Weak Grapple A+Left/Right     | European Uppercut       | Headlock Punch
Front Weak Grapple B+Left/Right     | Headlock Takedown       | Gutwrench Suplex
Front Strong Grapple A+Left/Right   | Double Underhook Suplex | Exploder
Front Strong Grapple B+Left/Right   | Arm Trap Suplex         | Tiger Driver Whip
Back Weak Grapple A+Direction       | Backdrop                | Knee Crusher
Back Weak Grapple B                 | Pendulum Backbreaker    | Elbow to Back
Back Strong Grapple A+Direction     | Abdominal Stretch       | Chickenwing Facelock
Back Strong Grapple B+Direction     | German Suplex           | Dragon Suplex
Downed Legs Submission (Face Up)    | STF                     | Half Boston Crab
Sitting Legs Submission (Face Up)   | Boston Crab             | STF
Sitting Legs Submission (Face Down) | Bow and Arrow Hold      | Knee Stomp
------------------------------------+-------------------------+-------------------

0508 - Cactus Jack
------------------
Cactus Jack had some residual Dragon Kid leftovers in his moves. Since things
were being changed anyways, some back grapple moves were de-duplicated as well.
----------------------------------+-------------------------+-------------------
Move Slot                         | Old Move                | New Move
----------------------------------+-------------------------+-------------------
Back Weak Grapple A+Direction     | Backdrop                | School Boy
Back Weak Grapple B+Direction     | Elbow to Back           | Back Rake
Back Strong Grapple A+Direction   | Side Buster             | Pendulum Backbreaker
Back Strong Grapple B+Direction   | Atomic Drop             | Enzui Lariat
Corner Special Grapple            | Dragonrana              | Superplex
Running Evasion                   | Cartwheel               | Roll
----------------------------------+-------------------------+-------------------

0604 - Kane
-----------
Kane has a more fitting back special, and some back grapple moves were de-duplicated.
----------------------------------+-------------------------+-------------------
Move Slot                         | Old Move                | New Move
----------------------------------+-------------------------+-------------------
Back Weak Grapple A               | Side Buster             | Side Backdrop
Back Weak Grapple B               | Knee Crusher            | Elbow to Back
Back Strong Grapple A+Direction   | Sleeperhold             | Torture Abdominal Stretch
Back Special Grapple              | Reverse Facebuster      | Swinging Side Buster
----------------------------------+-------------------------+-------------------

0701 - HHH
----------
KWG/Saga suggested some edits for accuracy purposes.
----------------------------------+-------------------------+-------------------
Move Slot                         | Old Move                | New Move
----------------------------------+-------------------------+-------------------
Top Rope to Standing              | Jumping Knee Attack     | Double Axe Handle
Top Rope to Standing Outside      | Jumping Knee Attack     | Double Axe Handle 
----------------------------------+-------------------------+-------------------

0801 - John Cena
----------------
Updated with a suggestion from multiple people.
----------------------------------+-------------------------+-------------------
Move Slot                         | Old Move                | New Move
----------------------------------+-------------------------+-------------------
Front Special Grapple             | Death Valley Facebuster | Death Valley Driver
----------------------------------+-------------------------+-------------------

0802 - Brock Lesnar
-------------------
Updated with a suggestion from multiple people.
----------------------------------+-------------------------+-------------------
Move Slot                         | Old Move                | New Move
----------------------------------+-------------------------+-------------------
Front Special Grapple             | Hawaiian Crusher        | Death Valley Facebuster
----------------------------------+-------------------------+-------------------

0803 - Samoa Joe
----------------
Updated with suggestions from KWG/Saga and rey.
----------------------------------+-------------------------+-------------------
Move Slot                         | Old Move                | New Move
----------------------------------+-------------------------+-------------------
Front Special Grapple             | STO                     | Cradle DDT
Corner Special Grapple            | None                    | Top Rope Fisherman's Buster
Running Tope [A+Direction]        | Tope Suicida            | Elbow Suicida
----------------------------------+-------------------------+-------------------

0806 - Spider-Man
-----------------
The Octopus Hold/Manjigatame was a suggestion from others; everything else was freem.
----------------------------------+--------------------------+-------------------
Move Slot                         | Old Move                 | New Move
----------------------------------+--------------------------+-------------------
Front Weak Grapple B              | Shoulder Thrusts         | Flying Headscissors
Back Strong Grapple B             | Reverse DDT              | High Angle Backdrop
Back Strong Grapple B+Direction   | High Angle Backdrop      | Manjigatame
Back Special Grapple              | Japanese Leg Roll Clutch | Delfin Rana
Corner Special Grapple            | Top Rope Dragonsteiner   | Diving Rolling Neckbreaker Drop
----------------------------------+--------------------------+-------------------

--------------------------------------------------------------------------------
[Parameters]
These characters had their Walk Speed changed to match their VPW64 and Revenge versions:
-----+--------------------+------+
010A | Goldberg           | Fast |
010C | Rikidozan          | Fast |
0409 | Dynamite Kid       | Fast |
040A | La Parka/L.A. Park | Fast |
0606 | Booker T           | Fast |
-----+--------------------+------+
(In all cases, the previous Walk Speed was Normal.)

These characters had their Bloody Spirit Recovery changed:
-----+--------------+------+
ID4  | Wrestler     |  Old |
-----+--------------+------+
0209 | Dan Severn   | Fast |
0502 | Sabu         | Fast |
0802 | Brock Lesnar | Slow |
0803 | Samoa Joe    | Slow |
-----+--------------+------+
(In all cases, the previous Bloody Spirit Recovery was Normal.)

Tajiri has multiple parameter edits:
-----------------------+--------+------+
Parameter              |  Old   |  New |
-----------------------+--------+------+
Jumping Distance       | Normal | Long |
Bloody Spirit Recovery | Normal | Fast |
-----------------------+--------+------+

Spider-Man's Body Offense changed from 2 to 3.

--------------------------------------------------------------------------------
[Logic]
These characters had their AI/Logic updated from values found in WWF No Mercy:
-----+----------------+
0402 | Chris Benoit   |
0403 | Dean Malenko   |
0404 | Perry Saturn   |
0405 | Eddie Guerrero |
0902 | Kurt Angle     |
0906 | Tazz           |
-----+----------------+

Chris Benoit Logic Changes
------------------------+------------+---------------+
Category                | Old Value  | New Value     |
------------------------+------------+---------------+
Standing Opponent Early | Striking   | Grappling     |
Downed Opponent Early   | Pick Up    | Submission    |
Downed Opponent Late    | Submission | Flying        |
Attack Strategy         | Balanced   | Grapples      |
Offensive Balance       | Balanced   | Mainly Attack |
Outside Strategy        | Aggressive | Calm          |
------------------------+------------+---------------+

Dean Malenko Logic Changes
------------------------+--------------------+-----------------------+
Category                | Old Value          | New Value             |
------------------------+--------------------+-----------------------+
Downed Opponent Early   | Pick Up            | Submission            |
Finisher                | Corner Special     | Down Face Up Leg Sub. |
Attack Strategy         | Balanced           | Grapples              |
Offensive Balance       | Balanced           | Attack                |
Outside Strategy        | Calm               | Normal                |
------------------------+--------------------+-----------------------+

Perry Saturn Logic Changes
------------------------+--------------------+------------+
Category                | Old Value          | New Value  |
------------------------+--------------------+------------+
Downed Opponent Early   | Striking           | Submission |
Downed Opponent Late    | Submission         | Pick Up    |
Offensive Balance       | Balanced           | Defend     |
Strike Reaction         | Normal             | Slow       |
Grapple Reaction        | Normal             | Slow       |
------------------------+--------------------+------------+

Eddie Guerrero Logic Changes
------------------------+--------------------+----------------+
Category                | Old Value          | New Value      |
------------------------+--------------------+----------------+
Standing Opponent Early | Striking           | Grappling      |
Downed Opponent Early   | Pick Up            | Striking       |
Downed Opponent Late    | Flying             | Pick Up        |
Finisher                | Front Special      | Corner Special |
Attack Strategy         | Balanced           | Grapples       |
Offensive Balance       | Balanced           | Attack         |
Strike Reaction         | Normal             | Fast           |
Grapple Reaction        | Normal             | Slow           |
Outside Strategy        | Flying             | Aggressive     |
Appeal                  | Normal             | Often          |
------------------------+--------------------+----------------+

Tazz Logic Changes
------------------------+--------------------+-----------+
Category                | Old Value          | New Value |
------------------------+--------------------+-----------+
Attack Strategy         | Balanced           | Grapples  |
Offensive Balance       | Balanced           | Atack     |
------------------------+--------------------+-----------+

Kurt Angle Logic Changes
This one was tough, because in recent years, Kurt Angle tends to finish matches
with the Ankle/Angle Lock, but WWF No Mercy has him using the Olympic/Angle Slam...
...which hasn't yet been ported into this hack. I left it as the Ankle Lock for now.
------------------------+--------------------------+---------------+
Category                | Old Value                | New Value     |
------------------------+--------------------------+---------------+
Standing Opponent Early | Striking                 | Grappling     |
Downed Opponent Early   | Pick Up                  | Submission    |
Attack Strategy         | Balanced                 | Grapples      |
Strike Reaction         | Normal                   | Slow          |
Grapple Reaction        | Normal                   | Slow          |
Appeal                  | Normal                   | Often         |
------------------------+--------------------------+---------------+

The Rock Logic Changes
Swapping out the People's Elbow setup for the Rock Bottom as finisher.
------------------------+--------------------------+---------------+
Category                | Old Value                | New Value     |
------------------------+--------------------------+---------------+
Finisher                | Down Head Face Up Sub.   | Front Special |
------------------------+--------------------------+---------------+

Daniel Bryan Logic Changes
Swapping finisher spots at KWG/Saga's suggestion.
------------------------+-----------------------+--------------------------+
Category                | Old Value             | New Value                |
------------------------+-----------------------+--------------------------+
Finisher                | Front Special Grapple | Down Face Down Head Sub. |
------------------------+-----------------------+--------------------------+

fsg butterfly lock
new nagata lock 2

================================================================================
[Changelog Items]

- [Bugfix] Shootfighter "ground and pound" submissions no longer count as
  two eliminations during Battle Royals. (original fix by WldFb)

- [Translation] Implemented various translation fixes from brick9mm.

- [Faces] New faces added:
  * 23 - Satoru Sayama (by freem)
  * 96 - Ricochet (by KWG/Saga)
  * 97 - Kota Ibushi (by freem)
  * 98 - Naomichi Marufuji (by KWG/Saga)
  * 99 - KENTA/Hideo Itami (by freem)
  * 101 - Steve Corino (by freem)
  * 102 - Lou Thesz (by RagDas)

- [Faces] Some faces were updated or outright replaced:
  * 25 - Katsuyori Shibata (updated by freem)
  * 34 - Bret Hart (new texture by KWG/Saga)
  * 40 - Sabu (updated by freem)
  * 41 - Raven (Revenge port by RagDas, updated by freem)
  * 43 - Steven/William Regal (new texture by KWG/Saga)
  * 52 - AJ Styles (updated by freem)
  * 55 - Kurt Angle (updated by freem)
  * 63 - John Cena (new texture by KWG/Saga)
  * 70 - Goldberg (new texture by KWG/Saga)
  * 73 - Booker T (new texture by KWG/Saga)
  * 92 - Shinsuke Nakamura (fixed by KWG/Saga)
  * 93 - Kenny Omega (fixed by KWG/Saga)
  * 94 - Dusty Rhodes (new texture by KWG/Saga)

- [Faces] Future face slot assignments made:
  * 100 - Bam Bam Bigelow
  * 103 - Ted DiBiase
  7 free face slots remain, and more than 7 candidates remain.

- [Costume Items] New costume items added:
  * Ring Attire A5 - Razor Ramon (new texture by freem)
  * Ring Attire A14 - Macho Man (new texture by freem)
  * Ring Attire A24 - KENTA (new texture by freem)
  * Ring Attire C18 - Sting 1 (WCW/nWo Revenge port)
  * Ring Attire C19 - Sting 2 (WCW/nWo Revenge port)
  * Ring Attire C21 - Rey Jr. 2 (WCW/nWo Revenge port)
  * Ring Attire E2 - Steiners 2 (WCW/nWo Revenge port)
  * Ring Attire F13 - Spider-Man (ported by RagDas)
  * Upper Body B15 - Rey Jr. 2 (WCW/nWo Revenge port)
  * Tattoo 12 - Undertaker (WrestleMania 2000 port)
  * Face Paint 3 - nWo Muta (new texture by RagDas)
  * Face Accessory 13 - Headband (adapted from WCW/nWo Revenge by freem)
  * Mask 07 - Pegasus (new texture by freem)

- [Costume Items] Future costume item slot assignments made:
  * Face Accessory 6 - Bam Bam Bigelow Head Tattoo
  * Ring Attire C11 - Road Warriors
  * Tattoo 9 - Goldberg
  * Entrance Attire D5 - ??? (to be revealed in the future)

- [Costume Items] Hart Sunglasses moved from Face Accessory 13 to 14.

- [Default Costumes] Various fixes/updates to default costume data:
  <Kane>
  * First costume now has the correct top.
  * Added facial hair to first costume.
  * Changed the front hair on first costume. Still not 100% accurate to WM2K.
  * Added tanktop and wristbands to second costume.
  * Changed hair on second costume.

  <Tiger Mask>
  * Pants changed on second costume due to slot reassignment.
  * Third costume uses the new Satoru Sayama face.

  <Sting>
  General overhaul to all Sting costumes.
  * First, second, and fourth costumes now have gloves.
  * First and second costume secondary boot color changed to black.
  * Third costume gloves changed to Taping to match Revenge.
  * Fourth costume boots changed to match the first two costumes.
  * Fourth costume pants changed in an attempt to match Revenge.
  * First three costumes use the new "Sting 1" and "Sting 2" pants.

  <Raven>
  * Fourth costume changed to resemble Raven's Revenge fourth costume.
  * Second, third, and fourth costumes now have the same front hair as the first.

  <Goldberg>
  * Added elbow pads to first costume.
  * Second costume kneepads changed to black.
  * Second through fourth costumes now have the same facial hair as the first.

  <Hulk Hogan>
  * Second costume hair type changed to Medium 2.
  * Fourth costume changed to nWo shirt and white wristbands.
  * Changed kneepads on second and fourth costumes.

  <HHH>
  * Added kneepads to second costume.
  * Second and fourth costume facial hair changed to 3.

  <Rey Mysterio Jr.>
  * Changed wristband type on first and second costumes.
  * Added arm bands to first costume.
  * Changed second costume to use arm bands.
  * Changed third costume to use new costume items.

  <Scott Hall>
  * Added entrance attire to first costume.
  * Third costume ring attire changed back to default colors.

  <Jyushin "Thunder" Liger>
  * First costume boots changed to white.
  * Second costume pants changed to Liger 2.

  <Volk Han>
  * Change wristband on second costume to light blue.
  * Re-did third costume.

  <AJ Styles>
  * Changed first costume to have black as the base pants color.
  * Changed second costume to use white as the secondary pants color.
  * Changed fourth costume to have the same pants as the first.

  <Randy Savage>
  * Added headband to third costume.
  * Changed third costume ring attire to A14 - Macho Man.

  <Steven/William Regal>
  * Updated first costume to match later WWE.
  * Changed second costume to be more like his first VPW64 costume.

  <Eddie Guerrero>
  * Changed skin color to 1 on all costumes (was previously 0).
  * Changed second costume to the World Tour one, since most people were making that edit.
  * Changed hair and mask colors on third costume.

  <Great Muta>
  * First costume changed to red face design (formerly costume 2).
  * Second costume changed to new nWo Muta facepaint. Rest of costume is WIP.

  <Others>
  * Fixed boots on Satoshi Kojima's first and second costumes.
  * Updated Scott Steiner's third costume to use the new Steiners 2 singlet.
  * Updated hair, pants, and mask colors on Chris Benoit's third costume.
  * Changed Cactus Jack's third costume to not be Mankind.
  * Adjusted Bret Hart's face accessory slot to account for Hart Sunglasses change.
  * Added headband to Terry Funk's fourth costume.
  * X-Pac's second costume is now different from the first one.
  * Faces for all Road Warrior costumes changed.
  * Added entrance attire to Dan Severn's first costume.
  * Added entrance attire to Antonio Inoki's first costume.
  * Fixed DDP's fourth costume to have a t-shirt.
  * Samoa Joe's skin color changed on all 4 costumes.
  * Spider-Man's first, third, and fourth costume now use the new Spider-Man suit.
  * Changed Rick Steiner's second costume to use the new Steiners 2 singlet.
  * Changed the pants on Chris Jericho's second costume.
  * Changed knee pads on Ken Shamrock's first costume.
  * Mitsuharu Misawa's mask changed on third costume to account for future Tiger Mask II mask.
  * Undertaker's first, second, and fourth costumes now have the Undertaker tattoos.

- [Faces] Fixed transparent pixels in the following faces:
  * Perry Saturn
  * Kevin Nash
  * Hulk Hogan
  * Rick Steiner

- [Masks] Rey Mysterio Jr. mask updated:
  * Chin area now exposed.
  * Aligned front and side designs.

- [Masks] L.A. Park/La Parka mask updated:
  * Added side and back designs.
  * Added temporary neck texture.

- [Masks] Great Sasuke mask updated with wing and kanji on the sides.

- [Costume Items] Fixed some items which had odd interactions with tattoos.
  * Ring Attire E5 (Tazz); some detail in the back logo was sacrificed.
  * Ring Attire F11 (AKI man)
  * Upper Attire B18 (nWo Shirt)

- [Costume Items] Fixed issue with Upper Attire A12 (Bret Hart) involving stomach
  showing a white texture when combined with tattoos... Tattoos still don't appear.

- [Costume Items] Changed the back of the Kobashi flame trunks texture.

- [Costume Items] Managed to fight the alignment issues on the Tiger Mask 2 trunks.
  Still needs some work, but better than before.

- [Costume Items] Updated Face Accessory 28 to match Sting's WCW/nWo Revenge facepaint.

- [Costume Items] Default colors (0,0) changed for the following items:
  * Ring Attire C11 (*Road Warriors)
  * Ring Attire C13 (Hang Time!!)
  * Ring Attire C15 (Liger 1)
  * Ring Attire C19 (Sting 2)
  * Ring Attire C20 (Black Tiger)
  * Ring Attire C24 (Benoit (No Mercy))
  * Ring Attire C26 (Ultimo Dragon)
  * Ring Attire C27 (TAKA)
  * Ring Attire C32 (Lightning Tights)
  * Ring Attire C33 (Striped)
  * Ring Attire D16 (Crazy Joker)

- [Masks] Default colors (0,0,0,0) changed for these masks:
  * Mask 06 - Great Sasuke
  * Mask 07 - Pegasus
  * Mask 08 - L.A. Park
  * Mask 10 - Darkness Muta
  * Mask 11 - Tiger Mask 1
  * Mask 17 - Tiger Mask 2
  * Mask 18 - Spider-Man

- [Masks] Spider-Man's neck texture now mirrors properly.
  (One of those things you'd probably only notice if you looked closely.)

- [Game UI] Made "Replay" and "Demo" text slightly taller.

- [Manual] Added instructions for converting ROMs to Z64 format.

- [Arenas] Added banner to balcony in AKI Hall.

- [Arenas] Updated outside corner floor texture in AKI Hall.

- [Game UI] Translated every big in-game message except the round numbers.

- [Game UI] Pause menu changes:
  * Items now properly gray out.
  * "Skip" item translated. (The previous issue was keeping me from adding it.)

- [Misc.] Some unfinished work in progress material slipped in.
  See if you can find it all!

================================================================================
2019/01/28 (January 28, 2019)
================================================================================
Initial public release for VPW2's 19th anniversary.
